
// -----------
// This file was generated by riscv_ctg (https://gitlab.com/incoresemi/riscv-compliance/riscv_ctg)
// version   : 0.4.1
// timestamp : Wed Dec 16 04:49:48 2020 GMT
// usage     : riscv_ctg \
//                  -- cgf ('/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/dataset.cgf', '/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/rv64ic.cgf') \
//                  -- xlen 64 \
// -----------
//
// -----------
// Copyright (c) 2020. RISC-V International. All rights reserved.
// SPDX-License-Identifier: BSD-3-Clause
// -----------
//
// This assembly file tests the c.addi instruction of the RISC-V C extension for the caddi covergroup.
// 
#include "model_test.h"
#include "arch_test.h"
RVTEST_ISA("RV64IC")

.section .text.init
.globl rvtest_entry_point
rvtest_entry_point:
RVMODEL_BOOT
RVTEST_CODE_BEGIN

#ifdef TEST_CASE_1

RVTEST_CASE(0,"//check ISA:=regex(.*64.*);check ISA:=regex(.*I.*C.*);def TEST_CASE_1=True;",caddi)

RVTEST_SIGBASE( x13,signature_x13_1)

inst_0:
// rd==x15, rs1_val == imm_val, rs1_val == -3, imm_val == -3, rs1_val < 0 and imm_val < 0
// opcode:c.addi; op1:x15; dest:x15 op1val:-0x3; immval:-0x3
TEST_CI_OP( c.addi, x15, 0xfffffffffffffffa, -0x3, -0x3, x13, 0, x17)

inst_1:
// rd==x4, rs1_val != imm_val, rs1_val < 0 and imm_val > 0
// opcode:c.addi; op1:x4; dest:x4 op1val:-0xb504f332; immval:0xf
TEST_CI_OP( c.addi, x4, 0xffffffff4afb0cdd, -0xb504f332, 0xf, x13, 8, x17)

inst_2:
// rd==x12, rs1_val > 0 and imm_val > 0, rs1_val == 6148914691236517205, rs1_val==6148914691236517205 and imm_val==6
// opcode:c.addi; op1:x12; dest:x12 op1val:0x5555555555555555; immval:0x6
TEST_CI_OP( c.addi, x12, 0x555555555555555b, 0x5555555555555555, 0x6, x13, 16, x17)

inst_3:
// rd==x5, rs1_val > 0 and imm_val < 0, rs1_val==6 and imm_val==-1
// opcode:c.addi; op1:x5; dest:x5 op1val:0x6; immval:-0x1
TEST_CI_OP( c.addi, x5, 0x5, 0x6, -0x1, x13, 24, x17)

inst_4:
// rd==x8, imm_val == (-2**(6-1)), imm_val == -32, rs1_val == -1025
// opcode:c.addi; op1:x8; dest:x8 op1val:-0x401; immval:-0x20
TEST_CI_OP( c.addi, x8, 0xfffffffffffffbdf, -0x401, -0x20, x13, 32, x17)

inst_5:
// rd==x14, imm_val == 0, rs1_val==-6148914691236517206 and imm_val==0, rs1_val == -6148914691236517206
// opcode:c.addi; op1:x14; dest:x14 op1val:-0x5555555555555556; immval:0x0
TEST_CI_OP( c.addi, x14, 0xaaaaaaaaaaaaaaaa, -0x5555555555555556, 0x0, x13, 40, x17)

inst_6:
// rd==x21, imm_val == (2**(6-1)-1), imm_val == 31
// opcode:c.addi; op1:x21; dest:x21 op1val:-0x401; immval:0x1f
TEST_CI_OP( c.addi, x21, 0xfffffffffffffc1e, -0x401, 0x1f, x13, 48, x17)

inst_7:
// rd==x22, imm_val == 1, 
// opcode:c.addi; op1:x22; dest:x22 op1val:0x5555555555555555; immval:0x1
TEST_CI_OP( c.addi, x22, 0x5555555555555556, 0x5555555555555555, 0x1, x13, 56, x17)

inst_8:
// rd==x28, rs1_val == (-2**(xlen-1)), rs1_val == -9223372036854775808, imm_val == 2
// opcode:c.addi; op1:x28; dest:x28 op1val:-0x8000000000000000; immval:0x2
TEST_CI_OP( c.addi, x28, 0x8000000000000002, -0x8000000000000000, 0x2, x13, 64, x17)

inst_9:
// rd==x1, rs1_val == 0, 
// opcode:c.addi; op1:x1; dest:x1 op1val:0x0; immval:-0x10
TEST_CI_OP( c.addi, x1, 0xfffffffffffffff0, 0x0, -0x10, x13, 72, x17)

inst_10:
// rd==x9, rs1_val == (2**(xlen-1)-1), rs1_val == 9223372036854775807, imm_val == -5
// opcode:c.addi; op1:x9; dest:x9 op1val:0x7fffffffffffffff; immval:-0x5
TEST_CI_OP( c.addi, x9, 0x7ffffffffffffffa, 0x7fffffffffffffff, -0x5, x13, 80, x17)

inst_11:
// rd==x25, rs1_val == 1, 
// opcode:c.addi; op1:x25; dest:x25 op1val:0x1; immval:-0x1
TEST_CI_OP( c.addi, x25, 0x0, 0x1, -0x1, x13, 88, x17)

inst_12:
// rd==x31, imm_val == 4, rs1_val == 1073741824
// opcode:c.addi; op1:x31; dest:x31 op1val:0x40000000; immval:0x4
TEST_CI_OP( c.addi, x31, 0x40000004, 0x40000000, 0x4, x13, 96, x17)

inst_13:
// rd==x20, imm_val == 8, rs1_val == -17179869185
// opcode:c.addi; op1:x20; dest:x20 op1val:-0x400000001; immval:0x8
TEST_CI_OP( c.addi, x20, 0xfffffffc00000007, -0x400000001, 0x8, x13, 104, x17)

inst_14:
// rd==x6, imm_val == 16, 
// opcode:c.addi; op1:x6; dest:x6 op1val:-0x6; immval:0x10
TEST_CI_OP( c.addi, x6, 0xa, -0x6, 0x10, x13, 112, x17)

inst_15:
// rd==x26, imm_val == -2, rs1_val==4 and imm_val==-2, rs1_val == 4
// opcode:c.addi; op1:x26; dest:x26 op1val:0x4; immval:-0x2
TEST_CI_OP( c.addi, x26, 0x2, 0x4, -0x2, x13, 120, x17)

inst_16:
// rd==x19, imm_val == -9, 
// opcode:c.addi; op1:x19; dest:x19 op1val:0xb504f332; immval:-0x9
TEST_CI_OP( c.addi, x19, 0xb504f329, 0xb504f332, -0x9, x13, 128, x17)

inst_17:
// rd==x16, imm_val == -17, rs1_val == -2251799813685249
// opcode:c.addi; op1:x16; dest:x16 op1val:-0x8000000000001; immval:-0x11
TEST_CI_OP( c.addi, x16, 0xfff7ffffffffffee, -0x8000000000001, -0x11, x13, 136, x17)

inst_18:
// rd==x7, imm_val == 21, rs1_val == 16777216
// opcode:c.addi; op1:x7; dest:x7 op1val:0x1000000; immval:0x15
TEST_CI_OP( c.addi, x7, 0x1000015, 0x1000000, 0x15, x13, 144, x17)

inst_19:
// rd==x30, imm_val == -22, rs1_val == -131073
// opcode:c.addi; op1:x30; dest:x30 op1val:-0x20001; immval:-0x16
TEST_CI_OP( c.addi, x30, 0xfffffffffffdffe9, -0x20001, -0x16, x13, 152, x17)

inst_20:
// rd==x11, rs1_val == 2, rs1_val==2 and imm_val==5
// opcode:c.addi; op1:x11; dest:x11 op1val:0x2; immval:0x5
TEST_CI_OP( c.addi, x11, 0x7, 0x2, 0x5, x13, 160, x17)

inst_21:
// rd==x10, rs1_val == 8, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x8; immval:0x5
TEST_CI_OP( c.addi, x10, 0xd, 0x8, 0x5, x13, 168, x17)

inst_22:
// rd==x3, rs1_val == 16, 
// opcode:c.addi; op1:x3; dest:x3 op1val:0x10; immval:0x7
TEST_CI_OP( c.addi, x3, 0x17, 0x10, 0x7, x13, 176, x17)

inst_23:
// rd==x27, rs1_val == 32, 
// opcode:c.addi; op1:x27; dest:x27 op1val:0x20; immval:-0x20
TEST_CI_OP( c.addi, x27, 0x0, 0x20, -0x20, x13, 184, x17)

inst_24:
// rd==x18, rs1_val == 64, 
// opcode:c.addi; op1:x18; dest:x18 op1val:0x40; immval:-0x2
TEST_CI_OP( c.addi, x18, 0x3e, 0x40, -0x2, x13, 192, x17)

inst_25:
// rd==x23, rs1_val == 128, 
// opcode:c.addi; op1:x23; dest:x23 op1val:0x80; immval:0x1f
TEST_CI_OP( c.addi, x23, 0x9f, 0x80, 0x1f, x13, 200, x17)

inst_26:
// rd==x2, rs1_val == 256, 
// opcode:c.addi; op1:x2; dest:x2 op1val:0x100; immval:0x4
TEST_CI_OP( c.addi, x2, 0x104, 0x100, 0x4, x13, 208, x17)

inst_27:
// rd==x24, rs1_val == 512, 
// opcode:c.addi; op1:x24; dest:x24 op1val:0x200; immval:0x6
TEST_CI_OP( c.addi, x24, 0x206, 0x200, 0x6, x13, 216, x2)
RVTEST_SIGBASE( x1,signature_x1_0)

inst_28:
// rd==x13, rs1_val == 1024, 
// opcode:c.addi; op1:x13; dest:x13 op1val:0x400; immval:0x7
TEST_CI_OP( c.addi, x13, 0x407, 0x400, 0x7, x1, 0, x2)

inst_29:
// rd==x17, rs1_val == 2048, 
// opcode:c.addi; op1:x17; dest:x17 op1val:0x800; immval:0x1f
TEST_CI_OP( c.addi, x17, 0x81f, 0x800, 0x1f, x1, 8, x2)

inst_30:
// rd==x29, rs1_val == 4096, 
// opcode:c.addi; op1:x29; dest:x29 op1val:0x1000; immval:0x6
TEST_CI_OP( c.addi, x29, 0x1006, 0x1000, 0x6, x1, 16, x2)

inst_31:
// rs1_val == 8192, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2000; immval:0x4
TEST_CI_OP( c.addi, x10, 0x2004, 0x2000, 0x4, x1, 24, x2)

inst_32:
// rs1_val == 16384, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4000; immval:0x7
TEST_CI_OP( c.addi, x10, 0x4007, 0x4000, 0x7, x1, 32, x2)

inst_33:
// rs1_val == 32768, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x8000; immval:0x4
TEST_CI_OP( c.addi, x10, 0x8004, 0x8000, 0x4, x1, 40, x2)

inst_34:
// rs1_val == 65536, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x10000; immval:0x4
TEST_CI_OP( c.addi, x10, 0x10004, 0x10000, 0x4, x1, 48, x2)

inst_35:
// rs1_val == 131072, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x20000; immval:-0x3
TEST_CI_OP( c.addi, x10, 0x1fffd, 0x20000, -0x3, x1, 56, x2)

inst_36:
// rs1_val == 262144, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x40000; immval:0x2
TEST_CI_OP( c.addi, x10, 0x40002, 0x40000, 0x2, x1, 64, x2)

inst_37:
// rs1_val == 524288, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x80000; immval:-0x16
TEST_CI_OP( c.addi, x10, 0x7ffea, 0x80000, -0x16, x1, 72, x2)

inst_38:
// rs1_val == 1048576, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x100000; immval:-0x9
TEST_CI_OP( c.addi, x10, 0xffff7, 0x100000, -0x9, x1, 80, x2)

inst_39:
// rs1_val == 2097152, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x200000; immval:-0xa
TEST_CI_OP( c.addi, x10, 0x1ffff6, 0x200000, -0xa, x1, 88, x2)

inst_40:
// rs1_val == 4194304, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x400000; immval:0x4
TEST_CI_OP( c.addi, x10, 0x400004, 0x400000, 0x4, x1, 96, x2)

inst_41:
// rs1_val == 8388608, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x800000; immval:-0x20
TEST_CI_OP( c.addi, x10, 0x7fffe0, 0x800000, -0x20, x1, 104, x2)

inst_42:
// rs1_val == 33554432, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2000000; immval:-0x11
TEST_CI_OP( c.addi, x10, 0x1ffffef, 0x2000000, -0x11, x1, 112, x2)

inst_43:
// rs1_val == 67108864, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4000000; immval:0x4
TEST_CI_OP( c.addi, x10, 0x4000004, 0x4000000, 0x4, x1, 120, x2)

inst_44:
// rs1_val == 134217728, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x8000000; immval:0x6
TEST_CI_OP( c.addi, x10, 0x8000006, 0x8000000, 0x6, x1, 128, x2)

inst_45:
// rs1_val == 268435456, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x10000000; immval:0x2
TEST_CI_OP( c.addi, x10, 0x10000002, 0x10000000, 0x2, x1, 136, x2)

inst_46:
// rs1_val == 536870912, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x20000000; immval:-0x20
TEST_CI_OP( c.addi, x10, 0x1fffffe0, 0x20000000, -0x20, x1, 144, x2)

inst_47:
// rs1_val == 2147483648, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x80000000; immval:0x0
TEST_CI_OP( c.addi, x10, 0x80000000, 0x80000000, 0x0, x1, 152, x2)

inst_48:
// rs1_val == 4294967296, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x100000000; immval:0xa
TEST_CI_OP( c.addi, x10, 0x10000000a, 0x100000000, 0xa, x1, 160, x2)

inst_49:
// rs1_val == 8589934592, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x200000000; immval:0x6
TEST_CI_OP( c.addi, x10, 0x200000006, 0x200000000, 0x6, x1, 168, x2)

inst_50:
// rs1_val == 17179869184, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x400000000; immval:0xa
TEST_CI_OP( c.addi, x10, 0x40000000a, 0x400000000, 0xa, x1, 176, x2)

inst_51:
// rs1_val == 34359738368, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x800000000; immval:0x7
TEST_CI_OP( c.addi, x10, 0x800000007, 0x800000000, 0x7, x1, 184, x2)

inst_52:
// rs1_val == 68719476736, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x1000000000; immval:-0x3
TEST_CI_OP( c.addi, x10, 0xffffffffd, 0x1000000000, -0x3, x1, 192, x2)

inst_53:
// rs1_val == 137438953472, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2000000000; immval:-0x4
TEST_CI_OP( c.addi, x10, 0x1ffffffffc, 0x2000000000, -0x4, x1, 200, x2)

inst_54:
// rs1_val == 274877906944, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4000000000; immval:0x2
TEST_CI_OP( c.addi, x10, 0x4000000002, 0x4000000000, 0x2, x1, 208, x2)

inst_55:
// rs1_val == 549755813888, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x8000000000; immval:0x6
TEST_CI_OP( c.addi, x10, 0x8000000006, 0x8000000000, 0x6, x1, 216, x2)

inst_56:
// rs1_val == 1099511627776, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x10000000000; immval:0x8
TEST_CI_OP( c.addi, x10, 0x10000000008, 0x10000000000, 0x8, x1, 224, x2)

inst_57:
// rs1_val == 2199023255552, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x20000000000; immval:0x0
TEST_CI_OP( c.addi, x10, 0x20000000000, 0x20000000000, 0x0, x1, 232, x2)

inst_58:
// rs1_val == 4398046511104, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x40000000000; immval:0x5
TEST_CI_OP( c.addi, x10, 0x40000000005, 0x40000000000, 0x5, x1, 240, x2)

inst_59:
// rs1_val == 8796093022208, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x80000000000; immval:-0x3
TEST_CI_OP( c.addi, x10, 0x7fffffffffd, 0x80000000000, -0x3, x1, 248, x2)

inst_60:
// rs1_val == 17592186044416, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x100000000000; immval:0x6
TEST_CI_OP( c.addi, x10, 0x100000000006, 0x100000000000, 0x6, x1, 256, x2)

inst_61:
// rs1_val == 35184372088832, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x200000000000; immval:-0x5
TEST_CI_OP( c.addi, x10, 0x1ffffffffffb, 0x200000000000, -0x5, x1, 264, x2)

inst_62:
// rs1_val == 70368744177664, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x400000000000; immval:0x9
TEST_CI_OP( c.addi, x10, 0x400000000009, 0x400000000000, 0x9, x1, 272, x2)

inst_63:
// rs1_val == 140737488355328, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x800000000000; immval:0x0
TEST_CI_OP( c.addi, x10, 0x800000000000, 0x800000000000, 0x0, x1, 280, x2)

inst_64:
// rs1_val == 281474976710656, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x1000000000000; immval:0x5
TEST_CI_OP( c.addi, x10, 0x1000000000005, 0x1000000000000, 0x5, x1, 288, x2)

inst_65:
// rs1_val == 562949953421312, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2000000000000; immval:0x5
TEST_CI_OP( c.addi, x10, 0x2000000000005, 0x2000000000000, 0x5, x1, 296, x2)

inst_66:
// rs1_val == 1125899906842624, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4000000000000; immval:-0x20
TEST_CI_OP( c.addi, x10, 0x3ffffffffffe0, 0x4000000000000, -0x20, x1, 304, x2)

inst_67:
// rs1_val == 2251799813685248, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x8000000000000; immval:0x3
TEST_CI_OP( c.addi, x10, 0x8000000000003, 0x8000000000000, 0x3, x1, 312, x2)

inst_68:
// rs1_val == 4503599627370496, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x10000000000000; immval:0x3
TEST_CI_OP( c.addi, x10, 0x10000000000003, 0x10000000000000, 0x3, x1, 320, x2)

inst_69:
// rs1_val == 9007199254740992, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x20000000000000; immval:0x6
TEST_CI_OP( c.addi, x10, 0x20000000000006, 0x20000000000000, 0x6, x1, 328, x2)

inst_70:
// rs1_val == 18014398509481984, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x40000000000000; immval:0x5
TEST_CI_OP( c.addi, x10, 0x40000000000005, 0x40000000000000, 0x5, x1, 336, x2)

inst_71:
// rs1_val == 36028797018963968, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x80000000000000; immval:0x2
TEST_CI_OP( c.addi, x10, 0x80000000000002, 0x80000000000000, 0x2, x1, 344, x2)

inst_72:
// rs1_val == 72057594037927936, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x100000000000000; immval:-0x3
TEST_CI_OP( c.addi, x10, 0xfffffffffffffd, 0x100000000000000, -0x3, x1, 352, x2)

inst_73:
// rs1_val == 144115188075855872, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x200000000000000; immval:0x4
TEST_CI_OP( c.addi, x10, 0x200000000000004, 0x200000000000000, 0x4, x1, 360, x2)

inst_74:
// rs1_val == 288230376151711744, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x400000000000000; immval:0x1
TEST_CI_OP( c.addi, x10, 0x400000000000001, 0x400000000000000, 0x1, x1, 368, x2)

inst_75:
// rs1_val == 576460752303423488, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x800000000000000; immval:0x8
TEST_CI_OP( c.addi, x10, 0x800000000000008, 0x800000000000000, 0x8, x1, 376, x2)

inst_76:
// rs1_val == 1152921504606846976, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x1000000000000000; immval:0x4
TEST_CI_OP( c.addi, x10, 0x1000000000000004, 0x1000000000000000, 0x4, x1, 384, x2)

inst_77:
// rs1_val == 2305843009213693952, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2000000000000000; immval:0x3
TEST_CI_OP( c.addi, x10, 0x2000000000000003, 0x2000000000000000, 0x3, x1, 392, x2)

inst_78:
// rs1_val == 4611686018427387904, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4000000000000000; immval:-0x2
TEST_CI_OP( c.addi, x10, 0x3ffffffffffffffe, 0x4000000000000000, -0x2, x1, 400, x2)

inst_79:
// rs1_val == -2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x2; immval:0x8
TEST_CI_OP( c.addi, x10, 0x6, -0x2, 0x8, x1, 408, x2)

inst_80:
// rs1_val == -5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5; immval:0xb
TEST_CI_OP( c.addi, x10, 0x6, -0x5, 0xb, x1, 416, x2)

inst_81:
// rs1_val == -9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x9; immval:0x0
TEST_CI_OP( c.addi, x10, 0xfffffffffffffff7, -0x9, 0x0, x1, 424, x2)

inst_82:
// rs1_val == -17, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x11; immval:-0x5
TEST_CI_OP( c.addi, x10, 0xffffffffffffffea, -0x11, -0x5, x1, 432, x2)

inst_83:
// rs1_val == -33, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x21; immval:-0x5
TEST_CI_OP( c.addi, x10, 0xffffffffffffffda, -0x21, -0x5, x1, 440, x2)

inst_84:
// rs1_val == -65, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x41; immval:0x6
TEST_CI_OP( c.addi, x10, 0xffffffffffffffc5, -0x41, 0x6, x1, 448, x2)

inst_85:
// rs1_val == -129, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x81; immval:-0x5
TEST_CI_OP( c.addi, x10, 0xffffffffffffff7a, -0x81, -0x5, x1, 456, x2)

inst_86:
// rs1_val == -257, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x101; immval:-0x2
TEST_CI_OP( c.addi, x10, 0xfffffffffffffefd, -0x101, -0x2, x1, 464, x2)

inst_87:
// rs1_val == -513, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x201; immval:0x4
TEST_CI_OP( c.addi, x10, 0xfffffffffffffe03, -0x201, 0x4, x1, 472, x2)

inst_88:
// rs1_val == -2049, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x801; immval:0x6
TEST_CI_OP( c.addi, x10, 0xfffffffffffff805, -0x801, 0x6, x1, 480, x2)

inst_89:
// rs1_val == -4097, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x1001; immval:-0x3
TEST_CI_OP( c.addi, x10, 0xffffffffffffeffc, -0x1001, -0x3, x1, 488, x2)

inst_90:
// rs1_val == -8193, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x2001; immval:0x6
TEST_CI_OP( c.addi, x10, 0xffffffffffffe005, -0x2001, 0x6, x1, 496, x2)

inst_91:
// rs1_val == -16385, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x4001; immval:-0x11
TEST_CI_OP( c.addi, x10, 0xffffffffffffbfee, -0x4001, -0x11, x1, 504, x2)

inst_92:
// rs1_val == -32769, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x8001; immval:0x4
TEST_CI_OP( c.addi, x10, 0xffffffffffff8003, -0x8001, 0x4, x1, 512, x2)

inst_93:
// rs1_val == -65537, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x10001; immval:0x3
TEST_CI_OP( c.addi, x10, 0xffffffffffff0002, -0x10001, 0x3, x1, 520, x2)

inst_94:
// rs1_val == -262145, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x40001; immval:-0x1
TEST_CI_OP( c.addi, x10, 0xfffffffffffbfffe, -0x40001, -0x1, x1, 528, x2)

inst_95:
// rs1_val == -524289, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x80001; immval:-0x2
TEST_CI_OP( c.addi, x10, 0xfffffffffff7fffd, -0x80001, -0x2, x1, 536, x2)

inst_96:
// rs1_val == -1048577, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x100001; immval:0x0
TEST_CI_OP( c.addi, x10, 0xffffffffffefffff, -0x100001, 0x0, x1, 544, x2)

inst_97:
// rs1_val == -2097153, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x200001; immval:0x6
TEST_CI_OP( c.addi, x10, 0xffffffffffe00005, -0x200001, 0x6, x1, 552, x2)

inst_98:
// rs1_val == -4194305, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x400001; immval:0x1f
TEST_CI_OP( c.addi, x10, 0xffffffffffc0001e, -0x400001, 0x1f, x1, 560, x2)

inst_99:
// rs1_val == -8388609, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x800001; immval:-0x6
TEST_CI_OP( c.addi, x10, 0xffffffffff7ffff9, -0x800001, -0x6, x1, 568, x2)

inst_100:
// rs1_val == -16777217, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x1000001; immval:0xa
TEST_CI_OP( c.addi, x10, 0xffffffffff000009, -0x1000001, 0xa, x1, 576, x2)

inst_101:
// rs1_val == -33554433, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x2000001; immval:-0x4
TEST_CI_OP( c.addi, x10, 0xfffffffffdfffffb, -0x2000001, -0x4, x1, 584, x2)

inst_102:
// rs1_val == -67108865, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x4000001; immval:0xf
TEST_CI_OP( c.addi, x10, 0xfffffffffc00000e, -0x4000001, 0xf, x1, 592, x2)

inst_103:
// rs1_val == -134217729, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x8000001; immval:0x6
TEST_CI_OP( c.addi, x10, 0xfffffffff8000005, -0x8000001, 0x6, x1, 600, x2)

inst_104:
// rs1_val == -268435457, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x10000001; immval:0x6
TEST_CI_OP( c.addi, x10, 0xfffffffff0000005, -0x10000001, 0x6, x1, 608, x2)

inst_105:
// rs1_val == -536870913, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x20000001; immval:-0x1
TEST_CI_OP( c.addi, x10, 0xffffffffdffffffe, -0x20000001, -0x1, x1, 616, x2)

inst_106:
// rs1_val == -1073741825, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x40000001; immval:0x0
TEST_CI_OP( c.addi, x10, 0xffffffffbfffffff, -0x40000001, 0x0, x1, 624, x2)

inst_107:
// rs1_val == -2147483649, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x80000001; immval:-0x7
TEST_CI_OP( c.addi, x10, 0xffffffff7ffffff8, -0x80000001, -0x7, x1, 632, x2)

inst_108:
// rs1_val == -4294967297, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x100000001; immval:0x10
TEST_CI_OP( c.addi, x10, 0xffffffff0000000f, -0x100000001, 0x10, x1, 640, x2)

inst_109:
// rs1_val == -8589934593, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x200000001; immval:0x8
TEST_CI_OP( c.addi, x10, 0xfffffffe00000007, -0x200000001, 0x8, x1, 648, x2)

inst_110:
// rs1_val == -34359738369, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x800000001; immval:0x0
TEST_CI_OP( c.addi, x10, 0xfffffff7ffffffff, -0x800000001, 0x0, x1, 656, x2)

inst_111:
// rs1_val == -68719476737, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x1000000001; immval:0x4
TEST_CI_OP( c.addi, x10, 0xfffffff000000003, -0x1000000001, 0x4, x1, 664, x2)

inst_112:
// rs1_val == -137438953473, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x2000000001; immval:-0x11
TEST_CI_OP( c.addi, x10, 0xffffffdfffffffee, -0x2000000001, -0x11, x1, 672, x2)

inst_113:
// rs1_val == -274877906945, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x4000000001; immval:0xf
TEST_CI_OP( c.addi, x10, 0xffffffc00000000e, -0x4000000001, 0xf, x1, 680, x2)

inst_114:
// rs1_val == -549755813889, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x8000000001; immval:0x5
TEST_CI_OP( c.addi, x10, 0xffffff8000000004, -0x8000000001, 0x5, x1, 688, x2)

inst_115:
// rs1_val == -1099511627777, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x10000000001; immval:0x0
TEST_CI_OP( c.addi, x10, 0xfffffeffffffffff, -0x10000000001, 0x0, x1, 696, x2)

inst_116:
// rs1_val == -2199023255553, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x20000000001; immval:0x6
TEST_CI_OP( c.addi, x10, 0xfffffe0000000005, -0x20000000001, 0x6, x1, 704, x2)

inst_117:
// rs1_val == -4398046511105, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x40000000001; immval:0x7
TEST_CI_OP( c.addi, x10, 0xfffffc0000000006, -0x40000000001, 0x7, x1, 712, x2)

inst_118:
// rs1_val == -8796093022209, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x80000000001; immval:-0x9
TEST_CI_OP( c.addi, x10, 0xfffff7fffffffff6, -0x80000000001, -0x9, x1, 720, x2)

inst_119:
// rs1_val == -17592186044417, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x100000000001; immval:-0x16
TEST_CI_OP( c.addi, x10, 0xffffefffffffffe9, -0x100000000001, -0x16, x1, 728, x2)

inst_120:
// rs1_val == -35184372088833, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x200000000001; immval:0x4
TEST_CI_OP( c.addi, x10, 0xffffe00000000003, -0x200000000001, 0x4, x1, 736, x2)

inst_121:
// rs1_val == -70368744177665, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x400000000001; immval:0x4
TEST_CI_OP( c.addi, x10, 0xffffc00000000003, -0x400000000001, 0x4, x1, 744, x2)

inst_122:
// rs1_val == -140737488355329, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x800000000001; immval:0x5
TEST_CI_OP( c.addi, x10, 0xffff800000000004, -0x800000000001, 0x5, x1, 752, x2)

inst_123:
// rs1_val == -281474976710657, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x1000000000001; immval:-0x16
TEST_CI_OP( c.addi, x10, 0xfffeffffffffffe9, -0x1000000000001, -0x16, x1, 760, x2)

inst_124:
// rs1_val == -562949953421313, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x2000000000001; immval:0xb
TEST_CI_OP( c.addi, x10, 0xfffe00000000000a, -0x2000000000001, 0xb, x1, 768, x2)

inst_125:
// rs1_val == -1125899906842625, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x4000000000001; immval:0x5
TEST_CI_OP( c.addi, x10, 0xfffc000000000004, -0x4000000000001, 0x5, x1, 776, x2)

inst_126:
// rs1_val == -4503599627370497, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x10000000000001; immval:-0x8
TEST_CI_OP( c.addi, x10, 0xffeffffffffffff7, -0x10000000000001, -0x8, x1, 784, x2)

inst_127:
// rs1_val == -9007199254740993, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x20000000000001; immval:0x6
TEST_CI_OP( c.addi, x10, 0xffe0000000000005, -0x20000000000001, 0x6, x1, 792, x2)

inst_128:
// rs1_val == -18014398509481985, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x40000000000001; immval:0x2
TEST_CI_OP( c.addi, x10, 0xffc0000000000001, -0x40000000000001, 0x2, x1, 800, x2)

inst_129:
// rs1_val == -36028797018963969, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x80000000000001; immval:0x0
TEST_CI_OP( c.addi, x10, 0xff7fffffffffffff, -0x80000000000001, 0x0, x1, 808, x2)

inst_130:
// rs1_val == -72057594037927937, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x100000000000001; immval:0x6
TEST_CI_OP( c.addi, x10, 0xff00000000000005, -0x100000000000001, 0x6, x1, 816, x2)

inst_131:
// rs1_val == -144115188075855873, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x200000000000001; immval:0x0
TEST_CI_OP( c.addi, x10, 0xfdffffffffffffff, -0x200000000000001, 0x0, x1, 824, x2)

inst_132:
// rs1_val == -288230376151711745, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x400000000000001; immval:-0x11
TEST_CI_OP( c.addi, x10, 0xfbffffffffffffee, -0x400000000000001, -0x11, x1, 832, x2)

inst_133:
// rs1_val == -576460752303423489, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x800000000000001; immval:-0x11
TEST_CI_OP( c.addi, x10, 0xf7ffffffffffffee, -0x800000000000001, -0x11, x1, 840, x2)

inst_134:
// rs1_val == -1152921504606846977, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x1000000000000001; immval:0x2
TEST_CI_OP( c.addi, x10, 0xf000000000000001, -0x1000000000000001, 0x2, x1, 848, x2)

inst_135:
// rs1_val == -2305843009213693953, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x2000000000000001; immval:0x15
TEST_CI_OP( c.addi, x10, 0xe000000000000014, -0x2000000000000001, 0x15, x1, 856, x2)

inst_136:
// rs1_val == -4611686018427387905, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x4000000000000001; immval:0x3
TEST_CI_OP( c.addi, x10, 0xc000000000000002, -0x4000000000000001, 0x3, x1, 864, x2)

inst_137:
// rs1_val==3 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3; immval:0x3
TEST_CI_OP( c.addi, x10, 0x6, 0x3, 0x3, x1, 872, x2)

inst_138:
// rs1_val==3 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3; immval:0x5
TEST_CI_OP( c.addi, x10, 0x8, 0x3, 0x5, x1, 880, x2)

inst_139:
// rs1_val==3 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3; immval:0xa
TEST_CI_OP( c.addi, x10, 0xd, 0x3, 0xa, x1, 888, x2)

inst_140:
// rs1_val==3 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3; immval:0x6
TEST_CI_OP( c.addi, x10, 0x9, 0x3, 0x6, x1, 896, x2)

inst_141:
// rs1_val==3 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3; immval:-0x2
TEST_CI_OP( c.addi, x10, 0x1, 0x3, -0x2, x1, 904, x2)

inst_142:
// rs1_val==3 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3; immval:-0x5
TEST_CI_OP( c.addi, x10, 0xfffffffffffffffe, 0x3, -0x5, x1, 912, x2)

inst_143:
// rs1_val==3 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3; immval:0x2
TEST_CI_OP( c.addi, x10, 0x5, 0x3, 0x2, x1, 920, x2)

inst_144:
// rs1_val==3 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3; immval:0x4
TEST_CI_OP( c.addi, x10, 0x7, 0x3, 0x4, x1, 928, x2)

inst_145:
// rs1_val==3 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3; immval:0x9
TEST_CI_OP( c.addi, x10, 0xc, 0x3, 0x9, x1, 936, x2)

inst_146:
// rs1_val==3 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3; immval:0x0
TEST_CI_OP( c.addi, x10, 0x3, 0x3, 0x0, x1, 944, x2)

inst_147:
// rs1_val==3 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3; immval:0xb
TEST_CI_OP( c.addi, x10, 0xe, 0x3, 0xb, x1, 952, x2)

inst_148:
// rs1_val==3 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3; immval:0x7
TEST_CI_OP( c.addi, x10, 0xa, 0x3, 0x7, x1, 960, x2)

inst_149:
// rs1_val==3 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3; immval:-0x1
TEST_CI_OP( c.addi, x10, 0x2, 0x3, -0x1, x1, 968, x2)

inst_150:
// rs1_val==3 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3; immval:-0x4
TEST_CI_OP( c.addi, x10, 0xffffffffffffffff, 0x3, -0x4, x1, 976, x2)

inst_151:
// rs1_val==6148914691236517205 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555555; immval:0x3
TEST_CI_OP( c.addi, x10, 0x5555555555555558, 0x5555555555555555, 0x3, x1, 984, x2)

inst_152:
// rs1_val==6148914691236517205 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555555; immval:0x5
TEST_CI_OP( c.addi, x10, 0x555555555555555a, 0x5555555555555555, 0x5, x1, 992, x2)

inst_153:
// rs1_val==6148914691236517205 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555555; immval:0xa
TEST_CI_OP( c.addi, x10, 0x555555555555555f, 0x5555555555555555, 0xa, x1, 1000, x2)

inst_154:
// rs1_val==6148914691236517205 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555555; immval:-0x2
TEST_CI_OP( c.addi, x10, 0x5555555555555553, 0x5555555555555555, -0x2, x1, 1008, x2)

inst_155:
// rs1_val==6148914691236517205 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555555; immval:-0x5
TEST_CI_OP( c.addi, x10, 0x5555555555555550, 0x5555555555555555, -0x5, x1, 1016, x2)

inst_156:
// rs1_val==6148914691236517205 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555555; immval:0x2
TEST_CI_OP( c.addi, x10, 0x5555555555555557, 0x5555555555555555, 0x2, x1, 1024, x2)

inst_157:
// rs1_val==6148914691236517205 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555555; immval:0x4
TEST_CI_OP( c.addi, x10, 0x5555555555555559, 0x5555555555555555, 0x4, x1, 1032, x2)

inst_158:
// rs1_val==6148914691236517205 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555555; immval:0x9
TEST_CI_OP( c.addi, x10, 0x555555555555555e, 0x5555555555555555, 0x9, x1, 1040, x2)

inst_159:
// rs1_val==6148914691236517205 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555555; immval:0x0
TEST_CI_OP( c.addi, x10, 0x5555555555555555, 0x5555555555555555, 0x0, x1, 1048, x2)

inst_160:
// rs1_val==6148914691236517205 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555555; immval:0xb
TEST_CI_OP( c.addi, x10, 0x5555555555555560, 0x5555555555555555, 0xb, x1, 1056, x2)

inst_161:
// rs1_val==6148914691236517205 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555555; immval:0x7
TEST_CI_OP( c.addi, x10, 0x555555555555555c, 0x5555555555555555, 0x7, x1, 1064, x2)

inst_162:
// rs1_val==6148914691236517205 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555555; immval:-0x1
TEST_CI_OP( c.addi, x10, 0x5555555555555554, 0x5555555555555555, -0x1, x1, 1072, x2)

inst_163:
// rs1_val==6148914691236517205 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555555; immval:-0x4
TEST_CI_OP( c.addi, x10, 0x5555555555555551, 0x5555555555555555, -0x4, x1, 1080, x2)

inst_164:
// rs1_val==-6148914691236517206 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555556; immval:0x3
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaad, -0x5555555555555556, 0x3, x1, 1088, x2)

inst_165:
// rs1_val==-6148914691236517206 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555556; immval:0x5
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaaf, -0x5555555555555556, 0x5, x1, 1096, x2)

inst_166:
// rs1_val==-6148914691236517206 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555556; immval:0xa
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaab4, -0x5555555555555556, 0xa, x1, 1104, x2)

inst_167:
// rs1_val==-6148914691236517206 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555556; immval:0x6
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaab0, -0x5555555555555556, 0x6, x1, 1112, x2)

inst_168:
// rs1_val==-6148914691236517206 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555556; immval:-0x2
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaa8, -0x5555555555555556, -0x2, x1, 1120, x2)

inst_169:
// rs1_val==-6148914691236517206 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555556; immval:-0x5
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaa5, -0x5555555555555556, -0x5, x1, 1128, x2)

inst_170:
// rs1_val==-6148914691236517206 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555556; immval:0x2
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaac, -0x5555555555555556, 0x2, x1, 1136, x2)

inst_171:
// rs1_val==-6148914691236517206 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555556; immval:0x4
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaae, -0x5555555555555556, 0x4, x1, 1144, x2)

inst_172:
// rs1_val==-6148914691236517206 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555556; immval:0x9
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaab3, -0x5555555555555556, 0x9, x1, 1152, x2)

inst_173:
// rs1_val==-6148914691236517206 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555556; immval:0xb
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaab5, -0x5555555555555556, 0xb, x1, 1160, x2)

inst_174:
// rs1_val==-6148914691236517206 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555556; immval:0x7
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaab1, -0x5555555555555556, 0x7, x1, 1168, x2)

inst_175:
// rs1_val==-6148914691236517206 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555556; immval:-0x1
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaa9, -0x5555555555555556, -0x1, x1, 1176, x2)

inst_176:
// rs1_val==-6148914691236517206 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555556; immval:-0x4
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaa6, -0x5555555555555556, -0x4, x1, 1184, x2)

inst_177:
// rs1_val==5 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5; immval:0x3
TEST_CI_OP( c.addi, x10, 0x8, 0x5, 0x3, x1, 1192, x2)

inst_178:
// rs1_val==5 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5; immval:0x5
TEST_CI_OP( c.addi, x10, 0xa, 0x5, 0x5, x1, 1200, x2)

inst_179:
// rs1_val==5 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5; immval:0xa
TEST_CI_OP( c.addi, x10, 0xf, 0x5, 0xa, x1, 1208, x2)

inst_180:
// rs1_val==5 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5; immval:0x6
TEST_CI_OP( c.addi, x10, 0xb, 0x5, 0x6, x1, 1216, x2)

inst_181:
// rs1_val==5 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5; immval:-0x2
TEST_CI_OP( c.addi, x10, 0x3, 0x5, -0x2, x1, 1224, x2)

inst_182:
// rs1_val==5 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5; immval:-0x5
TEST_CI_OP( c.addi, x10, 0x0, 0x5, -0x5, x1, 1232, x2)

inst_183:
// rs1_val==5 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5; immval:0x2
TEST_CI_OP( c.addi, x10, 0x7, 0x5, 0x2, x1, 1240, x2)

inst_184:
// rs1_val==5 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5; immval:0x4
TEST_CI_OP( c.addi, x10, 0x9, 0x5, 0x4, x1, 1248, x2)

inst_185:
// rs1_val==5 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5; immval:0x9
TEST_CI_OP( c.addi, x10, 0xe, 0x5, 0x9, x1, 1256, x2)

inst_186:
// rs1_val==5 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5; immval:0x0
TEST_CI_OP( c.addi, x10, 0x5, 0x5, 0x0, x1, 1264, x2)

inst_187:
// rs1_val==5 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5; immval:0xb
TEST_CI_OP( c.addi, x10, 0x10, 0x5, 0xb, x1, 1272, x2)

inst_188:
// rs1_val==5 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5; immval:0x7
TEST_CI_OP( c.addi, x10, 0xc, 0x5, 0x7, x1, 1280, x2)

inst_189:
// rs1_val==5 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5; immval:-0x1
TEST_CI_OP( c.addi, x10, 0x4, 0x5, -0x1, x1, 1288, x2)

inst_190:
// rs1_val==5 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5; immval:-0x4
TEST_CI_OP( c.addi, x10, 0x1, 0x5, -0x4, x1, 1296, x2)

inst_191:
// rs1_val==3689348814741910323 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333333; immval:0x3
TEST_CI_OP( c.addi, x10, 0x3333333333333336, 0x3333333333333333, 0x3, x1, 1304, x2)

inst_192:
// rs1_val==3689348814741910323 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333333; immval:0x5
TEST_CI_OP( c.addi, x10, 0x3333333333333338, 0x3333333333333333, 0x5, x1, 1312, x2)

inst_193:
// rs1_val==3689348814741910323 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333333; immval:0xa
TEST_CI_OP( c.addi, x10, 0x333333333333333d, 0x3333333333333333, 0xa, x1, 1320, x2)

inst_194:
// rs1_val==3689348814741910323 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333333; immval:0x6
TEST_CI_OP( c.addi, x10, 0x3333333333333339, 0x3333333333333333, 0x6, x1, 1328, x2)

inst_195:
// rs1_val==3689348814741910323 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333333; immval:-0x2
TEST_CI_OP( c.addi, x10, 0x3333333333333331, 0x3333333333333333, -0x2, x1, 1336, x2)

inst_196:
// rs1_val==3689348814741910323 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333333; immval:-0x5
TEST_CI_OP( c.addi, x10, 0x333333333333332e, 0x3333333333333333, -0x5, x1, 1344, x2)

inst_197:
// rs1_val==3689348814741910323 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333333; immval:0x2
TEST_CI_OP( c.addi, x10, 0x3333333333333335, 0x3333333333333333, 0x2, x1, 1352, x2)

inst_198:
// rs1_val==3689348814741910323 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333333; immval:0x4
TEST_CI_OP( c.addi, x10, 0x3333333333333337, 0x3333333333333333, 0x4, x1, 1360, x2)

inst_199:
// rs1_val==3689348814741910323 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333333; immval:0x9
TEST_CI_OP( c.addi, x10, 0x333333333333333c, 0x3333333333333333, 0x9, x1, 1368, x2)

inst_200:
// rs1_val==3689348814741910323 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333333; immval:0x0
TEST_CI_OP( c.addi, x10, 0x3333333333333333, 0x3333333333333333, 0x0, x1, 1376, x2)

inst_201:
// rs1_val==3689348814741910323 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333333; immval:0xb
TEST_CI_OP( c.addi, x10, 0x333333333333333e, 0x3333333333333333, 0xb, x1, 1384, x2)

inst_202:
// rs1_val==3689348814741910323 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333333; immval:0x7
TEST_CI_OP( c.addi, x10, 0x333333333333333a, 0x3333333333333333, 0x7, x1, 1392, x2)

inst_203:
// rs1_val==3689348814741910323 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333333; immval:-0x1
TEST_CI_OP( c.addi, x10, 0x3333333333333332, 0x3333333333333333, -0x1, x1, 1400, x2)

inst_204:
// rs1_val==3689348814741910323 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333333; immval:-0x4
TEST_CI_OP( c.addi, x10, 0x333333333333332f, 0x3333333333333333, -0x4, x1, 1408, x2)

inst_205:
// rs1_val==7378697629483820646 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666666; immval:0x3
TEST_CI_OP( c.addi, x10, 0x6666666666666669, 0x6666666666666666, 0x3, x1, 1416, x2)

inst_206:
// rs1_val==7378697629483820646 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666666; immval:0x5
TEST_CI_OP( c.addi, x10, 0x666666666666666b, 0x6666666666666666, 0x5, x1, 1424, x2)

inst_207:
// rs1_val==7378697629483820646 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666666; immval:0xa
TEST_CI_OP( c.addi, x10, 0x6666666666666670, 0x6666666666666666, 0xa, x1, 1432, x2)

inst_208:
// rs1_val==7378697629483820646 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666666; immval:0x6
TEST_CI_OP( c.addi, x10, 0x666666666666666c, 0x6666666666666666, 0x6, x1, 1440, x2)

inst_209:
// rs1_val==7378697629483820646 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666666; immval:-0x2
TEST_CI_OP( c.addi, x10, 0x6666666666666664, 0x6666666666666666, -0x2, x1, 1448, x2)

inst_210:
// rs1_val==7378697629483820646 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666666; immval:-0x5
TEST_CI_OP( c.addi, x10, 0x6666666666666661, 0x6666666666666666, -0x5, x1, 1456, x2)

inst_211:
// rs1_val==7378697629483820646 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666666; immval:0x2
TEST_CI_OP( c.addi, x10, 0x6666666666666668, 0x6666666666666666, 0x2, x1, 1464, x2)

inst_212:
// rs1_val==7378697629483820646 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666666; immval:0x4
TEST_CI_OP( c.addi, x10, 0x666666666666666a, 0x6666666666666666, 0x4, x1, 1472, x2)

inst_213:
// rs1_val==7378697629483820646 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666666; immval:0x9
TEST_CI_OP( c.addi, x10, 0x666666666666666f, 0x6666666666666666, 0x9, x1, 1480, x2)

inst_214:
// rs1_val==7378697629483820646 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666666; immval:0x0
TEST_CI_OP( c.addi, x10, 0x6666666666666666, 0x6666666666666666, 0x0, x1, 1488, x2)

inst_215:
// rs1_val==7378697629483820646 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666666; immval:0xb
TEST_CI_OP( c.addi, x10, 0x6666666666666671, 0x6666666666666666, 0xb, x1, 1496, x2)

inst_216:
// rs1_val==7378697629483820646 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666666; immval:0x7
TEST_CI_OP( c.addi, x10, 0x666666666666666d, 0x6666666666666666, 0x7, x1, 1504, x2)

inst_217:
// rs1_val==7378697629483820646 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666666; immval:-0x1
TEST_CI_OP( c.addi, x10, 0x6666666666666665, 0x6666666666666666, -0x1, x1, 1512, x2)

inst_218:
// rs1_val==7378697629483820646 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666666; immval:-0x4
TEST_CI_OP( c.addi, x10, 0x6666666666666662, 0x6666666666666666, -0x4, x1, 1520, x2)

inst_219:
// rs1_val==-3037000499 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f333; immval:0x3
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd0, -0xb504f333, 0x3, x1, 1528, x2)

inst_220:
// rs1_val==-3037000499 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f333; immval:0x5
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd2, -0xb504f333, 0x5, x1, 1536, x2)

inst_221:
// rs1_val==-3037000499 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f333; immval:0xa
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd7, -0xb504f333, 0xa, x1, 1544, x2)

inst_222:
// rs1_val==-3037000499 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f333; immval:0x6
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd3, -0xb504f333, 0x6, x1, 1552, x2)

inst_223:
// rs1_val==-3037000499 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f333; immval:-0x2
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0ccb, -0xb504f333, -0x2, x1, 1560, x2)

inst_224:
// rs1_val==-3037000499 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f333; immval:-0x5
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cc8, -0xb504f333, -0x5, x1, 1568, x2)

inst_225:
// rs1_val==-3037000499 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f333; immval:0x2
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0ccf, -0xb504f333, 0x2, x1, 1576, x2)

inst_226:
// rs1_val==-3037000499 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f333; immval:0x4
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd1, -0xb504f333, 0x4, x1, 1584, x2)

inst_227:
// rs1_val==-3037000499 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f333; immval:0x9
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd6, -0xb504f333, 0x9, x1, 1592, x2)

inst_228:
// rs1_val==-3037000499 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f333; immval:0x0
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0ccd, -0xb504f333, 0x0, x1, 1600, x2)

inst_229:
// rs1_val==-3037000499 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f333; immval:0xb
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd8, -0xb504f333, 0xb, x1, 1608, x2)

inst_230:
// rs1_val==-3037000499 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f333; immval:0x7
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd4, -0xb504f333, 0x7, x1, 1616, x2)

inst_231:
// rs1_val==-3037000499 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f333; immval:-0x1
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0ccc, -0xb504f333, -0x1, x1, 1624, x2)

inst_232:
// rs1_val==-3037000499 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f333; immval:-0x4
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cc9, -0xb504f333, -0x4, x1, 1632, x2)

inst_233:
// rs1_val==3037000499 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f333; immval:0x3
TEST_CI_OP( c.addi, x10, 0xb504f336, 0xb504f333, 0x3, x1, 1640, x2)

inst_234:
// rs1_val==3037000499 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f333; immval:0x5
TEST_CI_OP( c.addi, x10, 0xb504f338, 0xb504f333, 0x5, x1, 1648, x2)

inst_235:
// rs1_val==3037000499 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f333; immval:0xa
TEST_CI_OP( c.addi, x10, 0xb504f33d, 0xb504f333, 0xa, x1, 1656, x2)

inst_236:
// rs1_val==3037000499 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f333; immval:0x6
TEST_CI_OP( c.addi, x10, 0xb504f339, 0xb504f333, 0x6, x1, 1664, x2)

inst_237:
// rs1_val==3037000499 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f333; immval:-0x2
TEST_CI_OP( c.addi, x10, 0xb504f331, 0xb504f333, -0x2, x1, 1672, x2)

inst_238:
// rs1_val==3037000499 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f333; immval:-0x5
TEST_CI_OP( c.addi, x10, 0xb504f32e, 0xb504f333, -0x5, x1, 1680, x2)

inst_239:
// rs1_val==3037000499 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f333; immval:0x2
TEST_CI_OP( c.addi, x10, 0xb504f335, 0xb504f333, 0x2, x1, 1688, x2)

inst_240:
// rs1_val==3037000499 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f333; immval:0x4
TEST_CI_OP( c.addi, x10, 0xb504f337, 0xb504f333, 0x4, x1, 1696, x2)

inst_241:
// rs1_val==3037000499 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f333; immval:0x9
TEST_CI_OP( c.addi, x10, 0xb504f33c, 0xb504f333, 0x9, x1, 1704, x2)

inst_242:
// rs1_val==3037000499 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f333; immval:0x0
TEST_CI_OP( c.addi, x10, 0xb504f333, 0xb504f333, 0x0, x1, 1712, x2)

inst_243:
// rs1_val==3037000499 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f333; immval:0xb
TEST_CI_OP( c.addi, x10, 0xb504f33e, 0xb504f333, 0xb, x1, 1720, x2)

inst_244:
// rs1_val==3037000499 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f333; immval:0x7
TEST_CI_OP( c.addi, x10, 0xb504f33a, 0xb504f333, 0x7, x1, 1728, x2)

inst_245:
// rs1_val==3037000499 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f333; immval:-0x1
TEST_CI_OP( c.addi, x10, 0xb504f332, 0xb504f333, -0x1, x1, 1736, x2)

inst_246:
// rs1_val==3037000499 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f333; immval:-0x4
TEST_CI_OP( c.addi, x10, 0xb504f32f, 0xb504f333, -0x4, x1, 1744, x2)

inst_247:
// rs1_val==2 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2; immval:0x3
TEST_CI_OP( c.addi, x10, 0x5, 0x2, 0x3, x1, 1752, x2)

inst_248:
// rs1_val==2 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2; immval:0xa
TEST_CI_OP( c.addi, x10, 0xc, 0x2, 0xa, x1, 1760, x2)

inst_249:
// rs1_val==2 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2; immval:0x6
TEST_CI_OP( c.addi, x10, 0x8, 0x2, 0x6, x1, 1768, x2)

inst_250:
// rs1_val==2 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2; immval:-0x2
TEST_CI_OP( c.addi, x10, 0x0, 0x2, -0x2, x1, 1776, x2)

inst_251:
// rs1_val==2 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2; immval:-0x5
TEST_CI_OP( c.addi, x10, 0xfffffffffffffffd, 0x2, -0x5, x1, 1784, x2)

inst_252:
// rs1_val==2 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2; immval:0x2
TEST_CI_OP( c.addi, x10, 0x4, 0x2, 0x2, x1, 1792, x2)

inst_253:
// rs1_val==2 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2; immval:0x4
TEST_CI_OP( c.addi, x10, 0x6, 0x2, 0x4, x1, 1800, x2)

inst_254:
// rs1_val==2 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2; immval:0x9
TEST_CI_OP( c.addi, x10, 0xb, 0x2, 0x9, x1, 1808, x2)

inst_255:
// rs1_val==2 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2; immval:0x0
TEST_CI_OP( c.addi, x10, 0x2, 0x2, 0x0, x1, 1816, x2)

inst_256:
// rs1_val==2 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2; immval:0xb
TEST_CI_OP( c.addi, x10, 0xd, 0x2, 0xb, x1, 1824, x2)

inst_257:
// rs1_val==2 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2; immval:0x7
TEST_CI_OP( c.addi, x10, 0x9, 0x2, 0x7, x1, 1832, x2)

inst_258:
// rs1_val==2 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2; immval:-0x1
TEST_CI_OP( c.addi, x10, 0x1, 0x2, -0x1, x1, 1840, x2)

inst_259:
// rs1_val==2 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x2; immval:-0x4
TEST_CI_OP( c.addi, x10, 0xfffffffffffffffe, 0x2, -0x4, x1, 1848, x2)

inst_260:
// rs1_val==6148914691236517204 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555554; immval:0x3
TEST_CI_OP( c.addi, x10, 0x5555555555555557, 0x5555555555555554, 0x3, x1, 1856, x2)

inst_261:
// rs1_val==6148914691236517204 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555554; immval:0x5
TEST_CI_OP( c.addi, x10, 0x5555555555555559, 0x5555555555555554, 0x5, x1, 1864, x2)

inst_262:
// rs1_val==6148914691236517204 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555554; immval:0xa
TEST_CI_OP( c.addi, x10, 0x555555555555555e, 0x5555555555555554, 0xa, x1, 1872, x2)

inst_263:
// rs1_val==6148914691236517204 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555554; immval:0x6
TEST_CI_OP( c.addi, x10, 0x555555555555555a, 0x5555555555555554, 0x6, x1, 1880, x2)

inst_264:
// rs1_val==6148914691236517204 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555554; immval:-0x2
TEST_CI_OP( c.addi, x10, 0x5555555555555552, 0x5555555555555554, -0x2, x1, 1888, x2)

inst_265:
// rs1_val==6148914691236517204 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555554; immval:-0x5
TEST_CI_OP( c.addi, x10, 0x555555555555554f, 0x5555555555555554, -0x5, x1, 1896, x2)

inst_266:
// rs1_val==6148914691236517204 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555554; immval:0x2
TEST_CI_OP( c.addi, x10, 0x5555555555555556, 0x5555555555555554, 0x2, x1, 1904, x2)

inst_267:
// rs1_val==6148914691236517204 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555554; immval:0x4
TEST_CI_OP( c.addi, x10, 0x5555555555555558, 0x5555555555555554, 0x4, x1, 1912, x2)

inst_268:
// rs1_val==6148914691236517204 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555554; immval:0x9
TEST_CI_OP( c.addi, x10, 0x555555555555555d, 0x5555555555555554, 0x9, x1, 1920, x2)

inst_269:
// rs1_val==6148914691236517204 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555554; immval:0x0
TEST_CI_OP( c.addi, x10, 0x5555555555555554, 0x5555555555555554, 0x0, x1, 1928, x2)

inst_270:
// rs1_val==6148914691236517204 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555554; immval:0xb
TEST_CI_OP( c.addi, x10, 0x555555555555555f, 0x5555555555555554, 0xb, x1, 1936, x2)

inst_271:
// rs1_val==6148914691236517204 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555554; immval:0x7
TEST_CI_OP( c.addi, x10, 0x555555555555555b, 0x5555555555555554, 0x7, x1, 1944, x2)

inst_272:
// rs1_val==6148914691236517204 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555554; immval:-0x1
TEST_CI_OP( c.addi, x10, 0x5555555555555553, 0x5555555555555554, -0x1, x1, 1952, x2)

inst_273:
// rs1_val==6148914691236517204 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555554; immval:-0x4
TEST_CI_OP( c.addi, x10, 0x5555555555555550, 0x5555555555555554, -0x4, x1, 1960, x2)

inst_274:
// rs1_val==0 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x0; immval:0x3
TEST_CI_OP( c.addi, x10, 0x3, 0x0, 0x3, x1, 1968, x2)

inst_275:
// rs1_val==0 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x0; immval:0x5
TEST_CI_OP( c.addi, x10, 0x5, 0x0, 0x5, x1, 1976, x2)

inst_276:
// rs1_val==0 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x0; immval:0xa
TEST_CI_OP( c.addi, x10, 0xa, 0x0, 0xa, x1, 1984, x2)

inst_277:
// rs1_val==0 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x0; immval:0x6
TEST_CI_OP( c.addi, x10, 0x6, 0x0, 0x6, x1, 1992, x2)

inst_278:
// rs1_val==0 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x0; immval:-0x2
TEST_CI_OP( c.addi, x10, 0xfffffffffffffffe, 0x0, -0x2, x1, 2000, x2)

inst_279:
// rs1_val==0 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x0; immval:-0x5
TEST_CI_OP( c.addi, x10, 0xfffffffffffffffb, 0x0, -0x5, x1, 2008, x2)

inst_280:
// rs1_val==0 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x0; immval:0x2
TEST_CI_OP( c.addi, x10, 0x2, 0x0, 0x2, x1, 2016, x2)

inst_281:
// rs1_val==0 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x0; immval:0x4
TEST_CI_OP( c.addi, x10, 0x4, 0x0, 0x4, x1, 2024, x2)

inst_282:
// rs1_val==0 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x0; immval:0x9
TEST_CI_OP( c.addi, x10, 0x9, 0x0, 0x9, x1, 2032, x2)

inst_283:
// rs1_val==0 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x0; immval:0x0
TEST_CI_OP( c.addi, x10, 0x0, 0x0, 0x0, x1, 2040, x2)
RVTEST_SIGBASE( x1,signature_x1_1)

inst_284:
// rs1_val==0 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x0; immval:0xb
TEST_CI_OP( c.addi, x10, 0xb, 0x0, 0xb, x1, 0, x2)

inst_285:
// rs1_val==0 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x0; immval:0x7
TEST_CI_OP( c.addi, x10, 0x7, 0x0, 0x7, x1, 8, x2)

inst_286:
// rs1_val==0 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x0; immval:-0x1
TEST_CI_OP( c.addi, x10, 0xffffffffffffffff, 0x0, -0x1, x1, 16, x2)

inst_287:
// rs1_val==0 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x0; immval:-0x4
TEST_CI_OP( c.addi, x10, 0xfffffffffffffffc, 0x0, -0x4, x1, 24, x2)

inst_288:
// rs1_val==4 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4; immval:0x3
TEST_CI_OP( c.addi, x10, 0x7, 0x4, 0x3, x1, 32, x2)

inst_289:
// rs1_val==4 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4; immval:0x5
TEST_CI_OP( c.addi, x10, 0x9, 0x4, 0x5, x1, 40, x2)

inst_290:
// rs1_val==4 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4; immval:0xa
TEST_CI_OP( c.addi, x10, 0xe, 0x4, 0xa, x1, 48, x2)

inst_291:
// rs1_val==4 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4; immval:0x6
TEST_CI_OP( c.addi, x10, 0xa, 0x4, 0x6, x1, 56, x2)

inst_292:
// rs1_val==4 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4; immval:-0x5
TEST_CI_OP( c.addi, x10, 0xffffffffffffffff, 0x4, -0x5, x1, 64, x2)

inst_293:
// rs1_val==4 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4; immval:0x2
TEST_CI_OP( c.addi, x10, 0x6, 0x4, 0x2, x1, 72, x2)

inst_294:
// rs1_val==4 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4; immval:0x4
TEST_CI_OP( c.addi, x10, 0x8, 0x4, 0x4, x1, 80, x2)

inst_295:
// rs1_val==4 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4; immval:0x9
TEST_CI_OP( c.addi, x10, 0xd, 0x4, 0x9, x1, 88, x2)

inst_296:
// rs1_val==4 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4; immval:0x0
TEST_CI_OP( c.addi, x10, 0x4, 0x4, 0x0, x1, 96, x2)

inst_297:
// rs1_val==4 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4; immval:0xb
TEST_CI_OP( c.addi, x10, 0xf, 0x4, 0xb, x1, 104, x2)

inst_298:
// rs1_val==4 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4; immval:0x7
TEST_CI_OP( c.addi, x10, 0xb, 0x4, 0x7, x1, 112, x2)

inst_299:
// rs1_val==4 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4; immval:-0x1
TEST_CI_OP( c.addi, x10, 0x3, 0x4, -0x1, x1, 120, x2)

inst_300:
// rs1_val==4 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x4; immval:-0x4
TEST_CI_OP( c.addi, x10, 0x0, 0x4, -0x4, x1, 128, x2)

inst_301:
// rs1_val==3689348814741910322 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333332; immval:0x3
TEST_CI_OP( c.addi, x10, 0x3333333333333335, 0x3333333333333332, 0x3, x1, 136, x2)

inst_302:
// rs1_val==3689348814741910322 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333332; immval:0x5
TEST_CI_OP( c.addi, x10, 0x3333333333333337, 0x3333333333333332, 0x5, x1, 144, x2)

inst_303:
// rs1_val==3689348814741910322 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333332; immval:0xa
TEST_CI_OP( c.addi, x10, 0x333333333333333c, 0x3333333333333332, 0xa, x1, 152, x2)

inst_304:
// rs1_val==3689348814741910322 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333332; immval:0x6
TEST_CI_OP( c.addi, x10, 0x3333333333333338, 0x3333333333333332, 0x6, x1, 160, x2)

inst_305:
// rs1_val==3689348814741910322 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333332; immval:-0x2
TEST_CI_OP( c.addi, x10, 0x3333333333333330, 0x3333333333333332, -0x2, x1, 168, x2)

inst_306:
// rs1_val==3689348814741910322 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333332; immval:-0x5
TEST_CI_OP( c.addi, x10, 0x333333333333332d, 0x3333333333333332, -0x5, x1, 176, x2)

inst_307:
// rs1_val==3689348814741910322 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333332; immval:0x2
TEST_CI_OP( c.addi, x10, 0x3333333333333334, 0x3333333333333332, 0x2, x1, 184, x2)

inst_308:
// rs1_val==3689348814741910322 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333332; immval:0x4
TEST_CI_OP( c.addi, x10, 0x3333333333333336, 0x3333333333333332, 0x4, x1, 192, x2)

inst_309:
// rs1_val==3689348814741910322 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333332; immval:0x9
TEST_CI_OP( c.addi, x10, 0x333333333333333b, 0x3333333333333332, 0x9, x1, 200, x2)

inst_310:
// rs1_val==3689348814741910322 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333332; immval:0x0
TEST_CI_OP( c.addi, x10, 0x3333333333333332, 0x3333333333333332, 0x0, x1, 208, x2)

inst_311:
// rs1_val==3689348814741910322 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333332; immval:0xb
TEST_CI_OP( c.addi, x10, 0x333333333333333d, 0x3333333333333332, 0xb, x1, 216, x2)

inst_312:
// rs1_val==3689348814741910322 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333332; immval:0x7
TEST_CI_OP( c.addi, x10, 0x3333333333333339, 0x3333333333333332, 0x7, x1, 224, x2)

inst_313:
// rs1_val==3689348814741910322 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333332; immval:-0x1
TEST_CI_OP( c.addi, x10, 0x3333333333333331, 0x3333333333333332, -0x1, x1, 232, x2)

inst_314:
// rs1_val==3689348814741910322 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333332; immval:-0x4
TEST_CI_OP( c.addi, x10, 0x333333333333332e, 0x3333333333333332, -0x4, x1, 240, x2)

inst_315:
// rs1_val==7378697629483820645 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666665; immval:0x3
TEST_CI_OP( c.addi, x10, 0x6666666666666668, 0x6666666666666665, 0x3, x1, 248, x2)

inst_316:
// rs1_val==7378697629483820645 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666665; immval:0x5
TEST_CI_OP( c.addi, x10, 0x666666666666666a, 0x6666666666666665, 0x5, x1, 256, x2)

inst_317:
// rs1_val==7378697629483820645 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666665; immval:0xa
TEST_CI_OP( c.addi, x10, 0x666666666666666f, 0x6666666666666665, 0xa, x1, 264, x2)

inst_318:
// rs1_val==7378697629483820645 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666665; immval:0x6
TEST_CI_OP( c.addi, x10, 0x666666666666666b, 0x6666666666666665, 0x6, x1, 272, x2)

inst_319:
// rs1_val==7378697629483820645 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666665; immval:-0x2
TEST_CI_OP( c.addi, x10, 0x6666666666666663, 0x6666666666666665, -0x2, x1, 280, x2)

inst_320:
// rs1_val==7378697629483820645 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666665; immval:-0x5
TEST_CI_OP( c.addi, x10, 0x6666666666666660, 0x6666666666666665, -0x5, x1, 288, x2)

inst_321:
// rs1_val==7378697629483820645 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666665; immval:0x2
TEST_CI_OP( c.addi, x10, 0x6666666666666667, 0x6666666666666665, 0x2, x1, 296, x2)

inst_322:
// rs1_val==7378697629483820645 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666665; immval:0x4
TEST_CI_OP( c.addi, x10, 0x6666666666666669, 0x6666666666666665, 0x4, x1, 304, x2)

inst_323:
// rs1_val==7378697629483820645 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666665; immval:0x9
TEST_CI_OP( c.addi, x10, 0x666666666666666e, 0x6666666666666665, 0x9, x1, 312, x2)

inst_324:
// rs1_val==7378697629483820645 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666665; immval:0x0
TEST_CI_OP( c.addi, x10, 0x6666666666666665, 0x6666666666666665, 0x0, x1, 320, x2)

inst_325:
// rs1_val==7378697629483820645 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666665; immval:0xb
TEST_CI_OP( c.addi, x10, 0x6666666666666670, 0x6666666666666665, 0xb, x1, 328, x2)

inst_326:
// rs1_val==7378697629483820645 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666665; immval:0x7
TEST_CI_OP( c.addi, x10, 0x666666666666666c, 0x6666666666666665, 0x7, x1, 336, x2)

inst_327:
// rs1_val==7378697629483820645 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666665; immval:-0x1
TEST_CI_OP( c.addi, x10, 0x6666666666666664, 0x6666666666666665, -0x1, x1, 344, x2)

inst_328:
// rs1_val==7378697629483820645 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666665; immval:-0x4
TEST_CI_OP( c.addi, x10, 0x6666666666666661, 0x6666666666666665, -0x4, x1, 352, x2)

inst_329:
// rs1_val==3037000498 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f332; immval:0x3
TEST_CI_OP( c.addi, x10, 0xb504f335, 0xb504f332, 0x3, x1, 360, x2)

inst_330:
// rs1_val==3037000498 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f332; immval:0x5
TEST_CI_OP( c.addi, x10, 0xb504f337, 0xb504f332, 0x5, x1, 368, x2)

inst_331:
// rs1_val==3037000498 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f332; immval:0xa
TEST_CI_OP( c.addi, x10, 0xb504f33c, 0xb504f332, 0xa, x1, 376, x2)

inst_332:
// rs1_val==3037000498 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f332; immval:0x6
TEST_CI_OP( c.addi, x10, 0xb504f338, 0xb504f332, 0x6, x1, 384, x2)

inst_333:
// rs1_val==3037000498 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f332; immval:-0x2
TEST_CI_OP( c.addi, x10, 0xb504f330, 0xb504f332, -0x2, x1, 392, x2)

inst_334:
// rs1_val==3037000498 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f332; immval:-0x5
TEST_CI_OP( c.addi, x10, 0xb504f32d, 0xb504f332, -0x5, x1, 400, x2)

inst_335:
// rs1_val==3037000498 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f332; immval:0x2
TEST_CI_OP( c.addi, x10, 0xb504f334, 0xb504f332, 0x2, x1, 408, x2)

inst_336:
// rs1_val==3037000498 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f332; immval:0x4
TEST_CI_OP( c.addi, x10, 0xb504f336, 0xb504f332, 0x4, x1, 416, x2)

inst_337:
// rs1_val==3037000498 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f332; immval:0x9
TEST_CI_OP( c.addi, x10, 0xb504f33b, 0xb504f332, 0x9, x1, 424, x2)

inst_338:
// rs1_val==3037000498 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f332; immval:0x0
TEST_CI_OP( c.addi, x10, 0xb504f332, 0xb504f332, 0x0, x1, 432, x2)

inst_339:
// rs1_val==3037000498 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f332; immval:0xb
TEST_CI_OP( c.addi, x10, 0xb504f33d, 0xb504f332, 0xb, x1, 440, x2)

inst_340:
// rs1_val==3037000498 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f332; immval:0x7
TEST_CI_OP( c.addi, x10, 0xb504f339, 0xb504f332, 0x7, x1, 448, x2)

inst_341:
// rs1_val==3037000498 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f332; immval:-0x1
TEST_CI_OP( c.addi, x10, 0xb504f331, 0xb504f332, -0x1, x1, 456, x2)

inst_342:
// rs1_val==3037000498 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f332; immval:-0x4
TEST_CI_OP( c.addi, x10, 0xb504f32e, 0xb504f332, -0x4, x1, 464, x2)

inst_343:
// rs1_val==6148914691236517206 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555556; immval:0x3
TEST_CI_OP( c.addi, x10, 0x5555555555555559, 0x5555555555555556, 0x3, x1, 472, x2)

inst_344:
// rs1_val==6148914691236517206 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555556; immval:0x5
TEST_CI_OP( c.addi, x10, 0x555555555555555b, 0x5555555555555556, 0x5, x1, 480, x2)

inst_345:
// rs1_val==6148914691236517206 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555556; immval:0xa
TEST_CI_OP( c.addi, x10, 0x5555555555555560, 0x5555555555555556, 0xa, x1, 488, x2)

inst_346:
// rs1_val==6148914691236517206 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555556; immval:0x6
TEST_CI_OP( c.addi, x10, 0x555555555555555c, 0x5555555555555556, 0x6, x1, 496, x2)

inst_347:
// rs1_val==6148914691236517206 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555556; immval:-0x2
TEST_CI_OP( c.addi, x10, 0x5555555555555554, 0x5555555555555556, -0x2, x1, 504, x2)

inst_348:
// rs1_val==6148914691236517206 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555556; immval:-0x5
TEST_CI_OP( c.addi, x10, 0x5555555555555551, 0x5555555555555556, -0x5, x1, 512, x2)

inst_349:
// rs1_val==6148914691236517206 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555556; immval:0x2
TEST_CI_OP( c.addi, x10, 0x5555555555555558, 0x5555555555555556, 0x2, x1, 520, x2)

inst_350:
// rs1_val==6148914691236517206 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555556; immval:0x4
TEST_CI_OP( c.addi, x10, 0x555555555555555a, 0x5555555555555556, 0x4, x1, 528, x2)

inst_351:
// rs1_val==6148914691236517206 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555556; immval:0x9
TEST_CI_OP( c.addi, x10, 0x555555555555555f, 0x5555555555555556, 0x9, x1, 536, x2)

inst_352:
// rs1_val==6148914691236517206 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555556; immval:0x0
TEST_CI_OP( c.addi, x10, 0x5555555555555556, 0x5555555555555556, 0x0, x1, 544, x2)

inst_353:
// rs1_val==6148914691236517206 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555556; immval:0xb
TEST_CI_OP( c.addi, x10, 0x5555555555555561, 0x5555555555555556, 0xb, x1, 552, x2)

inst_354:
// rs1_val==6148914691236517206 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555556; immval:0x7
TEST_CI_OP( c.addi, x10, 0x555555555555555d, 0x5555555555555556, 0x7, x1, 560, x2)

inst_355:
// rs1_val==6148914691236517206 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555556; immval:-0x1
TEST_CI_OP( c.addi, x10, 0x5555555555555555, 0x5555555555555556, -0x1, x1, 568, x2)

inst_356:
// rs1_val==6148914691236517206 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x5555555555555556; immval:-0x4
TEST_CI_OP( c.addi, x10, 0x5555555555555552, 0x5555555555555556, -0x4, x1, 576, x2)

inst_357:
// rs1_val==-6148914691236517205 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555555; immval:0x3
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaae, -0x5555555555555555, 0x3, x1, 584, x2)

inst_358:
// rs1_val==-6148914691236517205 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555555; immval:0x5
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaab0, -0x5555555555555555, 0x5, x1, 592, x2)

inst_359:
// rs1_val==-6148914691236517205 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555555; immval:0xa
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaab5, -0x5555555555555555, 0xa, x1, 600, x2)

inst_360:
// rs1_val==-6148914691236517205 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555555; immval:0x6
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaab1, -0x5555555555555555, 0x6, x1, 608, x2)

inst_361:
// rs1_val==-6148914691236517205 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555555; immval:-0x2
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaa9, -0x5555555555555555, -0x2, x1, 616, x2)

inst_362:
// rs1_val==-6148914691236517205 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555555; immval:-0x5
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaa6, -0x5555555555555555, -0x5, x1, 624, x2)

inst_363:
// rs1_val==-6148914691236517205 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555555; immval:0x2
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaad, -0x5555555555555555, 0x2, x1, 632, x2)

inst_364:
// rs1_val==-6148914691236517205 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555555; immval:0x4
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaaf, -0x5555555555555555, 0x4, x1, 640, x2)

inst_365:
// rs1_val==-6148914691236517205 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555555; immval:0x9
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaab4, -0x5555555555555555, 0x9, x1, 648, x2)

inst_366:
// rs1_val==-6148914691236517205 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555555; immval:0x0
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaab, -0x5555555555555555, 0x0, x1, 656, x2)

inst_367:
// rs1_val==-6148914691236517205 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555555; immval:0xb
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaab6, -0x5555555555555555, 0xb, x1, 664, x2)

inst_368:
// rs1_val==-6148914691236517205 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555555; immval:0x7
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaab2, -0x5555555555555555, 0x7, x1, 672, x2)

inst_369:
// rs1_val==-6148914691236517205 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555555; immval:-0x1
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaaa, -0x5555555555555555, -0x1, x1, 680, x2)

inst_370:
// rs1_val==-6148914691236517205 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0x5555555555555555; immval:-0x4
TEST_CI_OP( c.addi, x10, 0xaaaaaaaaaaaaaaa7, -0x5555555555555555, -0x4, x1, 688, x2)

inst_371:
// rs1_val==6 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6; immval:0x3
TEST_CI_OP( c.addi, x10, 0x9, 0x6, 0x3, x1, 696, x2)

inst_372:
// rs1_val==6 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6; immval:0x5
TEST_CI_OP( c.addi, x10, 0xb, 0x6, 0x5, x1, 704, x2)

inst_373:
// rs1_val==6 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6; immval:0xa
TEST_CI_OP( c.addi, x10, 0x10, 0x6, 0xa, x1, 712, x2)

inst_374:
// rs1_val==6 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6; immval:0x6
TEST_CI_OP( c.addi, x10, 0xc, 0x6, 0x6, x1, 720, x2)

inst_375:
// rs1_val==6 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6; immval:-0x2
TEST_CI_OP( c.addi, x10, 0x4, 0x6, -0x2, x1, 728, x2)

inst_376:
// rs1_val==6 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6; immval:-0x5
TEST_CI_OP( c.addi, x10, 0x1, 0x6, -0x5, x1, 736, x2)

inst_377:
// rs1_val==6 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6; immval:0x2
TEST_CI_OP( c.addi, x10, 0x8, 0x6, 0x2, x1, 744, x2)

inst_378:
// rs1_val==6 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6; immval:0x4
TEST_CI_OP( c.addi, x10, 0xa, 0x6, 0x4, x1, 752, x2)

inst_379:
// rs1_val==6 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6; immval:0x9
TEST_CI_OP( c.addi, x10, 0xf, 0x6, 0x9, x1, 760, x2)

inst_380:
// rs1_val==6 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6; immval:0x0
TEST_CI_OP( c.addi, x10, 0x6, 0x6, 0x0, x1, 768, x2)

inst_381:
// rs1_val==6 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6; immval:0xb
TEST_CI_OP( c.addi, x10, 0x11, 0x6, 0xb, x1, 776, x2)

inst_382:
// rs1_val==6 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6; immval:0x7
TEST_CI_OP( c.addi, x10, 0xd, 0x6, 0x7, x1, 784, x2)

inst_383:
// rs1_val==6 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6; immval:-0x4
TEST_CI_OP( c.addi, x10, 0x2, 0x6, -0x4, x1, 792, x2)

inst_384:
// rs1_val==3689348814741910324 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333334; immval:0x3
TEST_CI_OP( c.addi, x10, 0x3333333333333337, 0x3333333333333334, 0x3, x1, 800, x2)

inst_385:
// rs1_val==3689348814741910324 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333334; immval:0x5
TEST_CI_OP( c.addi, x10, 0x3333333333333339, 0x3333333333333334, 0x5, x1, 808, x2)

inst_386:
// rs1_val==3689348814741910324 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333334; immval:0xa
TEST_CI_OP( c.addi, x10, 0x333333333333333e, 0x3333333333333334, 0xa, x1, 816, x2)

inst_387:
// rs1_val==3689348814741910324 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333334; immval:0x6
TEST_CI_OP( c.addi, x10, 0x333333333333333a, 0x3333333333333334, 0x6, x1, 824, x2)

inst_388:
// rs1_val==3689348814741910324 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333334; immval:-0x2
TEST_CI_OP( c.addi, x10, 0x3333333333333332, 0x3333333333333334, -0x2, x1, 832, x2)

inst_389:
// rs1_val==3689348814741910324 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333334; immval:-0x5
TEST_CI_OP( c.addi, x10, 0x333333333333332f, 0x3333333333333334, -0x5, x1, 840, x2)

inst_390:
// rs1_val==3689348814741910324 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333334; immval:0x2
TEST_CI_OP( c.addi, x10, 0x3333333333333336, 0x3333333333333334, 0x2, x1, 848, x2)

inst_391:
// rs1_val==3689348814741910324 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333334; immval:0x4
TEST_CI_OP( c.addi, x10, 0x3333333333333338, 0x3333333333333334, 0x4, x1, 856, x2)

inst_392:
// rs1_val==3689348814741910324 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333334; immval:0x9
TEST_CI_OP( c.addi, x10, 0x333333333333333d, 0x3333333333333334, 0x9, x1, 864, x2)

inst_393:
// rs1_val==3689348814741910324 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333334; immval:0x0
TEST_CI_OP( c.addi, x10, 0x3333333333333334, 0x3333333333333334, 0x0, x1, 872, x2)

inst_394:
// rs1_val==3689348814741910324 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333334; immval:0xb
TEST_CI_OP( c.addi, x10, 0x333333333333333f, 0x3333333333333334, 0xb, x1, 880, x2)

inst_395:
// rs1_val==3689348814741910324 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333334; immval:0x7
TEST_CI_OP( c.addi, x10, 0x333333333333333b, 0x3333333333333334, 0x7, x1, 888, x2)

inst_396:
// rs1_val==3689348814741910324 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333334; immval:-0x1
TEST_CI_OP( c.addi, x10, 0x3333333333333333, 0x3333333333333334, -0x1, x1, 896, x2)

inst_397:
// rs1_val==3689348814741910324 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x3333333333333334; immval:-0x4
TEST_CI_OP( c.addi, x10, 0x3333333333333330, 0x3333333333333334, -0x4, x1, 904, x2)

inst_398:
// rs1_val==7378697629483820647 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666667; immval:0x3
TEST_CI_OP( c.addi, x10, 0x666666666666666a, 0x6666666666666667, 0x3, x1, 912, x2)

inst_399:
// rs1_val==7378697629483820647 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666667; immval:0x5
TEST_CI_OP( c.addi, x10, 0x666666666666666c, 0x6666666666666667, 0x5, x1, 920, x2)

inst_400:
// rs1_val==7378697629483820647 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666667; immval:0xa
TEST_CI_OP( c.addi, x10, 0x6666666666666671, 0x6666666666666667, 0xa, x1, 928, x2)

inst_401:
// rs1_val==7378697629483820647 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666667; immval:0x6
TEST_CI_OP( c.addi, x10, 0x666666666666666d, 0x6666666666666667, 0x6, x1, 936, x2)

inst_402:
// rs1_val==7378697629483820647 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666667; immval:-0x2
TEST_CI_OP( c.addi, x10, 0x6666666666666665, 0x6666666666666667, -0x2, x1, 944, x2)

inst_403:
// rs1_val==7378697629483820647 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666667; immval:-0x5
TEST_CI_OP( c.addi, x10, 0x6666666666666662, 0x6666666666666667, -0x5, x1, 952, x2)

inst_404:
// rs1_val==7378697629483820647 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666667; immval:0x2
TEST_CI_OP( c.addi, x10, 0x6666666666666669, 0x6666666666666667, 0x2, x1, 960, x2)

inst_405:
// rs1_val==7378697629483820647 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666667; immval:0x4
TEST_CI_OP( c.addi, x10, 0x666666666666666b, 0x6666666666666667, 0x4, x1, 968, x2)

inst_406:
// rs1_val==7378697629483820647 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666667; immval:0x9
TEST_CI_OP( c.addi, x10, 0x6666666666666670, 0x6666666666666667, 0x9, x1, 976, x2)

inst_407:
// rs1_val==7378697629483820647 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666667; immval:0x0
TEST_CI_OP( c.addi, x10, 0x6666666666666667, 0x6666666666666667, 0x0, x1, 984, x2)

inst_408:
// rs1_val==7378697629483820647 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666667; immval:0xb
TEST_CI_OP( c.addi, x10, 0x6666666666666672, 0x6666666666666667, 0xb, x1, 992, x2)

inst_409:
// rs1_val==-3037000498 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f332; immval:-0x1
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0ccd, -0xb504f332, -0x1, x1, 1000, x2)

inst_410:
// rs1_val==-3037000498 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f332; immval:-0x4
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cca, -0xb504f332, -0x4, x1, 1008, x2)

inst_411:
// rs1_val==3037000500 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f334; immval:0x3
TEST_CI_OP( c.addi, x10, 0xb504f337, 0xb504f334, 0x3, x1, 1016, x2)

inst_412:
// rs1_val==3037000500 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f334; immval:0x5
TEST_CI_OP( c.addi, x10, 0xb504f339, 0xb504f334, 0x5, x1, 1024, x2)

inst_413:
// rs1_val==3037000500 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f334; immval:0xa
TEST_CI_OP( c.addi, x10, 0xb504f33e, 0xb504f334, 0xa, x1, 1032, x2)

inst_414:
// rs1_val==3037000500 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f334; immval:0x6
TEST_CI_OP( c.addi, x10, 0xb504f33a, 0xb504f334, 0x6, x1, 1040, x2)

inst_415:
// rs1_val==3037000500 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f334; immval:-0x2
TEST_CI_OP( c.addi, x10, 0xb504f332, 0xb504f334, -0x2, x1, 1048, x2)

inst_416:
// rs1_val==3037000500 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f334; immval:-0x5
TEST_CI_OP( c.addi, x10, 0xb504f32f, 0xb504f334, -0x5, x1, 1056, x2)

inst_417:
// rs1_val==3037000500 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f334; immval:0x2
TEST_CI_OP( c.addi, x10, 0xb504f336, 0xb504f334, 0x2, x1, 1064, x2)

inst_418:
// rs1_val==3037000500 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f334; immval:0x4
TEST_CI_OP( c.addi, x10, 0xb504f338, 0xb504f334, 0x4, x1, 1072, x2)

inst_419:
// rs1_val==3037000500 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f334; immval:0x9
TEST_CI_OP( c.addi, x10, 0xb504f33d, 0xb504f334, 0x9, x1, 1080, x2)

inst_420:
// rs1_val==3037000500 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f334; immval:0x0
TEST_CI_OP( c.addi, x10, 0xb504f334, 0xb504f334, 0x0, x1, 1088, x2)

inst_421:
// rs1_val==3037000500 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f334; immval:0xb
TEST_CI_OP( c.addi, x10, 0xb504f33f, 0xb504f334, 0xb, x1, 1096, x2)

inst_422:
// rs1_val==3037000500 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f334; immval:0x7
TEST_CI_OP( c.addi, x10, 0xb504f33b, 0xb504f334, 0x7, x1, 1104, x2)

inst_423:
// rs1_val==3037000500 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f334; immval:-0x1
TEST_CI_OP( c.addi, x10, 0xb504f333, 0xb504f334, -0x1, x1, 1112, x2)

inst_424:
// rs1_val==3037000500 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0xb504f334; immval:-0x4
TEST_CI_OP( c.addi, x10, 0xb504f330, 0xb504f334, -0x4, x1, 1120, x2)

inst_425:
// rs1_val==7378697629483820647 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666667; immval:0x7
TEST_CI_OP( c.addi, x10, 0x666666666666666e, 0x6666666666666667, 0x7, x1, 1128, x2)

inst_426:
// rs1_val==7378697629483820647 and imm_val==-1, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666667; immval:-0x1
TEST_CI_OP( c.addi, x10, 0x6666666666666666, 0x6666666666666667, -0x1, x1, 1136, x2)

inst_427:
// rs1_val==7378697629483820647 and imm_val==-4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:0x6666666666666667; immval:-0x4
TEST_CI_OP( c.addi, x10, 0x6666666666666663, 0x6666666666666667, -0x4, x1, 1144, x2)

inst_428:
// rs1_val==-3037000498 and imm_val==3, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f332; immval:0x3
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd1, -0xb504f332, 0x3, x1, 1152, x2)

inst_429:
// rs1_val==-3037000498 and imm_val==5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f332; immval:0x5
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd3, -0xb504f332, 0x5, x1, 1160, x2)

inst_430:
// rs1_val==-3037000498 and imm_val==10, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f332; immval:0xa
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd8, -0xb504f332, 0xa, x1, 1168, x2)

inst_431:
// rs1_val==-3037000498 and imm_val==6, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f332; immval:0x6
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd4, -0xb504f332, 0x6, x1, 1176, x2)

inst_432:
// rs1_val==-3037000498 and imm_val==-2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f332; immval:-0x2
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0ccc, -0xb504f332, -0x2, x1, 1184, x2)

inst_433:
// rs1_val==-3037000498 and imm_val==-5, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f332; immval:-0x5
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cc9, -0xb504f332, -0x5, x1, 1192, x2)

inst_434:
// rs1_val==-3037000498 and imm_val==2, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f332; immval:0x2
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd0, -0xb504f332, 0x2, x1, 1200, x2)

inst_435:
// rs1_val==-3037000498 and imm_val==4, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f332; immval:0x4
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd2, -0xb504f332, 0x4, x1, 1208, x2)

inst_436:
// rs1_val==-3037000498 and imm_val==9, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f332; immval:0x9
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd7, -0xb504f332, 0x9, x1, 1216, x2)

inst_437:
// rs1_val==-3037000498 and imm_val==0, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f332; immval:0x0
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cce, -0xb504f332, 0x0, x1, 1224, x2)

inst_438:
// rs1_val==-3037000498 and imm_val==11, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f332; immval:0xb
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd9, -0xb504f332, 0xb, x1, 1232, x2)

inst_439:
// rs1_val==-3037000498 and imm_val==7, 
// opcode:c.addi; op1:x10; dest:x10 op1val:-0xb504f332; immval:0x7
TEST_CI_OP( c.addi, x10, 0xffffffff4afb0cd5, -0xb504f332, 0x7, x1, 1240, x2)
#endif


RVTEST_CODE_END
RVMODEL_HALT

RVTEST_DATA_BEGIN
.align 4
rvtest_data:
.word 0xbabecafe
RVTEST_DATA_END

RVMODEL_DATA_BEGIN


signature_x13_0:
    .fill 0*(XLEN/32),4,0xdeadbeef


signature_x13_1:
    .fill 28*(XLEN/32),4,0xdeadbeef


signature_x1_0:
    .fill 256*(XLEN/32),4,0xdeadbeef


signature_x1_1:
    .fill 156*(XLEN/32),4,0xdeadbeef

#ifdef rvtest_mtrap_routine

mtrap_sigptr:
    .fill 64*(XLEN/32),4,0xdeadbeef

#endif

#ifdef rvtest_gpr_save

gpr_save:
    .fill 32*(XLEN/32),4,0xdeadbeef

#endif

RVMODEL_DATA_END
