
// -----------
// This file was generated by riscv_ctg (https://gitlab.com/incoresemi/riscv-compliance/riscv_ctg)
// version   : 0.4.1
// timestamp : Wed Dec 16 04:49:48 2020 GMT
// usage     : riscv_ctg \
//                  -- cgf ('/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/dataset.cgf', '/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/rv64ic.cgf') \
//                  -- xlen 64 \
// -----------
//
// -----------
// Copyright (c) 2020. RISC-V International. All rights reserved.
// SPDX-License-Identifier: BSD-3-Clause
// -----------
//
// This assembly file tests the c.sdsp instruction of the RISC-V C extension for the csdsp covergroup.
// 
#include "model_test.h"
#include "arch_test.h"
RVTEST_ISA("RV64IC")

.section .text.init
.globl rvtest_entry_point
rvtest_entry_point:
RVMODEL_BOOT
RVTEST_CODE_BEGIN

#ifdef TEST_CASE_1

RVTEST_CASE(0,"//check ISA:=regex(.*64.*);check ISA:=regex(.*RV64.*I.*C.*);def TEST_CASE_1=True;",csdsp)

RVTEST_SIGBASE( x9,signature_x9_1)

inst_0:
// rs2==x16, rs2_val == (-2**(xlen-1)), imm_val == 128, imm_val > 0, rs2_val == -9223372036854775808
// opcode:c.sdsp; op1:x2; op2:x16; op2val:-0x8000000000000000; immval:0x80
TEST_STORE(x9,x18,0,x2,x16,-0x8000000000000000,0x80,0,c.sdsp,0)

inst_1:
// rs2==x24, rs2_val == 0, 
// opcode:c.sdsp; op1:x2; op2:x24; op2val:0x0; immval:0x90
TEST_STORE(x9,x18,0,x2,x24,0x0,0x90,8,c.sdsp,0)

inst_2:
// rs2==x6, rs2_val == (2**(xlen-1)-1), rs2_val == 9223372036854775807
// opcode:c.sdsp; op1:x2; op2:x6; op2val:0x7fffffffffffffff; immval:0x28
TEST_STORE(x9,x18,0,x2,x6,0x7fffffffffffffff,0x28,16,c.sdsp,0)

inst_3:
// rs2==x26, rs2_val == 1, imm_val == 472
// opcode:c.sdsp; op1:x2; op2:x26; op2val:0x1; immval:0x1d8
TEST_STORE(x9,x18,0,x2,x26,0x1,0x1d8,24,c.sdsp,0)

inst_4:
// rs2==x7, imm_val == 0, rs2_val == -33
// opcode:c.sdsp; op1:x2; op2:x7; op2val:-0x21; immval:0x0
TEST_STORE(x9,x18,0,x2,x7,-0x21,0x0,32,c.sdsp,0)

inst_5:
// rs2==x15, rs2_val == 2, imm_val == 376
// opcode:c.sdsp; op1:x2; op2:x15; op2val:0x2; immval:0x178
TEST_STORE(x9,x18,0,x2,x15,0x2,0x178,40,c.sdsp,0)

inst_6:
// rs2==x17, rs2_val == 4, imm_val == 16
// opcode:c.sdsp; op1:x2; op2:x17; op2val:0x4; immval:0x10
TEST_STORE(x9,x18,0,x2,x17,0x4,0x10,48,c.sdsp,0)

inst_7:
// rs2==x27, rs2_val == 8, imm_val == 248
// opcode:c.sdsp; op1:x2; op2:x27; op2val:0x8; immval:0xf8
TEST_STORE(x9,x18,0,x2,x27,0x8,0xf8,56,c.sdsp,0)

inst_8:
// rs2==x11, rs2_val == 16, imm_val == 32
// opcode:c.sdsp; op1:x2; op2:x11; op2val:0x10; immval:0x20
TEST_STORE(x9,x18,0,x2,x11,0x10,0x20,64,c.sdsp,0)

inst_9:
// rs2==x30, rs2_val == 32, 
// opcode:c.sdsp; op1:x2; op2:x30; op2val:0x20; immval:0x60
TEST_STORE(x9,x18,0,x2,x30,0x20,0x60,72,c.sdsp,0)

inst_10:
// rs2==x8, rs2_val == 64, imm_val == 336
// opcode:c.sdsp; op1:x2; op2:x8; op2val:0x40; immval:0x150
TEST_STORE(x9,x18,0,x2,x8,0x40,0x150,80,c.sdsp,0)

inst_11:
// rs2==x13, rs2_val == 128, 
// opcode:c.sdsp; op1:x2; op2:x13; op2val:0x80; immval:0x38
TEST_STORE(x9,x18,0,x2,x13,0x80,0x38,88,c.sdsp,0)

inst_12:
// rs2==x4, rs2_val == 256, 
// opcode:c.sdsp; op1:x2; op2:x4; op2val:0x100; immval:0x1f8
TEST_STORE(x9,x18,0,x2,x4,0x100,0x1f8,96,c.sdsp,0)

inst_13:
// rs2==x28, rs2_val == 512, 
// opcode:c.sdsp; op1:x2; op2:x28; op2val:0x200; immval:0x1f8
TEST_STORE(x9,x18,0,x2,x28,0x200,0x1f8,104,c.sdsp,0)

inst_14:
// rs2==x21, rs2_val == 1024, imm_val == 488
// opcode:c.sdsp; op1:x2; op2:x21; op2val:0x400; immval:0x1e8
TEST_STORE(x9,x18,0,x2,x21,0x400,0x1e8,112,c.sdsp,0)

inst_15:
// rs2==x3, rs2_val == 2048, imm_val == 496
// opcode:c.sdsp; op1:x2; op2:x3; op2val:0x800; immval:0x1f0
TEST_STORE(x9,x18,0,x2,x3,0x800,0x1f0,120,c.sdsp,0)

inst_16:
// rs2==x1, rs2_val == 4096, 
// opcode:c.sdsp; op1:x2; op2:x1; op2val:0x1000; immval:0x60
TEST_STORE(x9,x18,0,x2,x1,0x1000,0x60,128,c.sdsp,0)

inst_17:
// rs2==x10, rs2_val == 8192, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x2000; immval:0x18
TEST_STORE(x9,x18,0,x2,x10,0x2000,0x18,136,c.sdsp,0)

inst_18:
// rs2==x14, rs2_val == 16384, 
// opcode:c.sdsp; op1:x2; op2:x14; op2val:0x4000; immval:0xf8
TEST_STORE(x9,x18,0,x2,x14,0x4000,0xf8,144,c.sdsp,0)

inst_19:
// rs2==x5, rs2_val == 32768, 
// opcode:c.sdsp; op1:x2; op2:x5; op2val:0x8000; immval:0x90
TEST_STORE(x9,x18,0,x2,x5,0x8000,0x90,152,c.sdsp,0)

inst_20:
// rs2==x25, rs2_val == 65536, 
// opcode:c.sdsp; op1:x2; op2:x25; op2val:0x10000; immval:0x178
TEST_STORE(x9,x18,0,x2,x25,0x10000,0x178,160,c.sdsp,0)

inst_21:
// rs2==x23, rs2_val == 131072, 
// opcode:c.sdsp; op1:x2; op2:x23; op2val:0x20000; immval:0x90
TEST_STORE(x9,x18,0,x2,x23,0x20000,0x90,168,c.sdsp,0)

inst_22:
// rs2==x19, rs2_val == 262144, 
// opcode:c.sdsp; op1:x2; op2:x19; op2val:0x40000; immval:0x90
TEST_STORE(x9,x18,0,x2,x19,0x40000,0x90,176,c.sdsp,0)

inst_23:
// rs2==x29, rs2_val == 524288, 
// opcode:c.sdsp; op1:x2; op2:x29; op2val:0x80000; immval:0x10
TEST_STORE(x9,x18,0,x2,x29,0x80000,0x10,184,c.sdsp,0)

inst_24:
// rs2==x12, rs2_val == 1048576, 
// opcode:c.sdsp; op1:x2; op2:x12; op2val:0x100000; immval:0x98
TEST_STORE(x9,x18,0,x2,x12,0x100000,0x98,192,c.sdsp,0)

inst_25:
// rs2==x31, rs2_val == 2097152, 
// opcode:c.sdsp; op1:x2; op2:x31; op2val:0x200000; immval:0x18
TEST_STORE(x9,x18,0,x2,x31,0x200000,0x18,200,c.sdsp,0)

inst_26:
// rs2==x20, rs2_val == 4194304, 
// opcode:c.sdsp; op1:x2; op2:x20; op2val:0x400000; immval:0x1f0
TEST_STORE(x9,x3,0,x2,x20,0x400000,0x1f0,208,c.sdsp,0)
RVTEST_SIGBASE( x1,signature_x1_0)

inst_27:
// rs2==x22, rs2_val == 8388608, 
// opcode:c.sdsp; op1:x2; op2:x22; op2val:0x800000; immval:0x38
TEST_STORE(x1,x3,0,x2,x22,0x800000,0x38,0,c.sdsp,0)

inst_28:
// rs2==x9, rs2_val == 16777216, 
// opcode:c.sdsp; op1:x2; op2:x9; op2val:0x1000000; immval:0x98
TEST_STORE(x1,x3,0,x2,x9,0x1000000,0x98,8,c.sdsp,0)

inst_29:
// rs2==x18, rs2_val == 33554432, 
// opcode:c.sdsp; op1:x2; op2:x18; op2val:0x2000000; immval:0x90
TEST_STORE(x1,x3,0,x2,x18,0x2000000,0x90,16,c.sdsp,0)

inst_30:
// rs2_val == 67108864, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x4000000; immval:0x1e8
TEST_STORE(x1,x3,0,x2,x10,0x4000000,0x1e8,24,c.sdsp,0)

inst_31:
// rs2_val == 134217728, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x8000000; immval:0x68
TEST_STORE(x1,x3,0,x2,x10,0x8000000,0x68,32,c.sdsp,0)

inst_32:
// rs2_val == 268435456, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x10000000; immval:0x10
TEST_STORE(x1,x3,0,x2,x10,0x10000000,0x10,40,c.sdsp,0)

inst_33:
// rs2_val == 536870912, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x20000000; immval:0x98
TEST_STORE(x1,x3,0,x2,x10,0x20000000,0x98,48,c.sdsp,0)

inst_34:
// rs2_val == 1073741824, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x40000000; immval:0x30
TEST_STORE(x1,x3,0,x2,x10,0x40000000,0x30,56,c.sdsp,0)

inst_35:
// rs2_val == 2147483648, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x80000000; immval:0x78
TEST_STORE(x1,x3,0,x2,x10,0x80000000,0x78,64,c.sdsp,0)

inst_36:
// rs2_val == 4294967296, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x100000000; immval:0xf8
TEST_STORE(x1,x3,0,x2,x10,0x100000000,0xf8,72,c.sdsp,0)

inst_37:
// rs2_val == 8589934592, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x200000000; immval:0x78
TEST_STORE(x1,x3,0,x2,x10,0x200000000,0x78,80,c.sdsp,0)

inst_38:
// rs2_val == 17179869184, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x400000000; immval:0x88
TEST_STORE(x1,x3,0,x2,x10,0x400000000,0x88,88,c.sdsp,0)

inst_39:
// rs2_val == 34359738368, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x800000000; immval:0x0
TEST_STORE(x1,x3,0,x2,x10,0x800000000,0x0,96,c.sdsp,0)

inst_40:
// rs2_val == 68719476736, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x1000000000; immval:0x150
TEST_STORE(x1,x3,0,x2,x10,0x1000000000,0x150,104,c.sdsp,0)

inst_41:
// rs2_val == 137438953472, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x2000000000; immval:0x80
TEST_STORE(x1,x3,0,x2,x10,0x2000000000,0x80,112,c.sdsp,0)

inst_42:
// rs2_val == 274877906944, imm_val == 256
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x4000000000; immval:0x100
TEST_STORE(x1,x3,0,x2,x10,0x4000000000,0x100,120,c.sdsp,0)

inst_43:
// rs2_val == 549755813888, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x8000000000; immval:0x48
TEST_STORE(x1,x3,0,x2,x10,0x8000000000,0x48,128,c.sdsp,0)

inst_44:
// rs2_val == 1099511627776, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x10000000000; immval:0x50
TEST_STORE(x1,x3,0,x2,x10,0x10000000000,0x50,136,c.sdsp,0)

inst_45:
// rs2_val == 2199023255552, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x20000000000; immval:0x20
TEST_STORE(x1,x3,0,x2,x10,0x20000000000,0x20,144,c.sdsp,0)

inst_46:
// rs2_val == 4398046511104, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x40000000000; immval:0x150
TEST_STORE(x1,x3,0,x2,x10,0x40000000000,0x150,152,c.sdsp,0)

inst_47:
// rs2_val == 8796093022208, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x80000000000; immval:0x48
TEST_STORE(x1,x3,0,x2,x10,0x80000000000,0x48,160,c.sdsp,0)

inst_48:
// rs2_val == 17592186044416, imm_val == 168
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x100000000000; immval:0xa8
TEST_STORE(x1,x3,0,x2,x10,0x100000000000,0xa8,168,c.sdsp,0)

inst_49:
// rs2_val == 35184372088832, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x200000000000; immval:0x68
TEST_STORE(x1,x3,0,x2,x10,0x200000000000,0x68,176,c.sdsp,0)

inst_50:
// rs2_val == 70368744177664, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x400000000000; immval:0x28
TEST_STORE(x1,x3,0,x2,x10,0x400000000000,0x28,184,c.sdsp,0)

inst_51:
// rs2_val == 140737488355328, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x800000000000; immval:0x48
TEST_STORE(x1,x3,0,x2,x10,0x800000000000,0x48,192,c.sdsp,0)

inst_52:
// rs2_val == 281474976710656, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x1000000000000; immval:0x150
TEST_STORE(x1,x3,0,x2,x10,0x1000000000000,0x150,200,c.sdsp,0)

inst_53:
// rs2_val == 562949953421312, imm_val == 8
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x2000000000000; immval:0x8
TEST_STORE(x1,x3,0,x2,x10,0x2000000000000,0x8,208,c.sdsp,0)

inst_54:
// rs2_val == 1125899906842624, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x4000000000000; immval:0x18
TEST_STORE(x1,x3,0,x2,x10,0x4000000000000,0x18,216,c.sdsp,0)

inst_55:
// rs2_val == 2251799813685248, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x8000000000000; immval:0x28
TEST_STORE(x1,x3,0,x2,x10,0x8000000000000,0x28,224,c.sdsp,0)

inst_56:
// rs2_val == 4503599627370496, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x10000000000000; immval:0x150
TEST_STORE(x1,x3,0,x2,x10,0x10000000000000,0x150,232,c.sdsp,0)

inst_57:
// rs2_val == 9007199254740992, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x20000000000000; immval:0x20
TEST_STORE(x1,x3,0,x2,x10,0x20000000000000,0x20,240,c.sdsp,0)

inst_58:
// rs2_val == 18014398509481984, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x40000000000000; immval:0x88
TEST_STORE(x1,x3,0,x2,x10,0x40000000000000,0x88,248,c.sdsp,0)

inst_59:
// rs2_val == 36028797018963968, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x80000000000000; immval:0x20
TEST_STORE(x1,x3,0,x2,x10,0x80000000000000,0x20,256,c.sdsp,0)

inst_60:
// rs2_val == 72057594037927936, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x100000000000000; immval:0x68
TEST_STORE(x1,x3,0,x2,x10,0x100000000000000,0x68,264,c.sdsp,0)

inst_61:
// rs2_val == 144115188075855872, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x200000000000000; immval:0x10
TEST_STORE(x1,x3,0,x2,x10,0x200000000000000,0x10,272,c.sdsp,0)

inst_62:
// rs2_val == 288230376151711744, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x400000000000000; immval:0x90
TEST_STORE(x1,x3,0,x2,x10,0x400000000000000,0x90,280,c.sdsp,0)

inst_63:
// rs2_val == 576460752303423488, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x800000000000000; immval:0x90
TEST_STORE(x1,x3,0,x2,x10,0x800000000000000,0x90,288,c.sdsp,0)

inst_64:
// rs2_val == 1152921504606846976, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x1000000000000000; immval:0x68
TEST_STORE(x1,x3,0,x2,x10,0x1000000000000000,0x68,296,c.sdsp,0)

inst_65:
// rs2_val == 2305843009213693952, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x2000000000000000; immval:0x98
TEST_STORE(x1,x3,0,x2,x10,0x2000000000000000,0x98,304,c.sdsp,0)

inst_66:
// rs2_val == 4611686018427387904, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x4000000000000000; immval:0x150
TEST_STORE(x1,x3,0,x2,x10,0x4000000000000000,0x150,312,c.sdsp,0)

inst_67:
// rs2_val == -2, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x2; immval:0x10
TEST_STORE(x1,x3,0,x2,x10,-0x2,0x10,320,c.sdsp,0)

inst_68:
// rs2_val == -3, imm_val == 440
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x3; immval:0x1b8
TEST_STORE(x1,x3,0,x2,x10,-0x3,0x1b8,328,c.sdsp,0)

inst_69:
// rs2_val == -5, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x5; immval:0x1e8
TEST_STORE(x1,x3,0,x2,x10,-0x5,0x1e8,336,c.sdsp,0)

inst_70:
// rs2_val == -576460752303423489, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x800000000000001; immval:0x38
TEST_STORE(x1,x3,0,x2,x10,-0x800000000000001,0x38,344,c.sdsp,0)

inst_71:
// rs2_val == -1152921504606846977, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x1000000000000001; immval:0x28
TEST_STORE(x1,x3,0,x2,x10,-0x1000000000000001,0x28,352,c.sdsp,0)

inst_72:
// rs2_val == -2305843009213693953, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x2000000000000001; immval:0x1e8
TEST_STORE(x1,x3,0,x2,x10,-0x2000000000000001,0x1e8,360,c.sdsp,0)

inst_73:
// rs2_val == -4611686018427387905, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x4000000000000001; immval:0x150
TEST_STORE(x1,x3,0,x2,x10,-0x4000000000000001,0x150,368,c.sdsp,0)

inst_74:
// rs2_val == 6148914691236517205, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:0x5555555555555555; immval:0x8
TEST_STORE(x1,x3,0,x2,x10,0x5555555555555555,0x8,376,c.sdsp,0)

inst_75:
// rs2_val == -6148914691236517206, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x5555555555555556; immval:0x88
TEST_STORE(x1,x3,0,x2,x10,-0x5555555555555556,0x88,384,c.sdsp,0)

inst_76:
// imm_val == 64, rs2_val == -65
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x41; immval:0x40
TEST_STORE(x1,x3,0,x2,x10,-0x41,0x40,392,c.sdsp,0)

inst_77:
// rs2_val == -9, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x9; immval:0xf8
TEST_STORE(x1,x3,0,x2,x10,-0x9,0xf8,400,c.sdsp,0)

inst_78:
// rs2_val == -17, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x11; immval:0x48
TEST_STORE(x1,x3,0,x2,x10,-0x11,0x48,408,c.sdsp,0)

inst_79:
// rs2_val == -129, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x81; immval:0xa8
TEST_STORE(x1,x3,0,x2,x10,-0x81,0xa8,416,c.sdsp,0)

inst_80:
// rs2_val == -257, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x101; immval:0x1b8
TEST_STORE(x1,x3,0,x2,x10,-0x101,0x1b8,424,c.sdsp,0)

inst_81:
// rs2_val == -513, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x201; immval:0x50
TEST_STORE(x1,x3,0,x2,x10,-0x201,0x50,432,c.sdsp,0)

inst_82:
// rs2_val == -1025, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x401; immval:0x1f8
TEST_STORE(x1,x3,0,x2,x10,-0x401,0x1f8,440,c.sdsp,0)

inst_83:
// rs2_val == -2049, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x801; immval:0x70
TEST_STORE(x1,x3,0,x2,x10,-0x801,0x70,448,c.sdsp,0)

inst_84:
// rs2_val == -4097, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x1001; immval:0x1f0
TEST_STORE(x1,x3,0,x2,x10,-0x1001,0x1f0,456,c.sdsp,0)

inst_85:
// rs2_val == -8193, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x2001; immval:0x18
TEST_STORE(x1,x3,0,x2,x10,-0x2001,0x18,464,c.sdsp,0)

inst_86:
// rs2_val == -16385, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x4001; immval:0x58
TEST_STORE(x1,x3,0,x2,x10,-0x4001,0x58,472,c.sdsp,0)

inst_87:
// rs2_val == -32769, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x8001; immval:0x150
TEST_STORE(x1,x3,0,x2,x10,-0x8001,0x150,480,c.sdsp,0)

inst_88:
// rs2_val == -65537, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x10001; immval:0x18
TEST_STORE(x1,x3,0,x2,x10,-0x10001,0x18,488,c.sdsp,0)

inst_89:
// rs2_val == -131073, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x20001; immval:0x178
TEST_STORE(x1,x3,0,x2,x10,-0x20001,0x178,496,c.sdsp,0)

inst_90:
// rs2_val == -262145, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x40001; immval:0x1f0
TEST_STORE(x1,x3,0,x2,x10,-0x40001,0x1f0,504,c.sdsp,0)

inst_91:
// rs2_val == -524289, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x80001; immval:0x0
TEST_STORE(x1,x3,0,x2,x10,-0x80001,0x0,512,c.sdsp,0)

inst_92:
// rs2_val == -1048577, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x100001; immval:0x60
TEST_STORE(x1,x3,0,x2,x10,-0x100001,0x60,520,c.sdsp,0)

inst_93:
// rs2_val == -2097153, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x200001; immval:0x60
TEST_STORE(x1,x3,0,x2,x10,-0x200001,0x60,528,c.sdsp,0)

inst_94:
// rs2_val == -4194305, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x400001; immval:0x10
TEST_STORE(x1,x3,0,x2,x10,-0x400001,0x10,536,c.sdsp,0)

inst_95:
// rs2_val == -8388609, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x800001; immval:0x1b8
TEST_STORE(x1,x3,0,x2,x10,-0x800001,0x1b8,544,c.sdsp,0)

inst_96:
// rs2_val == -16777217, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x1000001; immval:0x98
TEST_STORE(x1,x3,0,x2,x10,-0x1000001,0x98,552,c.sdsp,0)

inst_97:
// rs2_val == -33554433, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x2000001; immval:0x98
TEST_STORE(x1,x3,0,x2,x10,-0x2000001,0x98,560,c.sdsp,0)

inst_98:
// rs2_val == -67108865, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x4000001; immval:0xf8
TEST_STORE(x1,x3,0,x2,x10,-0x4000001,0xf8,568,c.sdsp,0)

inst_99:
// rs2_val == -134217729, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x8000001; immval:0x0
TEST_STORE(x1,x3,0,x2,x10,-0x8000001,0x0,576,c.sdsp,0)

inst_100:
// rs2_val == -268435457, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x10000001; immval:0x150
TEST_STORE(x1,x3,0,x2,x10,-0x10000001,0x150,584,c.sdsp,0)

inst_101:
// rs2_val == -536870913, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x20000001; immval:0x10
TEST_STORE(x1,x3,0,x2,x10,-0x20000001,0x10,592,c.sdsp,0)

inst_102:
// rs2_val == -1073741825, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x40000001; immval:0x150
TEST_STORE(x1,x3,0,x2,x10,-0x40000001,0x150,600,c.sdsp,0)

inst_103:
// rs2_val == -2147483649, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x80000001; immval:0x28
TEST_STORE(x1,x3,0,x2,x10,-0x80000001,0x28,608,c.sdsp,0)

inst_104:
// rs2_val == -4294967297, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x100000001; immval:0x10
TEST_STORE(x1,x3,0,x2,x10,-0x100000001,0x10,616,c.sdsp,0)

inst_105:
// rs2_val == -8589934593, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x200000001; immval:0x58
TEST_STORE(x1,x3,0,x2,x10,-0x200000001,0x58,624,c.sdsp,0)

inst_106:
// rs2_val == -17179869185, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x400000001; immval:0x178
TEST_STORE(x1,x3,0,x2,x10,-0x400000001,0x178,632,c.sdsp,0)

inst_107:
// rs2_val == -34359738369, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x800000001; immval:0x1e8
TEST_STORE(x1,x3,0,x2,x10,-0x800000001,0x1e8,640,c.sdsp,0)

inst_108:
// rs2_val == -68719476737, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x1000000001; immval:0x20
TEST_STORE(x1,x3,0,x2,x10,-0x1000000001,0x20,648,c.sdsp,0)

inst_109:
// rs2_val == -137438953473, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x2000000001; immval:0x38
TEST_STORE(x1,x3,0,x2,x10,-0x2000000001,0x38,656,c.sdsp,0)

inst_110:
// rs2_val == -274877906945, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x4000000001; immval:0x90
TEST_STORE(x1,x3,0,x2,x10,-0x4000000001,0x90,664,c.sdsp,0)

inst_111:
// rs2_val == -549755813889, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x8000000001; immval:0x78
TEST_STORE(x1,x3,0,x2,x10,-0x8000000001,0x78,672,c.sdsp,0)

inst_112:
// rs2_val == -1099511627777, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x10000000001; immval:0x40
TEST_STORE(x1,x3,0,x2,x10,-0x10000000001,0x40,680,c.sdsp,0)

inst_113:
// rs2_val == -2199023255553, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x20000000001; immval:0x0
TEST_STORE(x1,x3,0,x2,x10,-0x20000000001,0x0,688,c.sdsp,0)

inst_114:
// rs2_val == -4398046511105, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x40000000001; immval:0x8
TEST_STORE(x1,x3,0,x2,x10,-0x40000000001,0x8,696,c.sdsp,0)

inst_115:
// rs2_val == -8796093022209, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x80000000001; immval:0x88
TEST_STORE(x1,x3,0,x2,x10,-0x80000000001,0x88,704,c.sdsp,0)

inst_116:
// rs2_val == -17592186044417, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x100000000001; immval:0x60
TEST_STORE(x1,x3,0,x2,x10,-0x100000000001,0x60,712,c.sdsp,0)

inst_117:
// rs2_val == -35184372088833, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x200000000001; immval:0x68
TEST_STORE(x1,x3,0,x2,x10,-0x200000000001,0x68,720,c.sdsp,0)

inst_118:
// rs2_val == -70368744177665, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x400000000001; immval:0x10
TEST_STORE(x1,x3,0,x2,x10,-0x400000000001,0x10,728,c.sdsp,0)

inst_119:
// rs2_val == -140737488355329, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x800000000001; immval:0x1e8
TEST_STORE(x1,x3,0,x2,x10,-0x800000000001,0x1e8,736,c.sdsp,0)

inst_120:
// rs2_val == -281474976710657, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x1000000000001; immval:0x20
TEST_STORE(x1,x3,0,x2,x10,-0x1000000000001,0x20,744,c.sdsp,0)

inst_121:
// rs2_val == -562949953421313, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x2000000000001; immval:0x100
TEST_STORE(x1,x3,0,x2,x10,-0x2000000000001,0x100,752,c.sdsp,0)

inst_122:
// rs2_val == -1125899906842625, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x4000000000001; immval:0x100
TEST_STORE(x1,x3,0,x2,x10,-0x4000000000001,0x100,760,c.sdsp,0)

inst_123:
// rs2_val == -2251799813685249, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x8000000000001; immval:0xf8
TEST_STORE(x1,x3,0,x2,x10,-0x8000000000001,0xf8,768,c.sdsp,0)

inst_124:
// rs2_val == -4503599627370497, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x10000000000001; immval:0xa8
TEST_STORE(x1,x3,0,x2,x10,-0x10000000000001,0xa8,776,c.sdsp,0)

inst_125:
// rs2_val == -9007199254740993, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x20000000000001; immval:0x178
TEST_STORE(x1,x3,0,x2,x10,-0x20000000000001,0x178,784,c.sdsp,0)

inst_126:
// rs2_val == -18014398509481985, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x40000000000001; immval:0x150
TEST_STORE(x1,x3,0,x2,x10,-0x40000000000001,0x150,792,c.sdsp,0)

inst_127:
// rs2_val == -36028797018963969, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x80000000000001; immval:0x30
TEST_STORE(x1,x3,0,x2,x10,-0x80000000000001,0x30,800,c.sdsp,0)

inst_128:
// rs2_val == -72057594037927937, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x100000000000001; immval:0x18
TEST_STORE(x1,x3,0,x2,x10,-0x100000000000001,0x18,808,c.sdsp,0)

inst_129:
// rs2_val == -144115188075855873, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x200000000000001; immval:0x88
TEST_STORE(x1,x3,0,x2,x10,-0x200000000000001,0x88,816,c.sdsp,0)

inst_130:
// rs2_val == -288230376151711745, 
// opcode:c.sdsp; op1:x2; op2:x10; op2val:-0x400000000000001; immval:0x70
TEST_STORE(x1,x3,0,x2,x10,-0x400000000000001,0x70,824,c.sdsp,0)
#endif


RVTEST_CODE_END
RVMODEL_HALT

RVTEST_DATA_BEGIN
.align 4
rvtest_data:
.word 0xbabecafe
RVTEST_DATA_END

RVMODEL_DATA_BEGIN


signature_x9_0:
    .fill 0*(XLEN/32),4,0xdeadbeef


signature_x9_1:
    .fill 27*(XLEN/32),4,0xdeadbeef


signature_x1_0:
    .fill 104*(XLEN/32),4,0xdeadbeef

#ifdef rvtest_mtrap_routine

mtrap_sigptr:
    .fill 64*(XLEN/32),4,0xdeadbeef

#endif

#ifdef rvtest_gpr_save

gpr_save:
    .fill 32*(XLEN/32),4,0xdeadbeef

#endif

RVMODEL_DATA_END
