
// -----------
// This file was generated by riscv_ctg (https://gitlab.com/incoresemi/riscv-compliance/riscv_ctg)
// version   : 0.4.1
// timestamp : Wed Dec 16 03:45:17 2020 GMT
// usage     : riscv_ctg \
//                  -- cgf ('/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/dataset.cgf', '/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/rv64i.cgf') \
//                  -- xlen 64 \
// -----------
//
// -----------
// Copyright (c) 2020. RISC-V International. All rights reserved.
// SPDX-License-Identifier: BSD-3-Clause
// -----------
//
// This assembly file tests the sb instruction of the RISC-V I extension for the sb-align covergroup.
// 
#include "model_test.h"
#include "arch_test.h"
RVTEST_ISA("RV64I")

.section .text.init
.globl rvtest_entry_point
rvtest_entry_point:
RVMODEL_BOOT
RVTEST_CODE_BEGIN

#ifdef TEST_CASE_1

RVTEST_CASE(0,"//check ISA:=regex(.*64.*);check ISA:=regex(.*I.*);def TEST_CASE_1=True;",sb-align)

RVTEST_SIGBASE( x1,signature_x1_1)

inst_0:
// rs1 != rs2, rs1==x12, rs2==x0, rs2_val == (-2**(xlen-1)), rs2_val == -9223372036854775808, ea_align == 0 and (imm_val % 4) == 0, imm_val > 0
// opcode: sb; op1:x12; op2:x0; op2val:0x0; immval:0x4; align:0
TEST_STORE(x1,x10,0,x12,x0,0x0,0x4,0,sb,0)

inst_1:
// rs1==x11, rs2==x14, rs2_val == 0, ea_align == 0 and (imm_val % 4) == 1
// opcode: sb; op1:x11; op2:x14; op2val:0x0; immval:0x555; align:0
TEST_STORE(x1,x10,0,x11,x14,0x0,0x555,8,sb,0)

inst_2:
// rs1==x9, rs2==x16, rs2_val == (2**(xlen-1)-1), imm_val < 0, ea_align == 0 and (imm_val % 4) == 2, rs2_val == 9223372036854775807
// opcode: sb; op1:x9; op2:x16; op2val:0x7fffffffffffffff; immval:-0xa; align:0
TEST_STORE(x1,x10,0,x9,x16,0x7fffffffffffffff,-0xa,16,sb,0)

inst_3:
// rs1==x8, rs2==x20, rs2_val == 1, 
// opcode: sb; op1:x8; op2:x20; op2val:0x1; immval:0x10; align:0
TEST_STORE(x1,x10,0,x8,x20,0x1,0x10,24,sb,0)

inst_4:
// rs1==x14, rs2==x4, ea_align == 0 and (imm_val % 4) == 3, 
// opcode: sb; op1:x14; op2:x4; op2val:-0x4000000000000000; immval:-0x201; align:0
TEST_STORE(x1,x10,0,x14,x4,-0x4000000000000000,-0x201,32,sb,0)

inst_5:
// rs1==x23, rs2==x15, ea_align == 2 and (imm_val % 4) == 0, rs2_val == 274877906944
// opcode: sb; op1:x23; op2:x15; op2val:0x4000000000; immval:0x400; align:2
TEST_STORE(x1,x10,0,x23,x15,0x4000000000,0x400,40,sb,2)

inst_6:
// rs1==x20, rs2==x7, ea_align == 2 and (imm_val % 4) == 1, rs2_val == -536870913
// opcode: sb; op1:x20; op2:x7; op2val:-0x20000001; immval:0x1; align:2
TEST_STORE(x1,x10,0,x20,x7,-0x20000001,0x1,48,sb,2)

inst_7:
// rs1==x16, rs2==x28, ea_align == 2 and (imm_val % 4) == 2, rs2_val == -1048577
// opcode: sb; op1:x16; op2:x28; op2val:-0x100001; immval:-0xa; align:2
TEST_STORE(x1,x10,0,x16,x28,-0x100001,-0xa,56,sb,2)

inst_8:
// rs1==x5, rs2==x22, ea_align == 2 and (imm_val % 4) == 3, 
// opcode: sb; op1:x5; op2:x22; op2val:0x5; immval:0x7; align:2
TEST_STORE(x1,x10,0,x5,x22,0x5,0x7,64,sb,2)

inst_9:
// rs1==x24, rs2==x3, ea_align == 1 and (imm_val % 4) == 0, rs2_val == -268435457
// opcode: sb; op1:x24; op2:x3; op2val:-0x10000001; immval:0x40; align:1
TEST_STORE(x1,x10,0,x24,x3,-0x10000001,0x40,72,sb,1)

inst_10:
// rs1==x15, rs2==x19, ea_align == 1 and (imm_val % 4) == 1, rs2_val == -72057594037927937
// opcode: sb; op1:x15; op2:x19; op2val:-0x100000000000001; immval:0x9; align:1
TEST_STORE(x1,x10,0,x15,x19,-0x100000000000001,0x9,80,sb,1)

inst_11:
// rs1==x29, rs2==x26, ea_align == 1 and (imm_val % 4) == 2, rs2_val == 288230376151711744
// opcode: sb; op1:x29; op2:x26; op2val:0x400000000000000; immval:0x2; align:1
TEST_STORE(x1,x10,0,x29,x26,0x400000000000000,0x2,88,sb,1)

inst_12:
// rs1==x17, rs2==x25, ea_align == 1 and (imm_val % 4) == 3, rs2_val == 68719476736
// opcode: sb; op1:x17; op2:x25; op2val:0x1000000000; immval:-0x5; align:1
TEST_STORE(x1,x10,0,x17,x25,0x1000000000,-0x5,96,sb,1)

inst_13:
// rs1==x13, rs2==x21, ea_align == 3 and (imm_val % 4) == 0, 
// opcode: sb; op1:x13; op2:x21; op2val:0x7fffffffffffffff; immval:0x40; align:3
TEST_STORE(x1,x10,0,x13,x21,0x7fffffffffffffff,0x40,104,sb,3)

inst_14:
// rs1==x26, rs2==x12, ea_align == 3 and (imm_val % 4) == 1, rs2_val == -1099511627777
// opcode: sb; op1:x26; op2:x12; op2val:-0x10000000001; immval:0x1; align:3
TEST_STORE(x1,x10,0,x26,x12,-0x10000000001,0x1,112,sb,3)

inst_15:
// rs1==x19, rs2==x29, ea_align == 3 and (imm_val % 4) == 2, rs2_val == -17
// opcode: sb; op1:x19; op2:x29; op2val:-0x11; immval:-0x556; align:3
TEST_STORE(x1,x10,0,x19,x29,-0x11,-0x556,120,sb,3)

inst_16:
// rs1==x6, rs2==x18, ea_align == 3 and (imm_val % 4) == 3, rs2_val == -549755813889
// opcode: sb; op1:x6; op2:x18; op2val:-0x8000000001; immval:-0x11; align:3
TEST_STORE(x1,x10,0,x6,x18,-0x8000000001,-0x11,128,sb,3)

inst_17:
// rs1==x4, rs2==x27, imm_val == 0, rs2_val == 134217728
// opcode: sb; op1:x4; op2:x27; op2val:0x8000000; immval:0x0; align:0
TEST_STORE(x1,x10,0,x4,x27,0x8000000,0x0,136,sb,0)

inst_18:
// rs1==x28, rs2==x11, rs2_val == 2, 
// opcode: sb; op1:x28; op2:x11; op2val:0x2; immval:-0x3; align:0
TEST_STORE(x1,x10,0,x28,x11,0x2,-0x3,144,sb,0)

inst_19:
// rs1==x2, rs2==x5, rs2_val == 4, 
// opcode: sb; op1:x2; op2:x5; op2val:0x4; immval:0x5; align:0
TEST_STORE(x1,x10,0,x2,x5,0x4,0x5,152,sb,0)

inst_20:
// rs1==x27, rs2==x2, rs2_val == 8, 
// opcode: sb; op1:x27; op2:x2; op2val:0x8; immval:0x555; align:0
TEST_STORE(x1,x4,0,x27,x2,0x8,0x555,160,sb,0)

inst_21:
// rs1==x3, rs2==x6, rs2_val == 16, 
// opcode: sb; op1:x3; op2:x6; op2val:0x10; immval:-0x3; align:0
TEST_STORE(x1,x4,0,x3,x6,0x10,-0x3,168,sb,0)

inst_22:
// rs1==x31, rs2==x8, rs2_val == 32, 
// opcode: sb; op1:x31; op2:x8; op2val:0x20; immval:0x80; align:0
TEST_STORE(x1,x4,0,x31,x8,0x20,0x80,176,sb,0)
RVTEST_SIGBASE( x2,signature_x2_0)

inst_23:
// rs1==x7, rs2==x30, rs2_val == 64, 
// opcode: sb; op1:x7; op2:x30; op2val:0x40; immval:-0x2; align:0
TEST_STORE(x2,x4,0,x7,x30,0x40,-0x2,0,sb,0)

inst_24:
// rs1==x18, rs2==x9, rs2_val == 128, 
// opcode: sb; op1:x18; op2:x9; op2val:0x80; immval:0x7ff; align:0
TEST_STORE(x2,x4,0,x18,x9,0x80,0x7ff,8,sb,0)

inst_25:
// rs1==x22, rs2==x23, rs2_val == 256, 
// opcode: sb; op1:x22; op2:x23; op2val:0x100; immval:-0x11; align:0
TEST_STORE(x2,x4,0,x22,x23,0x100,-0x11,16,sb,0)

inst_26:
// rs1==x21, rs2==x17, rs2_val == 512, 
// opcode: sb; op1:x21; op2:x17; op2val:0x200; immval:0x7; align:0
TEST_STORE(x2,x4,0,x21,x17,0x200,0x7,24,sb,0)

inst_27:
// rs1==x1, rs2==x24, rs2_val == 1024, 
// opcode: sb; op1:x1; op2:x24; op2val:0x400; immval:0x400; align:0
TEST_STORE(x2,x4,0,x1,x24,0x400,0x400,32,sb,0)

inst_28:
// rs1==x25, rs2==x31, rs2_val == 2048, 
// opcode: sb; op1:x25; op2:x31; op2val:0x800; immval:0x80; align:0
TEST_STORE(x2,x4,0,x25,x31,0x800,0x80,40,sb,0)

inst_29:
// rs1==x30, rs2==x10, rs2_val == 4096, 
// opcode: sb; op1:x30; op2:x10; op2val:0x1000; immval:0x8; align:0
TEST_STORE(x2,x4,0,x30,x10,0x1000,0x8,48,sb,0)

inst_30:
// rs1==x10, rs2==x13, rs2_val == 8192, 
// opcode: sb; op1:x10; op2:x13; op2val:0x2000; immval:-0x6; align:0
TEST_STORE(x2,x4,0,x10,x13,0x2000,-0x6,56,sb,0)

inst_31:
// rs2==x1, rs2_val == 16384, 
// opcode: sb; op1:x23; op2:x1; op2val:0x4000; immval:0x5; align:0
TEST_STORE(x2,x4,0,x23,x1,0x4000,0x5,64,sb,0)

inst_32:
// rs2_val == 32768, 
// opcode: sb; op1:x10; op2:x11; op2val:0x8000; immval:0x7ff; align:0
TEST_STORE(x2,x4,0,x10,x11,0x8000,0x7ff,72,sb,0)

inst_33:
// rs2_val == 65536, 
// opcode: sb; op1:x10; op2:x11; op2val:0x10000; immval:-0x6; align:0
TEST_STORE(x2,x4,0,x10,x11,0x10000,-0x6,80,sb,0)

inst_34:
// rs2_val == 131072, 
// opcode: sb; op1:x10; op2:x11; op2val:0x20000; immval:0x100; align:0
TEST_STORE(x2,x4,0,x10,x11,0x20000,0x100,88,sb,0)

inst_35:
// rs2_val == 262144, 
// opcode: sb; op1:x10; op2:x11; op2val:0x40000; immval:0x6; align:0
TEST_STORE(x2,x4,0,x10,x11,0x40000,0x6,96,sb,0)

inst_36:
// rs2_val == 524288, 
// opcode: sb; op1:x10; op2:x11; op2val:0x80000; immval:0x3ff; align:0
TEST_STORE(x2,x4,0,x10,x11,0x80000,0x3ff,104,sb,0)

inst_37:
// rs2_val == 1048576, 
// opcode: sb; op1:x10; op2:x11; op2val:0x100000; immval:0x10; align:0
TEST_STORE(x2,x4,0,x10,x11,0x100000,0x10,112,sb,0)

inst_38:
// rs2_val == 2097152, 
// opcode: sb; op1:x10; op2:x11; op2val:0x200000; immval:-0x400; align:0
TEST_STORE(x2,x4,0,x10,x11,0x200000,-0x400,120,sb,0)

inst_39:
// rs2_val == 4194304, 
// opcode: sb; op1:x10; op2:x11; op2val:0x400000; immval:-0x2; align:0
TEST_STORE(x2,x4,0,x10,x11,0x400000,-0x2,128,sb,0)

inst_40:
// rs2_val == 8388608, 
// opcode: sb; op1:x10; op2:x11; op2val:0x800000; immval:-0x800; align:0
TEST_STORE(x2,x4,0,x10,x11,0x800000,-0x800,136,sb,0)

inst_41:
// rs2_val == 16777216, 
// opcode: sb; op1:x10; op2:x11; op2val:0x1000000; immval:-0x11; align:0
TEST_STORE(x2,x4,0,x10,x11,0x1000000,-0x11,144,sb,0)

inst_42:
// rs2_val == 33554432, 
// opcode: sb; op1:x10; op2:x11; op2val:0x2000000; immval:-0x2; align:0
TEST_STORE(x2,x4,0,x10,x11,0x2000000,-0x2,152,sb,0)

inst_43:
// rs2_val == 67108864, 
// opcode: sb; op1:x10; op2:x11; op2val:0x4000000; immval:-0x21; align:0
TEST_STORE(x2,x4,0,x10,x11,0x4000000,-0x21,160,sb,0)

inst_44:
// rs2_val == 268435456, 
// opcode: sb; op1:x10; op2:x11; op2val:0x10000000; immval:0x9; align:0
TEST_STORE(x2,x4,0,x10,x11,0x10000000,0x9,168,sb,0)

inst_45:
// rs2_val == 536870912, 
// opcode: sb; op1:x10; op2:x11; op2val:0x20000000; immval:0x200; align:0
TEST_STORE(x2,x4,0,x10,x11,0x20000000,0x200,176,sb,0)

inst_46:
// rs2_val == 1073741824, 
// opcode: sb; op1:x10; op2:x11; op2val:0x40000000; immval:-0x9; align:0
TEST_STORE(x2,x4,0,x10,x11,0x40000000,-0x9,184,sb,0)

inst_47:
// rs2_val == 2147483648, 
// opcode: sb; op1:x10; op2:x11; op2val:0x80000000; immval:-0x11; align:0
TEST_STORE(x2,x4,0,x10,x11,0x80000000,-0x11,192,sb,0)

inst_48:
// rs2_val == 4294967296, 
// opcode: sb; op1:x10; op2:x11; op2val:0x100000000; immval:0x2; align:0
TEST_STORE(x2,x4,0,x10,x11,0x100000000,0x2,200,sb,0)

inst_49:
// rs2_val == 8589934592, 
// opcode: sb; op1:x10; op2:x11; op2val:0x200000000; immval:0x5; align:0
TEST_STORE(x2,x4,0,x10,x11,0x200000000,0x5,208,sb,0)

inst_50:
// rs2_val == 17179869184, 
// opcode: sb; op1:x10; op2:x11; op2val:0x400000000; immval:0x6; align:0
TEST_STORE(x2,x4,0,x10,x11,0x400000000,0x6,216,sb,0)

inst_51:
// rs2_val == 34359738368, 
// opcode: sb; op1:x10; op2:x11; op2val:0x800000000; immval:-0x401; align:0
TEST_STORE(x2,x4,0,x10,x11,0x800000000,-0x401,224,sb,0)

inst_52:
// rs2_val == 137438953472, 
// opcode: sb; op1:x10; op2:x11; op2val:0x2000000000; immval:0x20; align:0
TEST_STORE(x2,x4,0,x10,x11,0x2000000000,0x20,232,sb,0)

inst_53:
// rs2_val == 549755813888, 
// opcode: sb; op1:x10; op2:x11; op2val:0x8000000000; immval:0x400; align:0
TEST_STORE(x2,x4,0,x10,x11,0x8000000000,0x400,240,sb,0)

inst_54:
// rs2_val == 1099511627776, 
// opcode: sb; op1:x10; op2:x11; op2val:0x10000000000; immval:-0x800; align:0
TEST_STORE(x2,x4,0,x10,x11,0x10000000000,-0x800,248,sb,0)

inst_55:
// rs2_val == 2199023255552, 
// opcode: sb; op1:x10; op2:x11; op2val:0x20000000000; immval:0x80; align:0
TEST_STORE(x2,x4,0,x10,x11,0x20000000000,0x80,256,sb,0)

inst_56:
// rs2_val == 4398046511104, 
// opcode: sb; op1:x10; op2:x11; op2val:0x40000000000; immval:0x7ff; align:0
TEST_STORE(x2,x4,0,x10,x11,0x40000000000,0x7ff,264,sb,0)

inst_57:
// rs2_val == 8796093022208, 
// opcode: sb; op1:x10; op2:x11; op2val:0x80000000000; immval:-0x101; align:0
TEST_STORE(x2,x4,0,x10,x11,0x80000000000,-0x101,272,sb,0)

inst_58:
// rs2_val == 17592186044416, 
// opcode: sb; op1:x10; op2:x11; op2val:0x100000000000; immval:0x7ff; align:0
TEST_STORE(x2,x4,0,x10,x11,0x100000000000,0x7ff,280,sb,0)

inst_59:
// rs2_val == 35184372088832, 
// opcode: sb; op1:x10; op2:x11; op2val:0x200000000000; immval:-0x1; align:0
TEST_STORE(x2,x4,0,x10,x11,0x200000000000,-0x1,288,sb,0)

inst_60:
// rs2_val == 70368744177664, 
// opcode: sb; op1:x10; op2:x11; op2val:0x400000000000; immval:0x7ff; align:0
TEST_STORE(x2,x4,0,x10,x11,0x400000000000,0x7ff,296,sb,0)

inst_61:
// rs2_val == 140737488355328, 
// opcode: sb; op1:x10; op2:x11; op2val:0x800000000000; immval:-0x11; align:0
TEST_STORE(x2,x4,0,x10,x11,0x800000000000,-0x11,304,sb,0)

inst_62:
// rs2_val == 281474976710656, 
// opcode: sb; op1:x10; op2:x11; op2val:0x1000000000000; immval:0x20; align:0
TEST_STORE(x2,x4,0,x10,x11,0x1000000000000,0x20,312,sb,0)

inst_63:
// rs2_val == 562949953421312, 
// opcode: sb; op1:x10; op2:x11; op2val:0x2000000000000; immval:-0x6; align:0
TEST_STORE(x2,x4,0,x10,x11,0x2000000000000,-0x6,320,sb,0)

inst_64:
// rs2_val == 1125899906842624, 
// opcode: sb; op1:x10; op2:x11; op2val:0x4000000000000; immval:-0x9; align:0
TEST_STORE(x2,x4,0,x10,x11,0x4000000000000,-0x9,328,sb,0)

inst_65:
// rs2_val == 2251799813685248, 
// opcode: sb; op1:x10; op2:x11; op2val:0x8000000000000; immval:-0x6; align:0
TEST_STORE(x2,x4,0,x10,x11,0x8000000000000,-0x6,336,sb,0)

inst_66:
// rs2_val == 4503599627370496, 
// opcode: sb; op1:x10; op2:x11; op2val:0x10000000000000; immval:-0x201; align:0
TEST_STORE(x2,x4,0,x10,x11,0x10000000000000,-0x201,344,sb,0)

inst_67:
// rs2_val == 9007199254740992, 
// opcode: sb; op1:x10; op2:x11; op2val:0x20000000000000; immval:-0x4; align:0
TEST_STORE(x2,x4,0,x10,x11,0x20000000000000,-0x4,352,sb,0)

inst_68:
// rs2_val == 18014398509481984, 
// opcode: sb; op1:x10; op2:x11; op2val:0x40000000000000; immval:-0x9; align:0
TEST_STORE(x2,x4,0,x10,x11,0x40000000000000,-0x9,360,sb,0)

inst_69:
// rs2_val == 36028797018963968, 
// opcode: sb; op1:x10; op2:x11; op2val:0x80000000000000; immval:-0x556; align:0
TEST_STORE(x2,x4,0,x10,x11,0x80000000000000,-0x556,368,sb,0)

inst_70:
// rs2_val == 72057594037927936, 
// opcode: sb; op1:x10; op2:x11; op2val:0x100000000000000; immval:0x1; align:0
TEST_STORE(x2,x4,0,x10,x11,0x100000000000000,0x1,376,sb,0)

inst_71:
// rs2_val == -4398046511105, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x40000000001; immval:-0x556; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x40000000001,-0x556,384,sb,0)

inst_72:
// rs2_val == -8796093022209, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x80000000001; immval:-0x101; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x80000000001,-0x101,392,sb,0)

inst_73:
// rs2_val == -17592186044417, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x100000000001; immval:0x3; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x100000000001,0x3,400,sb,0)

inst_74:
// rs2_val == -35184372088833, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x200000000001; immval:-0x201; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x200000000001,-0x201,408,sb,0)

inst_75:
// rs2_val == -70368744177665, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x400000000001; immval:-0x4; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x400000000001,-0x4,416,sb,0)

inst_76:
// rs2_val == -140737488355329, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x800000000001; immval:-0x5; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x800000000001,-0x5,424,sb,0)

inst_77:
// rs2_val == -281474976710657, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x1000000000001; immval:0x1; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x1000000000001,0x1,432,sb,0)

inst_78:
// rs2_val == -562949953421313, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x2000000000001; immval:0x3ff; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x2000000000001,0x3ff,440,sb,0)

inst_79:
// rs2_val == -1125899906842625, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x4000000000001; immval:0x9; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x4000000000001,0x9,448,sb,0)

inst_80:
// rs2_val == -2251799813685249, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x8000000000001; immval:-0x5; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x8000000000001,-0x5,456,sb,0)

inst_81:
// rs2_val == -4503599627370497, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x10000000000001; immval:-0x1; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x10000000000001,-0x1,464,sb,0)

inst_82:
// rs2_val == -9007199254740993, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x20000000000001; immval:-0x4; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x20000000000001,-0x4,472,sb,0)

inst_83:
// rs2_val == -18014398509481985, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x40000000000001; immval:0x10; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x40000000000001,0x10,480,sb,0)

inst_84:
// rs2_val == -36028797018963969, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x80000000000001; immval:0x555; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x80000000000001,0x555,488,sb,0)

inst_85:
// rs2_val == -144115188075855873, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x200000000000001; immval:-0x4; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x200000000000001,-0x4,496,sb,0)

inst_86:
// rs2_val == -288230376151711745, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x400000000000001; immval:-0x556; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x400000000000001,-0x556,504,sb,0)

inst_87:
// rs2_val == -576460752303423489, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x800000000000001; immval:0x100; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x800000000000001,0x100,512,sb,0)

inst_88:
// rs2_val == -1152921504606846977, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x1000000000000001; immval:0x40; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x1000000000000001,0x40,520,sb,0)

inst_89:
// rs2_val == -2305843009213693953, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x2000000000000001; immval:-0x101; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x2000000000000001,-0x101,528,sb,0)

inst_90:
// rs2_val == -4611686018427387905, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x4000000000000001; immval:0x6; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x4000000000000001,0x6,536,sb,0)

inst_91:
// rs2_val == 6148914691236517205, 
// opcode: sb; op1:x10; op2:x11; op2val:0x5555555555555555; immval:0x7ff; align:0
TEST_STORE(x2,x4,0,x10,x11,0x5555555555555555,0x7ff,544,sb,0)

inst_92:
// rs2_val == -6148914691236517206, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x5555555555555556; immval:-0x8; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x5555555555555556,-0x8,552,sb,0)

inst_93:
// rs2_val == 144115188075855872, 
// opcode: sb; op1:x10; op2:x11; op2val:0x200000000000000; immval:-0x101; align:0
TEST_STORE(x2,x4,0,x10,x11,0x200000000000000,-0x101,560,sb,0)

inst_94:
// rs2_val == 576460752303423488, 
// opcode: sb; op1:x10; op2:x11; op2val:0x800000000000000; immval:0x1; align:0
TEST_STORE(x2,x4,0,x10,x11,0x800000000000000,0x1,568,sb,0)

inst_95:
// rs2_val == 1152921504606846976, 
// opcode: sb; op1:x10; op2:x11; op2val:0x1000000000000000; immval:-0x800; align:0
TEST_STORE(x2,x4,0,x10,x11,0x1000000000000000,-0x800,576,sb,0)

inst_96:
// rs2_val == 2305843009213693952, 
// opcode: sb; op1:x10; op2:x11; op2val:0x2000000000000000; immval:-0x5; align:0
TEST_STORE(x2,x4,0,x10,x11,0x2000000000000000,-0x5,584,sb,0)

inst_97:
// rs2_val == 4611686018427387904, 
// opcode: sb; op1:x10; op2:x11; op2val:0x4000000000000000; immval:0x1; align:0
TEST_STORE(x2,x4,0,x10,x11,0x4000000000000000,0x1,592,sb,0)

inst_98:
// rs2_val == -2, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x2; immval:-0xa; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x2,-0xa,600,sb,0)

inst_99:
// rs2_val == -3, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x3; immval:-0x9; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x3,-0x9,608,sb,0)

inst_100:
// rs2_val == -5, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x5; immval:0x80; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x5,0x80,616,sb,0)

inst_101:
// rs2_val == -9, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x9; immval:0x200; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x9,0x200,624,sb,0)

inst_102:
// rs2_val == -33, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x21; immval:0x20; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x21,0x20,632,sb,0)

inst_103:
// rs2_val == -65, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x41; immval:-0x400; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x41,-0x400,640,sb,0)

inst_104:
// rs2_val == -129, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x81; immval:0x3; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x81,0x3,648,sb,0)

inst_105:
// rs2_val == -257, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x101; immval:-0x556; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x101,-0x556,656,sb,0)

inst_106:
// rs2_val == -513, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x201; immval:-0x800; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x201,-0x800,664,sb,0)

inst_107:
// rs2_val == -1025, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x401; immval:0x5; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x401,0x5,672,sb,0)

inst_108:
// rs2_val == -2049, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x801; immval:0x0; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x801,0x0,680,sb,0)

inst_109:
// rs2_val == -4097, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x1001; immval:0x1; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x1001,0x1,688,sb,0)

inst_110:
// rs2_val == -8193, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x2001; immval:0x3ff; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x2001,0x3ff,696,sb,0)

inst_111:
// rs2_val == -16385, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x4001; immval:0x6; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x4001,0x6,704,sb,0)

inst_112:
// rs2_val == -32769, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x8001; immval:0x0; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x8001,0x0,712,sb,0)

inst_113:
// rs2_val == -65537, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x10001; immval:-0x5; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x10001,-0x5,720,sb,0)

inst_114:
// rs2_val == -131073, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x20001; immval:-0x81; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x20001,-0x81,728,sb,0)

inst_115:
// rs2_val == -262145, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x40001; immval:-0x201; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x40001,-0x201,736,sb,0)

inst_116:
// rs2_val == -524289, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x80001; immval:-0x21; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x80001,-0x21,744,sb,0)

inst_117:
// rs2_val == -2097153, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x200001; immval:-0x556; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x200001,-0x556,752,sb,0)

inst_118:
// rs2_val == -4194305, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x400001; immval:0x6; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x400001,0x6,760,sb,0)

inst_119:
// rs2_val == -8388609, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x800001; immval:0x555; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x800001,0x555,768,sb,0)

inst_120:
// rs2_val == -16777217, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x1000001; immval:-0x401; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x1000001,-0x401,776,sb,0)

inst_121:
// rs2_val == -33554433, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x2000001; immval:-0x201; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x2000001,-0x201,784,sb,0)

inst_122:
// rs2_val == -67108865, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x4000001; immval:-0xa; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x4000001,-0xa,792,sb,0)

inst_123:
// rs2_val == -134217729, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x8000001; immval:-0x2; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x8000001,-0x2,800,sb,0)

inst_124:
// rs2_val == -1073741825, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x40000001; immval:0x5; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x40000001,0x5,808,sb,0)

inst_125:
// rs2_val == -2147483649, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x80000001; immval:-0x11; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x80000001,-0x11,816,sb,0)

inst_126:
// rs2_val == -4294967297, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x100000001; immval:-0x11; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x100000001,-0x11,824,sb,0)

inst_127:
// rs2_val == -8589934593, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x200000001; immval:-0x81; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x200000001,-0x81,832,sb,0)

inst_128:
// rs2_val == -17179869185, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x400000001; immval:-0x101; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x400000001,-0x101,840,sb,0)

inst_129:
// rs2_val == -34359738369, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x800000001; immval:-0xa; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x800000001,-0xa,848,sb,0)

inst_130:
// rs2_val == -68719476737, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x1000000001; immval:-0x800; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x1000000001,-0x800,856,sb,0)

inst_131:
// rs2_val == -137438953473, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x2000000001; immval:0x10; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x2000000001,0x10,864,sb,0)

inst_132:
// rs2_val == -274877906945, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x4000000001; immval:0x20; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x4000000001,0x20,872,sb,0)

inst_133:
// rs2_val == -2199023255553, 
// opcode: sb; op1:x10; op2:x11; op2val:-0x20000000001; immval:0x1; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x20000000001,0x1,880,sb,0)

inst_134:
// rs2_val == (-2**(xlen-1)), rs2_val == -9223372036854775808, ea_align == 0 and (imm_val % 4) == 0, imm_val > 0
// opcode: sb; op1:x10; op2:x11; op2val:-0x8000000000000000; immval:0x4; align:0
TEST_STORE(x2,x4,0,x10,x11,-0x8000000000000000,0x4,888,sb,0)
#endif


RVTEST_CODE_END
RVMODEL_HALT

RVTEST_DATA_BEGIN
.align 4
rvtest_data:
.word 0xbabecafe
RVTEST_DATA_END

RVMODEL_DATA_BEGIN


signature_x1_0:
    .fill 0*(XLEN/32),4,0xdeadbeef


signature_x1_1:
    .fill 23*(XLEN/32),4,0xdeadbeef


signature_x2_0:
    .fill 112*(XLEN/32),4,0xdeadbeef

#ifdef rvtest_mtrap_routine

mtrap_sigptr:
    .fill 64*(XLEN/32),4,0xdeadbeef

#endif

#ifdef rvtest_gpr_save

gpr_save:
    .fill 32*(XLEN/32),4,0xdeadbeef

#endif

RVMODEL_DATA_END
