
// -----------
// This file was generated by riscv_ctg (https://gitlab.com/incoresemi/riscv-compliance/riscv_ctg)
// version   : 0.4.1
// timestamp : Wed Dec 16 03:45:17 2020 GMT
// usage     : riscv_ctg \
//                  -- cgf ('/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/dataset.cgf', '/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/rv64i.cgf') \
//                  -- xlen 64 \
// -----------
//
// -----------
// Copyright (c) 2020. RISC-V International. All rights reserved.
// SPDX-License-Identifier: BSD-3-Clause
// -----------
//
// This assembly file tests the sraw instruction of the RISC-V i extension for the sraw covergroup.
// 
#include "model_test.h"
#include "arch_test.h"
RVTEST_ISA("RV64i")

.section .text.init
.globl rvtest_entry_point
rvtest_entry_point:
RVMODEL_BOOT
RVTEST_CODE_BEGIN

#ifdef TEST_CASE_1

RVTEST_CASE(0,"//check ISA:=regex(.*64.*);check ISA:=regex(.*RV64.*I.*);def TEST_CASE_1=True;",sraw)

RVTEST_SIGBASE( x3,signature_x3_1)

inst_0:
// rs1 == rs2 != rd, rs1==x13, rs2==x13, rd==x2, rs1_val < 0 and rs2_val > 0 and rs2_val < xlen, rs1_val == -257, rs2_val == 1
// opcode: sraw ; op1:x13; op2:x13; dest:x2; op1val:-0x101;  op2val:-0x101
TEST_RR_OP(sraw, x2, x13, x13, -0x1, -0x101, -0x101, x3, 0, x14)

inst_1:
// rs2 == rd != rs1, rs1==x5, rs2==x15, rd==x15, rs1_val > 0 and rs2_val > 0 and rs2_val < xlen, rs1_val == 4096
// opcode: sraw ; op1:x5; op2:x15; dest:x15; op1val:0x1000;  op2val:0x1f
TEST_RR_OP(sraw, x15, x5, x15, 0x0, 0x1000, 0x1f, x3, 8, x14)

inst_2:
// rs1 == rs2 == rd, rs1==x6, rs2==x6, rd==x6, rs1_val < 0 and rs2_val == 0, rs1_val == -131073
// opcode: sraw ; op1:x6; op2:x6; dest:x6; op1val:-0x20001;  op2val:-0x20001
TEST_RR_OP(sraw, x6, x6, x6, -0x1, -0x20001, -0x20001, x3, 16, x14)

inst_3:
// rs1 != rs2  and rs1 != rd and rs2 != rd, rs1==x25, rs2==x26, rd==x13, rs1_val > 0 and rs2_val == 0, rs1_val == 524288
// opcode: sraw ; op1:x25; op2:x26; dest:x13; op1val:0x80000;  op2val:0x0
TEST_RR_OP(sraw, x13, x25, x26, 0x80000, 0x80000, 0x0, x3, 24, x14)

inst_4:
// rs1 == rd != rs2, rs1==x23, rs2==x11, rd==x23, rs1_val == rs2_val and rs2_val > 0 and rs2_val < xlen, 
// opcode: sraw ; op1:x23; op2:x11; dest:x23; op1val:0x9;  op2val:0x9
TEST_RR_OP(sraw, x23, x23, x11, 0x0, 0x9, 0x9, x3, 32, x14)

inst_5:
// rs1==x9, rs2==x18, rd==x0, rs1_val == (-2**(xlen-1)) and rs2_val >= 0 and rs2_val < xlen, rs1_val == -9223372036854775808
// opcode: sraw ; op1:x9; op2:x18; dest:x0; op1val:-0x8000000000000000;  op2val:0xe
TEST_RR_OP(sraw, x0, x9, x18, 0, -0x8000000000000000, 0xe, x3, 40, x14)

inst_6:
// rs1==x11, rs2==x27, rd==x9, rs1_val == 0 and rs2_val >= 0 and rs2_val < xlen, rs1_val==0
// opcode: sraw ; op1:x11; op2:x27; dest:x9; op1val:0x0;  op2val:0x13
TEST_RR_OP(sraw, x9, x11, x27, 0x0, 0x0, 0x13, x3, 48, x14)

inst_7:
// rs1==x30, rs2==x12, rd==x8, rs1_val == (2**(xlen-1)-1) and rs2_val >= 0 and rs2_val < xlen, rs1_val == 9223372036854775807, rs2_val == 21
// opcode: sraw ; op1:x30; op2:x12; dest:x8; op1val:0x7fffffffffffffff;  op2val:0x15
TEST_RR_OP(sraw, x8, x30, x12, -0x1, 0x7fffffffffffffff, 0x15, x3, 56, x14)

inst_8:
// rs1==x29, rs2==x7, rd==x21, rs1_val == 1 and rs2_val >= 0 and rs2_val < xlen, rs1_val == 1
// opcode: sraw ; op1:x29; op2:x7; dest:x21; op1val:0x1;  op2val:0x0
TEST_RR_OP(sraw, x21, x29, x7, 0x1, 0x1, 0x0, x3, 64, x14)

inst_9:
// rs1==x0, rs2==x24, rd==x5, rs1_val == 2, rs1_val==2, rs2_val == 10
// opcode: sraw ; op1:x0; op2:x24; dest:x5; op1val:0x0;  op2val:0xa
TEST_RR_OP(sraw, x5, x0, x24, 0x0, 0x0, 0xa, x3, 72, x14)

inst_10:
// rs1==x19, rs2==x22, rd==x27, rs1_val == 4, rs1_val==4
// opcode: sraw ; op1:x19; op2:x22; dest:x27; op1val:0x4;  op2val:0x13
TEST_RR_OP(sraw, x27, x19, x22, 0x0, 0x4, 0x13, x3, 80, x14)

inst_11:
// rs1==x17, rs2==x4, rd==x1, rs1_val == 8, 
// opcode: sraw ; op1:x17; op2:x4; dest:x1; op1val:0x8;  op2val:0x9
TEST_RR_OP(sraw, x1, x17, x4, 0x0, 0x8, 0x9, x3, 88, x14)

inst_12:
// rs1==x1, rs2==x25, rd==x31, rs1_val == 16, rs2_val == 23
// opcode: sraw ; op1:x1; op2:x25; dest:x31; op1val:0x10;  op2val:0x17
TEST_RR_OP(sraw, x31, x1, x25, 0x0, 0x10, 0x17, x3, 96, x14)

inst_13:
// rs1==x10, rs2==x9, rd==x30, rs1_val == 32, rs2_val == 15
// opcode: sraw ; op1:x10; op2:x9; dest:x30; op1val:0x20;  op2val:0xf
TEST_RR_OP(sraw, x30, x10, x9, 0x0, 0x20, 0xf, x3, 104, x14)

inst_14:
// rs1==x16, rs2==x23, rd==x26, rs1_val == 64, 
// opcode: sraw ; op1:x16; op2:x23; dest:x26; op1val:0x40;  op2val:0x17
TEST_RR_OP(sraw, x26, x16, x23, 0x0, 0x40, 0x17, x3, 112, x14)

inst_15:
// rs1==x21, rs2==x8, rd==x28, rs1_val == 128, rs2_val == 4
// opcode: sraw ; op1:x21; op2:x8; dest:x28; op1val:0x80;  op2val:0x4
TEST_RR_OP(sraw, x28, x21, x8, 0x8, 0x80, 0x4, x3, 120, x9)
RVTEST_SIGBASE( x6,signature_x6_0)

inst_16:
// rs1==x20, rs2==x16, rd==x24, rs1_val == 256, 
// opcode: sraw ; op1:x20; op2:x16; dest:x24; op1val:0x100;  op2val:0xd
TEST_RR_OP(sraw, x24, x20, x16, 0x0, 0x100, 0xd, x6, 0, x9)

inst_17:
// rs1==x27, rs2==x2, rd==x17, rs1_val == 512, 
// opcode: sraw ; op1:x27; op2:x2; dest:x17; op1val:0x200;  op2val:0xe
TEST_RR_OP(sraw, x17, x27, x2, 0x0, 0x200, 0xe, x6, 8, x9)

inst_18:
// rs1==x15, rs2==x10, rd==x22, rs1_val == 1024, 
// opcode: sraw ; op1:x15; op2:x10; dest:x22; op1val:0x400;  op2val:0x5
TEST_RR_OP(sraw, x22, x15, x10, 0x20, 0x400, 0x5, x6, 16, x9)

inst_19:
// rs1==x7, rs2==x30, rd==x11, rs1_val == 2048, 
// opcode: sraw ; op1:x7; op2:x30; dest:x11; op1val:0x800;  op2val:0xa
TEST_RR_OP(sraw, x11, x7, x30, 0x2, 0x800, 0xa, x6, 24, x9)

inst_20:
// rs1==x28, rs2==x1, rd==x25, rs1_val == 8192, rs2_val == 27
// opcode: sraw ; op1:x28; op2:x1; dest:x25; op1val:0x2000;  op2val:0x1b
TEST_RR_OP(sraw, x25, x28, x1, 0x0, 0x2000, 0x1b, x6, 32, x9)

inst_21:
// rs1==x31, rs2==x0, rd==x12, rs1_val == 16384, rs2_val == 2
// opcode: sraw ; op1:x31; op2:x0; dest:x12; op1val:0x4000;  op2val:0x0
TEST_RR_OP(sraw, x12, x31, x0, 0x4000, 0x4000, 0x0, x6, 40, x9)

inst_22:
// rs1==x22, rs2==x29, rd==x20, rs1_val == 32768, 
// opcode: sraw ; op1:x22; op2:x29; dest:x20; op1val:0x8000;  op2val:0xb
TEST_RR_OP(sraw, x20, x22, x29, 0x10, 0x8000, 0xb, x6, 48, x9)

inst_23:
// rs1==x14, rs2==x28, rd==x3, rs1_val == 65536, rs2_val == 16
// opcode: sraw ; op1:x14; op2:x28; dest:x3; op1val:0x10000;  op2val:0x10
TEST_RR_OP(sraw, x3, x14, x28, 0x1, 0x10000, 0x10, x6, 56, x9)

inst_24:
// rs1==x3, rs2==x21, rd==x29, rs1_val == 131072, 
// opcode: sraw ; op1:x3; op2:x21; dest:x29; op1val:0x20000;  op2val:0x13
TEST_RR_OP(sraw, x29, x3, x21, 0x0, 0x20000, 0x13, x6, 64, x9)

inst_25:
// rs1==x24, rs2==x20, rd==x14, rs1_val == 262144, 
// opcode: sraw ; op1:x24; op2:x20; dest:x14; op1val:0x40000;  op2val:0x10
TEST_RR_OP(sraw, x14, x24, x20, 0x4, 0x40000, 0x10, x6, 72, x9)

inst_26:
// rs1==x2, rs2==x19, rd==x10, rs1_val == 1048576, rs2_val == 29
// opcode: sraw ; op1:x2; op2:x19; dest:x10; op1val:0x100000;  op2val:0x1d
TEST_RR_OP(sraw, x10, x2, x19, 0x0, 0x100000, 0x1d, x6, 80, x9)

inst_27:
// rs1==x18, rs2==x14, rd==x16, rs1_val == 2097152, 
// opcode: sraw ; op1:x18; op2:x14; dest:x16; op1val:0x200000;  op2val:0xe
TEST_RR_OP(sraw, x16, x18, x14, 0x80, 0x200000, 0xe, x6, 88, x9)

inst_28:
// rs1==x12, rs2==x17, rd==x18, rs1_val == 4194304, 
// opcode: sraw ; op1:x12; op2:x17; dest:x18; op1val:0x400000;  op2val:0x12
TEST_RR_OP(sraw, x18, x12, x17, 0x10, 0x400000, 0x12, x6, 96, x9)

inst_29:
// rs1==x8, rs2==x5, rd==x4, rs1_val == 8388608, 
// opcode: sraw ; op1:x8; op2:x5; dest:x4; op1val:0x800000;  op2val:0xd
TEST_RR_OP(sraw, x4, x8, x5, 0x400, 0x800000, 0xd, x6, 104, x9)

inst_30:
// rs1==x4, rs2==x31, rd==x7, rs1_val == 16777216, 
// opcode: sraw ; op1:x4; op2:x31; dest:x7; op1val:0x1000000;  op2val:0x9
TEST_RR_OP(sraw, x7, x4, x31, 0x8000, 0x1000000, 0x9, x6, 112, x9)

inst_31:
// rs1==x26, rs2==x3, rd==x19, rs1_val == 33554432, rs2_val == 8
// opcode: sraw ; op1:x26; op2:x3; dest:x19; op1val:0x2000000;  op2val:0x8
TEST_RR_OP(sraw, x19, x26, x3, 0x20000, 0x2000000, 0x8, x6, 120, x9)

inst_32:
// rs1_val == 67108864, rs2_val == 30
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x4000000;  op2val:0x1e
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x4000000, 0x1e, x6, 128, x1)

inst_33:
// rs1_val == 134217728, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x8000000;  op2val:0xc
TEST_RR_OP(sraw, x12, x10, x11, 0x8000, 0x8000000, 0xc, x6, 136, x1)

inst_34:
// rs1_val == 268435456, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x10000000;  op2val:0x1e
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x10000000, 0x1e, x6, 144, x1)

inst_35:
// rs1_val == 536870912, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x20000000;  op2val:0x0
TEST_RR_OP(sraw, x12, x10, x11, 0x20000000, 0x20000000, 0x0, x6, 152, x1)

inst_36:
// rs1_val == 1073741824, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x40000000;  op2val:0x1e
TEST_RR_OP(sraw, x12, x10, x11, 0x1, 0x40000000, 0x1e, x6, 160, x1)

inst_37:
// rs1_val == 2147483648, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x80000000;  op2val:0xd
TEST_RR_OP(sraw, x12, x10, x11, -0x40000, 0x80000000, 0xd, x6, 168, x1)

inst_38:
// rs1_val == 4294967296, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x100000000;  op2val:0x4
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x100000000, 0x4, x6, 176, x1)

inst_39:
// rs1_val == 8589934592, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x200000000;  op2val:0x11
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x200000000, 0x11, x6, 184, x1)

inst_40:
// rs1_val == 17179869184, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x400000000;  op2val:0x4
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x400000000, 0x4, x6, 192, x1)

inst_41:
// rs1_val == 34359738368, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x800000000;  op2val:0xa
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x800000000, 0xa, x6, 200, x1)

inst_42:
// rs1_val == 68719476736, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x1000000000;  op2val:0x5
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x1000000000, 0x5, x6, 208, x1)

inst_43:
// rs1_val == 137438953472, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x2000000000;  op2val:0x1f
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x2000000000, 0x1f, x6, 216, x1)

inst_44:
// rs1_val == 274877906944, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x4000000000;  op2val:0xa
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x4000000000, 0xa, x6, 224, x1)

inst_45:
// rs1_val == 549755813888, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x8000000000;  op2val:0x1e
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x8000000000, 0x1e, x6, 232, x1)

inst_46:
// rs1_val == 1099511627776, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x10000000000;  op2val:0x1
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x10000000000, 0x1, x6, 240, x1)

inst_47:
// rs1_val == 2199023255552, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x20000000000;  op2val:0x1
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x20000000000, 0x1, x6, 248, x1)

inst_48:
// rs1_val == 4398046511104, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x40000000000;  op2val:0x4
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x40000000000, 0x4, x6, 256, x1)

inst_49:
// rs1_val == 8796093022208, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x80000000000;  op2val:0x2
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x80000000000, 0x2, x6, 264, x1)

inst_50:
// rs1_val == 17592186044416, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x100000000000;  op2val:0x9
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x100000000000, 0x9, x6, 272, x1)

inst_51:
// rs1_val == 35184372088832, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x200000000000;  op2val:0x1f
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x200000000000, 0x1f, x6, 280, x1)

inst_52:
// rs1_val == 70368744177664, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x400000000000;  op2val:0x17
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x400000000000, 0x17, x6, 288, x1)

inst_53:
// rs1_val == 140737488355328, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x800000000000;  op2val:0x6
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x800000000000, 0x6, x6, 296, x1)

inst_54:
// rs1_val == 281474976710656, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x1000000000000;  op2val:0xc
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x1000000000000, 0xc, x6, 304, x1)

inst_55:
// rs1_val == 562949953421312, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x2000000000000;  op2val:0xb
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x2000000000000, 0xb, x6, 312, x1)

inst_56:
// rs1_val == 1125899906842624, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x4000000000000;  op2val:0x8
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x4000000000000, 0x8, x6, 320, x1)

inst_57:
// rs1_val == 2251799813685248, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x8000000000000;  op2val:0xc
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x8000000000000, 0xc, x6, 328, x1)

inst_58:
// rs1_val == 4503599627370496, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x10000000000000;  op2val:0x1b
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x10000000000000, 0x1b, x6, 336, x1)

inst_59:
// rs1_val == 9007199254740992, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x20000000000000;  op2val:0x0
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x20000000000000, 0x0, x6, 344, x1)

inst_60:
// rs1_val == 18014398509481984, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x40000000000000;  op2val:0x1d
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x40000000000000, 0x1d, x6, 352, x1)

inst_61:
// rs1_val == 36028797018963968, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x80000000000000;  op2val:0x1d
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x80000000000000, 0x1d, x6, 360, x1)

inst_62:
// rs1_val == 72057594037927936, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x100000000000000;  op2val:0x17
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x100000000000000, 0x17, x6, 368, x1)

inst_63:
// rs1_val == 144115188075855872, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x200000000000000;  op2val:0x17
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x200000000000000, 0x17, x6, 376, x1)

inst_64:
// rs1_val == 288230376151711744, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x400000000000000;  op2val:0xa
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x400000000000000, 0xa, x6, 384, x1)

inst_65:
// rs1_val == 576460752303423488, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x800000000000000;  op2val:0xa
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x800000000000000, 0xa, x6, 392, x1)

inst_66:
// rs1_val == 1152921504606846976, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x1000000000000000;  op2val:0x5
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x1000000000000000, 0x5, x6, 400, x1)

inst_67:
// rs1_val == 2305843009213693952, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x2000000000000000;  op2val:0x3
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x2000000000000000, 0x3, x6, 408, x1)

inst_68:
// rs1_val == 4611686018427387904, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x4000000000000000;  op2val:0x6
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x4000000000000000, 0x6, x6, 416, x1)

inst_69:
// rs1_val == -2, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x2;  op2val:0x1f
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x2, 0x1f, x6, 424, x1)

inst_70:
// rs1_val == -3, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x3;  op2val:0xa
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x3, 0xa, x6, 432, x1)

inst_71:
// rs1_val == -5, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x5;  op2val:0x1f
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x5, 0x1f, x6, 440, x1)

inst_72:
// rs1_val == -9, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x9;  op2val:0x8
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x9, 0x8, x6, 448, x1)

inst_73:
// rs1_val == -17, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x11;  op2val:0xd
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x11, 0xd, x6, 456, x1)

inst_74:
// rs1_val == -33, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x21;  op2val:0x15
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x21, 0x15, x6, 464, x1)

inst_75:
// rs1_val == -65, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x41;  op2val:0x15
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x41, 0x15, x6, 472, x1)

inst_76:
// rs1_val == -129, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x81;  op2val:0x2
TEST_RR_OP(sraw, x12, x10, x11, -0x21, -0x81, 0x2, x6, 480, x1)

inst_77:
// rs1_val == -513, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x201;  op2val:0x9
TEST_RR_OP(sraw, x12, x10, x11, -0x2, -0x201, 0x9, x6, 488, x1)

inst_78:
// rs1_val == -1025, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x401;  op2val:0x15
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x401, 0x15, x6, 496, x1)

inst_79:
// rs1_val == -2049, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x801;  op2val:0x17
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x801, 0x17, x6, 504, x1)

inst_80:
// rs1_val == -4097, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x1001;  op2val:0x4
TEST_RR_OP(sraw, x12, x10, x11, -0x101, -0x1001, 0x4, x6, 512, x1)

inst_81:
// rs1_val == -8193, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x2001;  op2val:0x5
TEST_RR_OP(sraw, x12, x10, x11, -0x101, -0x2001, 0x5, x6, 520, x1)

inst_82:
// rs1_val == -16385, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x4001;  op2val:0x0
TEST_RR_OP(sraw, x12, x10, x11, -0x4001, -0x4001, 0x0, x6, 528, x1)

inst_83:
// rs1_val == -32769, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x8001;  op2val:0x7
TEST_RR_OP(sraw, x12, x10, x11, -0x101, -0x8001, 0x7, x6, 536, x1)

inst_84:
// rs1_val == -65537, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x10001;  op2val:0x1f
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x10001, 0x1f, x6, 544, x1)

inst_85:
// rs1_val == -262145, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x40001;  op2val:0xb
TEST_RR_OP(sraw, x12, x10, x11, -0x81, -0x40001, 0xb, x6, 552, x1)

inst_86:
// rs1_val == -524289, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x80001;  op2val:0x6
TEST_RR_OP(sraw, x12, x10, x11, -0x2001, -0x80001, 0x6, x6, 560, x1)

inst_87:
// rs1_val == -1048577, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x100001;  op2val:0x5
TEST_RR_OP(sraw, x12, x10, x11, -0x8001, -0x100001, 0x5, x6, 568, x1)

inst_88:
// rs1_val == -36028797018963969, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x80000000000001;  op2val:0xb
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x80000000000001, 0xb, x6, 576, x1)

inst_89:
// rs1_val == -72057594037927937, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x100000000000001;  op2val:0x17
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x100000000000001, 0x17, x6, 584, x1)

inst_90:
// rs1_val == -144115188075855873, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x200000000000001;  op2val:0x10
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x200000000000001, 0x10, x6, 592, x1)

inst_91:
// rs1_val == -288230376151711745, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x400000000000001;  op2val:0x11
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x400000000000001, 0x11, x6, 600, x1)

inst_92:
// rs1_val == -576460752303423489, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x800000000000001;  op2val:0x0
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x800000000000001, 0x0, x6, 608, x1)

inst_93:
// rs1_val == -1152921504606846977, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x1000000000000001;  op2val:0x0
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x1000000000000001, 0x0, x6, 616, x1)

inst_94:
// rs1_val == -2305843009213693953, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x2000000000000001;  op2val:0x1d
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x2000000000000001, 0x1d, x6, 624, x1)

inst_95:
// rs1_val == -4611686018427387905, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x4000000000000001;  op2val:0x7
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x4000000000000001, 0x7, x6, 632, x1)

inst_96:
// rs1_val == 6148914691236517205, rs1_val==6148914691236517205
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x7
TEST_RR_OP(sraw, x12, x10, x11, 0xaaaaaa, 0x5555555555555555, 0x7, x6, 640, x1)

inst_97:
// rs1_val == -6148914691236517206, rs1_val==-6148914691236517206
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x9
TEST_RR_OP(sraw, x12, x10, x11, -0x2aaaab, -0x5555555555555556, 0x9, x6, 648, x1)

inst_98:
// rs1_val==3, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x12
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x3, 0x12, x6, 656, x1)

inst_99:
// rs1_val==5, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x1
TEST_RR_OP(sraw, x12, x10, x11, 0x2, 0x5, 0x1, x6, 664, x1)

inst_100:
// rs1_val==3689348814741910323, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x1d
TEST_RR_OP(sraw, x12, x10, x11, 0x1, 0x3333333333333333, 0x1d, x6, 672, x1)

inst_101:
// rs1_val==7378697629483820646, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x3
TEST_RR_OP(sraw, x12, x10, x11, 0xccccccc, 0x6666666666666666, 0x3, x6, 680, x1)

inst_102:
// rs1_val==-3037000499, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x13
TEST_RR_OP(sraw, x12, x10, x11, 0x95f, -0xb504f333, 0x13, x6, 688, x1)

inst_103:
// rs1_val==3037000499, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0xc
TEST_RR_OP(sraw, x12, x10, x11, -0x4afb1, 0xb504f333, 0xc, x6, 696, x1)

inst_104:
// rs1_val==6148914691236517204, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x1e
TEST_RR_OP(sraw, x12, x10, x11, 0x1, 0x5555555555555554, 0x1e, x6, 704, x1)

inst_105:
// rs1_val==3689348814741910322, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x9
TEST_RR_OP(sraw, x12, x10, x11, 0x199999, 0x3333333333333332, 0x9, x6, 712, x1)

inst_106:
// rs1_val==7378697629483820645, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x2
TEST_RR_OP(sraw, x12, x10, x11, 0x19999999, 0x6666666666666665, 0x2, x6, 720, x1)

inst_107:
// rs1_val==3037000498, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x15
TEST_RR_OP(sraw, x12, x10, x11, -0x258, 0xb504f332, 0x15, x6, 728, x1)

inst_108:
// rs1_val==6148914691236517206, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x1e
TEST_RR_OP(sraw, x12, x10, x11, 0x1, 0x5555555555555556, 0x1e, x6, 736, x1)

inst_109:
// rs1_val==-6148914691236517205, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0xe
TEST_RR_OP(sraw, x12, x10, x11, -0x15556, -0x5555555555555555, 0xe, x6, 744, x1)

inst_110:
// rs1_val==6, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0xa
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x6, 0xa, x6, 752, x1)

inst_111:
// rs1_val==3689348814741910324, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0xe
TEST_RR_OP(sraw, x12, x10, x11, 0xcccc, 0x3333333333333334, 0xe, x6, 760, x1)

inst_112:
// rs1_val==7378697629483820647, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x11
TEST_RR_OP(sraw, x12, x10, x11, 0x3333, 0x6666666666666667, 0x11, x6, 768, x1)

inst_113:
// rs1_val==-3037000498, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x4
TEST_RR_OP(sraw, x12, x10, x11, 0x4afb0cc, -0xb504f332, 0x4, x6, 776, x1)

inst_114:
// rs1_val==3037000500, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x1d
TEST_RR_OP(sraw, x12, x10, x11, -0x3, 0xb504f334, 0x1d, x6, 784, x1)

inst_115:
// rs1_val == -2097153, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x200001;  op2val:0xf
TEST_RR_OP(sraw, x12, x10, x11, -0x41, -0x200001, 0xf, x6, 792, x1)

inst_116:
// rs1_val == -4194305, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x400001;  op2val:0xd
TEST_RR_OP(sraw, x12, x10, x11, -0x201, -0x400001, 0xd, x6, 800, x1)

inst_117:
// rs1_val == -8388609, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x800001;  op2val:0x1e
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x800001, 0x1e, x6, 808, x1)

inst_118:
// rs1_val == -16777217, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x1000001;  op2val:0xe
TEST_RR_OP(sraw, x12, x10, x11, -0x401, -0x1000001, 0xe, x6, 816, x1)

inst_119:
// rs1_val == -33554433, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x2000001;  op2val:0x5
TEST_RR_OP(sraw, x12, x10, x11, -0x100001, -0x2000001, 0x5, x6, 824, x1)

inst_120:
// rs1_val == -67108865, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x4000001;  op2val:0x8
TEST_RR_OP(sraw, x12, x10, x11, -0x40001, -0x4000001, 0x8, x6, 832, x1)

inst_121:
// rs1_val == -134217729, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x8000001;  op2val:0x7
TEST_RR_OP(sraw, x12, x10, x11, -0x100001, -0x8000001, 0x7, x6, 840, x1)

inst_122:
// rs1_val == -268435457, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x10000001;  op2val:0xb
TEST_RR_OP(sraw, x12, x10, x11, -0x20001, -0x10000001, 0xb, x6, 848, x1)

inst_123:
// rs1_val == -536870913, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x20000001;  op2val:0x11
TEST_RR_OP(sraw, x12, x10, x11, -0x1001, -0x20000001, 0x11, x6, 856, x1)

inst_124:
// rs1_val == -1073741825, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x40000001;  op2val:0x6
TEST_RR_OP(sraw, x12, x10, x11, -0x1000001, -0x40000001, 0x6, x6, 864, x1)

inst_125:
// rs1_val == -2147483649, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x80000001;  op2val:0xf
TEST_RR_OP(sraw, x12, x10, x11, 0xffff, -0x80000001, 0xf, x6, 872, x1)

inst_126:
// rs1_val == -4294967297, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x100000001;  op2val:0x17
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x100000001, 0x17, x6, 880, x1)

inst_127:
// rs1_val == -8589934593, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x200000001;  op2val:0x2
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x200000001, 0x2, x6, 888, x1)

inst_128:
// rs1_val == -17179869185, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x400000001;  op2val:0x17
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x400000001, 0x17, x6, 896, x1)

inst_129:
// rs1_val == -34359738369, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x800000001;  op2val:0x0
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x800000001, 0x0, x6, 904, x1)

inst_130:
// rs1_val == -68719476737, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x1000000001;  op2val:0x11
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x1000000001, 0x11, x6, 912, x1)

inst_131:
// rs1_val == -137438953473, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x2000000001;  op2val:0x1
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x2000000001, 0x1, x6, 920, x1)

inst_132:
// rs1_val == -274877906945, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x4000000001;  op2val:0x1f
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x4000000001, 0x1f, x6, 928, x1)

inst_133:
// rs1_val == -549755813889, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x8000000001;  op2val:0x6
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x8000000001, 0x6, x6, 936, x1)

inst_134:
// rs1_val == -1099511627777, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x10000000001;  op2val:0x1b
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x10000000001, 0x1b, x6, 944, x1)

inst_135:
// rs1_val == -2199023255553, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x20000000001;  op2val:0xa
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x20000000001, 0xa, x6, 952, x1)

inst_136:
// rs1_val == -4398046511105, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x40000000001;  op2val:0x2
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x40000000001, 0x2, x6, 960, x1)

inst_137:
// rs1_val == -8796093022209, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x80000000001;  op2val:0x8
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x80000000001, 0x8, x6, 968, x1)

inst_138:
// rs1_val == -17592186044417, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x100000000001;  op2val:0xd
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x100000000001, 0xd, x6, 976, x1)

inst_139:
// rs1_val == -35184372088833, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x200000000001;  op2val:0xa
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x200000000001, 0xa, x6, 984, x1)

inst_140:
// rs1_val == -70368744177665, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x400000000001;  op2val:0x17
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x400000000001, 0x17, x6, 992, x1)

inst_141:
// rs1_val == -140737488355329, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x800000000001;  op2val:0x12
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x800000000001, 0x12, x6, 1000, x1)

inst_142:
// rs1_val == -281474976710657, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x1000000000001;  op2val:0x9
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x1000000000001, 0x9, x6, 1008, x1)

inst_143:
// rs1_val == -562949953421313, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x2000000000001;  op2val:0x13
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x2000000000001, 0x13, x6, 1016, x1)

inst_144:
// rs1_val == -1125899906842625, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x4000000000001;  op2val:0xa
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x4000000000001, 0xa, x6, 1024, x1)

inst_145:
// rs1_val == -2251799813685249, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x8000000000001;  op2val:0x1
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x8000000000001, 0x1, x6, 1032, x1)

inst_146:
// rs1_val == -4503599627370497, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x10000000000001;  op2val:0x2
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x10000000000001, 0x2, x6, 1040, x1)

inst_147:
// rs1_val == -9007199254740993, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x20000000000001;  op2val:0x1f
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x20000000000001, 0x1f, x6, 1048, x1)

inst_148:
// rs1_val == -18014398509481985, 
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x40000000000001;  op2val:0x4
TEST_RR_OP(sraw, x12, x10, x11, -0x1, -0x40000000000001, 0x4, x6, 1056, x1)

inst_149:
// rs1_val < 0 and rs2_val > 0 and rs2_val < xlen, rs1_val == -257, rs2_val == 1
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x101;  op2val:0x1
TEST_RR_OP(sraw, x12, x10, x11, -0x81, -0x101, 0x1, x6, 1064, x1)

inst_150:
// rs1_val < 0 and rs2_val == 0, rs1_val == -131073
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x20001;  op2val:0x0
TEST_RR_OP(sraw, x12, x10, x11, -0x20001, -0x20001, 0x0, x6, 1072, x1)

inst_151:
// rs1_val == (-2**(xlen-1)) and rs2_val >= 0 and rs2_val < xlen, rs1_val == -9223372036854775808
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:-0x8000000000000000;  op2val:0xe
TEST_RR_OP(sraw, x12, x10, x11, 0x0, -0x8000000000000000, 0xe, x6, 1080, x1)

inst_152:
// rs1_val == 2, rs1_val==2, rs2_val == 10
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0xa
TEST_RR_OP(sraw, x12, x10, x11, 0x0, 0x2, 0xa, x6, 1088, x1)

inst_153:
// rs1_val == 16384, rs2_val == 2
// opcode: sraw ; op1:x10; op2:x11; dest:x12; op1val:0x4000;  op2val:0x2
TEST_RR_OP(sraw, x12, x10, x11, 0x1000, 0x4000, 0x2, x6, 1096, x1)
#endif


RVTEST_CODE_END
RVMODEL_HALT

RVTEST_DATA_BEGIN
.align 4
rvtest_data:
.word 0xbabecafe
RVTEST_DATA_END

RVMODEL_DATA_BEGIN


signature_x3_0:
    .fill 0*(XLEN/32),4,0xdeadbeef


signature_x3_1:
    .fill 16*(XLEN/32),4,0xdeadbeef


signature_x6_0:
    .fill 138*(XLEN/32),4,0xdeadbeef

#ifdef rvtest_mtrap_routine

mtrap_sigptr:
    .fill 64*(XLEN/32),4,0xdeadbeef

#endif

#ifdef rvtest_gpr_save

gpr_save:
    .fill 32*(XLEN/32),4,0xdeadbeef

#endif

RVMODEL_DATA_END
