
// -----------
// This file was generated by riscv_ctg (https://gitlab.com/incoresemi/riscv-compliance/riscv_ctg)
// version   : 0.4.1
// timestamp : Wed Dec 16 03:45:17 2020 GMT
// usage     : riscv_ctg \
//                  -- cgf ('/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/dataset.cgf', '/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/rv64i.cgf') \
//                  -- xlen 64 \
// -----------
//
// -----------
// Copyright (c) 2020. RISC-V International. All rights reserved.
// SPDX-License-Identifier: BSD-3-Clause
// -----------
//
// This assembly file tests the or instruction of the RISC-V I extension for the or covergroup.
// 
#include "model_test.h"
#include "arch_test.h"
RVTEST_ISA("RV64I")

.section .text.init
.globl rvtest_entry_point
rvtest_entry_point:
RVMODEL_BOOT
RVTEST_CODE_BEGIN

#ifdef TEST_CASE_1

RVTEST_CASE(0,"//check ISA:=regex(.*64.*);check ISA:=regex(.*I.*);def TEST_CASE_1=True;",or)

RVTEST_SIGBASE( x1,signature_x1_1)

inst_0:
// rs1 == rs2 != rd, rs1==x0, rs2==x0, rd==x28, rs1_val > 0 and rs2_val > 0, rs1_val == 134217728, rs1_val != rs2_val, rs2_val == 6148914691236517205
// opcode: or ; op1:x0; op2:x0; dest:x28; op1val:0x0;  op2val:0x0
TEST_RR_OP(or, x28, x0, x0, 0x0, 0x0, 0x0, x1, 0, x3)

inst_1:
// rs2 == rd != rs1, rs1==x21, rs2==x8, rd==x8, rs1_val > 0 and rs2_val < 0, rs2_val == -9, rs1_val == 140737488355328
// opcode: or ; op1:x21; op2:x8; dest:x8; op1val:0x800000000000;  op2val:-0x9
TEST_RR_OP(or, x8, x21, x8, 0xfffffffffffffff7, 0x800000000000, -0x9, x1, 8, x3)

inst_2:
// rs1 == rs2 == rd, rs1==x11, rs2==x11, rd==x11, rs1_val < 0 and rs2_val < 0, rs2_val == -1125899906842625
// opcode: or ; op1:x11; op2:x11; dest:x11; op1val:-0xb504f333;  op2val:-0xb504f333
TEST_RR_OP(or, x11, x11, x11, 0xffffffff4afb0ccd, -0xb504f333, -0xb504f333, x1, 16, x3)

inst_3:
// rs1 != rs2  and rs1 != rd and rs2 != rd, rs1==x15, rs2==x5, rd==x10, rs1_val < 0 and rs2_val > 0, rs1_val == -262145, rs2_val == 288230376151711744
// opcode: or ; op1:x15; op2:x5; dest:x10; op1val:-0x40001;  op2val:0x400000000000000
TEST_RR_OP(or, x10, x15, x5, 0xfffffffffffbffff, -0x40001, 0x400000000000000, x1, 24, x3)

inst_4:
// rs1 == rd != rs2, rs1==x7, rs2==x17, rd==x7, rs1_val == rs2_val, rs1_val==3689348814741910323 and rs2_val==3689348814741910323
// opcode: or ; op1:x7; op2:x17; dest:x7; op1val:0x3333333333333333;  op2val:0x3333333333333333
TEST_RR_OP(or, x7, x7, x17, 0x3333333333333333, 0x3333333333333333, 0x3333333333333333, x1, 32, x3)

inst_5:
// rs1==x4, rs2==x26, rd==x14, rs2_val == (-2**(xlen-1)), rs2_val == -9223372036854775808, rs1_val == 4294967296
// opcode: or ; op1:x4; op2:x26; dest:x14; op1val:0x100000000;  op2val:-0x8000000000000000
TEST_RR_OP(or, x14, x4, x26, 0x8000000100000000, 0x100000000, -0x8000000000000000, x1, 40, x3)

inst_6:
// rs1==x14, rs2==x18, rd==x25, rs2_val == 0, rs1_val == 4, rs1_val==4 and rs2_val==0
// opcode: or ; op1:x14; op2:x18; dest:x25; op1val:0x4;  op2val:0x0
TEST_RR_OP(or, x25, x14, x18, 0x4, 0x4, 0x0, x1, 48, x3)

inst_7:
// rs1==x10, rs2==x12, rd==x2, rs2_val == (2**(xlen-1)-1), rs2_val == 9223372036854775807, rs1_val == 2
// opcode: or ; op1:x10; op2:x12; dest:x2; op1val:0x2;  op2val:0x7fffffffffffffff
TEST_RR_OP(or, x2, x10, x12, 0x7fffffffffffffff, 0x2, 0x7fffffffffffffff, x1, 56, x3)

inst_8:
// rs1==x24, rs2==x19, rd==x27, rs2_val == 1, rs1_val == 17592186044416
// opcode: or ; op1:x24; op2:x19; dest:x27; op1val:0x100000000000;  op2val:0x1
TEST_RR_OP(or, x27, x24, x19, 0x100000000001, 0x100000000000, 0x1, x1, 64, x3)

inst_9:
// rs1==x31, rs2==x22, rd==x21, rs1_val == (-2**(xlen-1)), rs2_val == -524289, rs1_val == -9223372036854775808
// opcode: or ; op1:x31; op2:x22; dest:x21; op1val:-0x8000000000000000;  op2val:-0x80001
TEST_RR_OP(or, x21, x31, x22, 0xfffffffffff7ffff, -0x8000000000000000, -0x80001, x1, 72, x3)

inst_10:
// rs1==x20, rs2==x25, rd==x17, rs1_val == 0, rs2_val == 256
// opcode: or ; op1:x20; op2:x25; dest:x17; op1val:0x0;  op2val:0x100
TEST_RR_OP(or, x17, x20, x25, 0x100, 0x0, 0x100, x1, 80, x3)

inst_11:
// rs1==x29, rs2==x9, rd==x26, rs1_val == (2**(xlen-1)-1), rs1_val == 9223372036854775807, rs2_val == -4398046511105
// opcode: or ; op1:x29; op2:x9; dest:x26; op1val:0x7fffffffffffffff;  op2val:-0x40000000001
TEST_RR_OP(or, x26, x29, x9, 0xffffffffffffffff, 0x7fffffffffffffff, -0x40000000001, x1, 88, x3)

inst_12:
// rs1==x28, rs2==x15, rd==x16, rs1_val == 1, rs2_val == -2097153
// opcode: or ; op1:x28; op2:x15; dest:x16; op1val:0x1;  op2val:-0x200001
TEST_RR_OP(or, x16, x28, x15, 0xffffffffffdfffff, 0x1, -0x200001, x1, 96, x3)

inst_13:
// rs1==x13, rs2==x27, rd==x30, rs2_val == 2, rs1_val==-3037000499 and rs2_val==2
// opcode: or ; op1:x13; op2:x27; dest:x30; op1val:-0xb504f333;  op2val:0x2
TEST_RR_OP(or, x30, x13, x27, 0xffffffff4afb0ccf, -0xb504f333, 0x2, x1, 104, x3)

inst_14:
// rs1==x9, rs2==x3, rd==x0, rs2_val == 4, rs1_val == 8192
// opcode: or ; op1:x9; op2:x3; dest:x0; op1val:0x2000;  op2val:0x4
TEST_RR_OP(or, x0, x9, x3, 0, 0x2000, 0x4, x1, 112, x14)
RVTEST_SIGBASE( x11,signature_x11_0)

inst_15:
// rs1==x16, rs2==x10, rd==x9, rs2_val == 8, 
// opcode: or ; op1:x16; op2:x10; dest:x9; op1val:0x5555555555555556;  op2val:0x8
TEST_RR_OP(or, x9, x16, x10, 0x555555555555555e, 0x5555555555555556, 0x8, x11, 0, x14)

inst_16:
// rs1==x18, rs2==x4, rd==x13, rs2_val == 16, rs1_val == 2305843009213693952
// opcode: or ; op1:x18; op2:x4; dest:x13; op1val:0x2000000000000000;  op2val:0x10
TEST_RR_OP(or, x13, x18, x4, 0x2000000000000010, 0x2000000000000000, 0x10, x11, 8, x14)

inst_17:
// rs1==x17, rs2==x28, rd==x3, rs2_val == 32, rs1_val == -18014398509481985
// opcode: or ; op1:x17; op2:x28; dest:x3; op1val:-0x40000000000001;  op2val:0x20
TEST_RR_OP(or, x3, x17, x28, 0xffbfffffffffffff, -0x40000000000001, 0x20, x11, 16, x14)

inst_18:
// rs1==x25, rs2==x13, rd==x19, rs2_val == 64, rs1_val == 8796093022208
// opcode: or ; op1:x25; op2:x13; dest:x19; op1val:0x80000000000;  op2val:0x40
TEST_RR_OP(or, x19, x25, x13, 0x80000000040, 0x80000000000, 0x40, x11, 24, x14)

inst_19:
// rs1==x5, rs2==x30, rd==x29, rs2_val == 128, rs1_val == 576460752303423488
// opcode: or ; op1:x5; op2:x30; dest:x29; op1val:0x800000000000000;  op2val:0x80
TEST_RR_OP(or, x29, x5, x30, 0x800000000000080, 0x800000000000000, 0x80, x11, 32, x14)

inst_20:
// rs1==x19, rs2==x31, rd==x24, rs2_val == 512, rs1_val == 35184372088832
// opcode: or ; op1:x19; op2:x31; dest:x24; op1val:0x200000000000;  op2val:0x200
TEST_RR_OP(or, x24, x19, x31, 0x200000000200, 0x200000000000, 0x200, x11, 40, x14)

inst_21:
// rs1==x12, rs2==x7, rd==x23, rs2_val == 1024, rs1_val == -144115188075855873
// opcode: or ; op1:x12; op2:x7; dest:x23; op1val:-0x200000000000001;  op2val:0x400
TEST_RR_OP(or, x23, x12, x7, 0xfdffffffffffffff, -0x200000000000001, 0x400, x11, 48, x14)

inst_22:
// rs1==x3, rs2==x21, rd==x31, rs2_val == 2048, rs1_val == -288230376151711745
// opcode: or ; op1:x3; op2:x21; dest:x31; op1val:-0x400000000000001;  op2val:0x800
TEST_RR_OP(or, x31, x3, x21, 0xfbffffffffffffff, -0x400000000000001, 0x800, x11, 56, x14)

inst_23:
// rs1==x23, rs2==x24, rd==x12, rs2_val == 4096, 
// opcode: or ; op1:x23; op2:x24; dest:x12; op1val:0x80000000000;  op2val:0x1000
TEST_RR_OP(or, x12, x23, x24, 0x80000001000, 0x80000000000, 0x1000, x11, 64, x14)

inst_24:
// rs1==x22, rs2==x29, rd==x4, rs2_val == 8192, 
// opcode: or ; op1:x22; op2:x29; dest:x4; op1val:0x2000;  op2val:0x2000
TEST_RR_OP(or, x4, x22, x29, 0x2000, 0x2000, 0x2000, x11, 72, x14)

inst_25:
// rs1==x30, rs2==x1, rd==x18, rs2_val == 16384, 
// opcode: or ; op1:x30; op2:x1; dest:x18; op1val:0x80000000000;  op2val:0x4000
TEST_RR_OP(or, x18, x30, x1, 0x80000004000, 0x80000000000, 0x4000, x11, 80, x14)

inst_26:
// rs1==x6, rs2==x20, rd==x1, rs2_val == 32768, rs1_val == -17
// opcode: or ; op1:x6; op2:x20; dest:x1; op1val:-0x11;  op2val:0x8000
TEST_RR_OP(or, x1, x6, x20, 0xffffffffffffffef, -0x11, 0x8000, x11, 88, x14)

inst_27:
// rs1==x8, rs2==x23, rd==x5, rs2_val == 65536, 
// opcode: or ; op1:x8; op2:x23; dest:x5; op1val:0x80000000000;  op2val:0x10000
TEST_RR_OP(or, x5, x8, x23, 0x80000010000, 0x80000000000, 0x10000, x11, 96, x14)

inst_28:
// rs1==x27, rs2==x2, rd==x6, rs2_val == 131072, rs1_val == -32769
// opcode: or ; op1:x27; op2:x2; dest:x6; op1val:-0x8001;  op2val:0x20000
TEST_RR_OP(or, x6, x27, x2, 0xffffffffffff7fff, -0x8001, 0x20000, x11, 104, x14)

inst_29:
// rs1==x26, rs2==x6, rd==x20, rs2_val == 262144, rs1_val == -4194305
// opcode: or ; op1:x26; op2:x6; dest:x20; op1val:-0x400001;  op2val:0x40000
TEST_RR_OP(or, x20, x26, x6, 0xffffffffffbfffff, -0x400001, 0x40000, x11, 112, x4)
RVTEST_SIGBASE( x3,signature_x3_0)

inst_30:
// rs1==x2, rs2==x14, rd==x22, rs2_val == 524288, 
// opcode: or ; op1:x2; op2:x14; dest:x22; op1val:0x9;  op2val:0x80000
TEST_RR_OP(or, x22, x2, x14, 0x80009, 0x9, 0x80000, x3, 0, x4)

inst_31:
// rs1==x1, rs2==x16, rd==x15, rs2_val == 1048576, 
// opcode: or ; op1:x1; op2:x16; dest:x15; op1val:-0xb504f332;  op2val:0x100000
TEST_RR_OP(or, x15, x1, x16, 0xffffffff4afb0cce, -0xb504f332, 0x100000, x3, 8, x4)

inst_32:
// rs2_val == 2097152, rs1_val == 549755813888
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x8000000000;  op2val:0x200000
TEST_RR_OP(or, x12, x10, x11, 0x8000200000, 0x8000000000, 0x200000, x3, 16, x4)

inst_33:
// rs2_val == 4194304, rs1_val == 32768
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x8000;  op2val:0x400000
TEST_RR_OP(or, x12, x10, x11, 0x408000, 0x8000, 0x400000, x3, 24, x4)

inst_34:
// rs2_val == 8388608, rs1_val == 137438953472
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2000000000;  op2val:0x800000
TEST_RR_OP(or, x12, x10, x11, 0x2000800000, 0x2000000000, 0x800000, x3, 32, x4)

inst_35:
// rs2_val == 16777216, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x9;  op2val:0x1000000
TEST_RR_OP(or, x12, x10, x11, 0x1000009, 0x9, 0x1000000, x3, 40, x4)

inst_36:
// rs2_val == 33554432, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x40001;  op2val:0x2000000
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffbffff, -0x40001, 0x2000000, x3, 48, x4)

inst_37:
// rs2_val == 67108864, rs1_val == 1024
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x400;  op2val:0x4000000
TEST_RR_OP(or, x12, x10, x11, 0x4000400, 0x400, 0x4000000, x3, 56, x4)

inst_38:
// rs2_val == 134217728, rs1_val == -4611686018427387905
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x4000000000000001;  op2val:0x8000000
TEST_RR_OP(or, x12, x10, x11, 0xbfffffffffffffff, -0x4000000000000001, 0x8000000, x3, 64, x4)

inst_39:
// rs2_val == 268435456, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x10000000
TEST_RR_OP(or, x12, x10, x11, 0x10000004, 0x4, 0x10000000, x3, 72, x4)

inst_40:
// rs2_val == 536870912, rs1_val == 33554432
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2000000;  op2val:0x20000000
TEST_RR_OP(or, x12, x10, x11, 0x22000000, 0x2000000, 0x20000000, x3, 80, x4)

inst_41:
// rs2_val == 1073741824, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x8000000000000000;  op2val:0x40000000
TEST_RR_OP(or, x12, x10, x11, 0x8000000040000000, -0x8000000000000000, 0x40000000, x3, 88, x4)

inst_42:
// rs2_val == 2147483648, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x4000000000000000;  op2val:0x80000000
TEST_RR_OP(or, x12, x10, x11, 0xc000000080000000, -0x4000000000000000, 0x80000000, x3, 96, x4)

inst_43:
// rs2_val == 4294967296, rs1_val == 64
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x40;  op2val:0x100000000
TEST_RR_OP(or, x12, x10, x11, 0x100000040, 0x40, 0x100000000, x3, 104, x4)

inst_44:
// rs2_val == 8589934592, rs1_val == -8388609
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x800001;  op2val:0x200000000
TEST_RR_OP(or, x12, x10, x11, 0xffffffffff7fffff, -0x800001, 0x200000000, x3, 112, x4)

inst_45:
// rs2_val == 17179869184, rs1_val == -2049
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x801;  op2val:0x400000000
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffff7ff, -0x801, 0x400000000, x3, 120, x4)

inst_46:
// rs2_val == 34359738368, rs1_val == 72057594037927936
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x100000000000000;  op2val:0x800000000
TEST_RR_OP(or, x12, x10, x11, 0x100000800000000, 0x100000000000000, 0x800000000, x3, 128, x4)

inst_47:
// rs2_val == 68719476736, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x1000000000
TEST_RR_OP(or, x12, x10, x11, 0x1000000000, 0x0, 0x1000000000, x3, 136, x4)

inst_48:
// rs2_val == 137438953472, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x40000000000001;  op2val:0x2000000000
TEST_RR_OP(or, x12, x10, x11, 0xffbfffffffffffff, -0x40000000000001, 0x2000000000, x3, 144, x4)

inst_49:
// rs2_val == 274877906944, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x8000000;  op2val:0x4000000000
TEST_RR_OP(or, x12, x10, x11, 0x4008000000, 0x8000000, 0x4000000000, x3, 152, x4)

inst_50:
// rs2_val == 549755813888, rs1_val == -8193
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x2001;  op2val:0x8000000000
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffdfff, -0x2001, 0x8000000000, x3, 160, x4)

inst_51:
// rs2_val == 1099511627776, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x80000000000;  op2val:0x10000000000
TEST_RR_OP(or, x12, x10, x11, 0x90000000000, 0x80000000000, 0x10000000000, x3, 168, x4)

inst_52:
// rs2_val == 2199023255552, rs1_val == -268435457
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x10000001;  op2val:0x20000000000
TEST_RR_OP(or, x12, x10, x11, 0xffffffffefffffff, -0x10000001, 0x20000000000, x3, 176, x4)

inst_53:
// rs2_val == 4398046511104, rs1_val == 1099511627776
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x10000000000;  op2val:0x40000000000
TEST_RR_OP(or, x12, x10, x11, 0x50000000000, 0x10000000000, 0x40000000000, x3, 184, x4)

inst_54:
// rs2_val == 8796093022208, rs1_val == -8589934593
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x200000001;  op2val:0x80000000000
TEST_RR_OP(or, x12, x10, x11, 0xfffffffdffffffff, -0x200000001, 0x80000000000, x3, 192, x4)

inst_55:
// rs2_val == 17592186044416, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x100000000000
TEST_RR_OP(or, x12, x10, x11, 0x100000000003, 0x3, 0x100000000000, x3, 200, x4)

inst_56:
// rs2_val == 35184372088832, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2000;  op2val:0x200000000000
TEST_RR_OP(or, x12, x10, x11, 0x200000002000, 0x2000, 0x200000000000, x3, 208, x4)

inst_57:
// rs2_val == 70368744177664, rs1_val == -65
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x41;  op2val:0x400000000000
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffbf, -0x41, 0x400000000000, x3, 216, x4)

inst_58:
// rs2_val == 140737488355328, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x7fffffffffffffff;  op2val:0x800000000000
TEST_RR_OP(or, x12, x10, x11, 0x7fffffffffffffff, 0x7fffffffffffffff, 0x800000000000, x3, 224, x4)

inst_59:
// rs2_val == 281474976710656, rs1_val == 16777216
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x1000000;  op2val:0x1000000000000
TEST_RR_OP(or, x12, x10, x11, 0x1000001000000, 0x1000000, 0x1000000000000, x3, 232, x4)

inst_60:
// rs2_val == 562949953421312, rs1_val == -65537
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x10001;  op2val:0x2000000000000
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffeffff, -0x10001, 0x2000000000000, x3, 240, x4)

inst_61:
// rs2_val == 1125899906842624, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x4000000000000
TEST_RR_OP(or, x12, x10, x11, 0x40000b504f332, 0xb504f332, 0x4000000000000, x3, 248, x4)

inst_62:
// rs2_val == 2251799813685248, rs1_val == -2251799813685249
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x8000000000001;  op2val:0x8000000000000
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x8000000000001, 0x8000000000000, x3, 256, x4)

inst_63:
// rs2_val == 4503599627370496, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x4000000000000001;  op2val:0x10000000000000
TEST_RR_OP(or, x12, x10, x11, 0xbfffffffffffffff, -0x4000000000000001, 0x10000000000000, x3, 264, x4)

inst_64:
// rs2_val == 9007199254740992, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x8000000000;  op2val:0x20000000000000
TEST_RR_OP(or, x12, x10, x11, 0x20008000000000, 0x8000000000, 0x20000000000000, x3, 272, x4)

inst_65:
// rs2_val == 18014398509481984, rs1_val == -16385
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x4001;  op2val:0x40000000000000
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffbfff, -0x4001, 0x40000000000000, x3, 280, x4)

inst_66:
// rs2_val == 36028797018963968, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2000000;  op2val:0x80000000000000
TEST_RR_OP(or, x12, x10, x11, 0x80000002000000, 0x2000000, 0x80000000000000, x3, 288, x4)

inst_67:
// rs2_val == 72057594037927936, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x100000000000000
TEST_RR_OP(or, x12, x10, x11, 0xabaaaaaaaaaaaaab, -0x5555555555555555, 0x100000000000000, x3, 296, x4)

inst_68:
// rs2_val == 144115188075855872, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x200000000000000
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666665, 0x6666666666666665, 0x200000000000000, x3, 304, x4)

inst_69:
// rs2_val == 576460752303423488, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x800000000000000
TEST_RR_OP(or, x12, x10, x11, 0x800000000000002, 0x2, 0x800000000000000, x3, 312, x4)

inst_70:
// rs2_val == 1152921504606846976, rs1_val == -4398046511105
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x40000000001;  op2val:0x1000000000000000
TEST_RR_OP(or, x12, x10, x11, 0xfffffbffffffffff, -0x40000000001, 0x1000000000000000, x3, 320, x4)

inst_71:
// rs2_val == 2305843009213693952, rs1_val == 6148914691236517205
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x2000000000000000
TEST_RR_OP(or, x12, x10, x11, 0x7555555555555555, 0x5555555555555555, 0x2000000000000000, x3, 328, x4)

inst_72:
// rs2_val == 4611686018427387904, rs1_val == 18014398509481984
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x40000000000000;  op2val:0x4000000000000000
TEST_RR_OP(or, x12, x10, x11, 0x4040000000000000, 0x40000000000000, 0x4000000000000000, x3, 336, x4)

inst_73:
// rs2_val == -2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:-0x2
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, 0x3, -0x2, x3, 344, x4)

inst_74:
// rs2_val == -3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x7;  op2val:-0x3
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, 0x7, -0x3, x3, 352, x4)

inst_75:
// rs2_val == -5, rs1_val == 17179869184
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x400000000;  op2val:-0x5
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffffb, 0x400000000, -0x5, x3, 360, x4)

inst_76:
// rs2_val == -17, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x400001;  op2val:-0x11
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x400001, -0x11, x3, 368, x4)

inst_77:
// rs2_val == -33, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x8000000;  op2val:-0x21
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffdf, 0x8000000, -0x21, x3, 376, x4)

inst_78:
// rs2_val == -65, rs1_val == 70368744177664
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x400000000000;  op2val:-0x41
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffbf, 0x400000000000, -0x41, x3, 384, x4)

inst_79:
// rs2_val == -129, rs1_val == -549755813889
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x8000000001;  op2val:-0x81
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x8000000001, -0x81, x3, 392, x4)

inst_80:
// rs2_val == -257, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x4000000000000000;  op2val:-0x101
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffeff, -0x4000000000000000, -0x101, x3, 400, x4)

inst_81:
// rs2_val == -513, rs1_val == -70368744177665
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x400000000001;  op2val:-0x201
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x400000000001, -0x201, x3, 408, x4)

inst_82:
// rs2_val == -1025, rs1_val == -137438953473
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x2000000001;  op2val:-0x401
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x2000000001, -0x401, x3, 416, x4)

inst_83:
// rs2_val == -2049, rs1_val == -3
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x3;  op2val:-0x801
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x3, -0x801, x3, 424, x4)

inst_84:
// rs2_val == -4097, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x400000000001;  op2val:-0x1001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x400000000001, -0x1001, x3, 432, x4)

inst_85:
// rs2_val == -8193, rs1_val == 262144
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x40000;  op2val:-0x2001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffdfff, 0x40000, -0x2001, x3, 440, x4)

inst_86:
// rs2_val == -16385, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:-0x4001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffbfff, 0x3333333333333333, -0x4001, x3, 448, x4)

inst_87:
// rs2_val == -32769, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:-0x8001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffff7fff, -0xb504f333, -0x8001, x3, 456, x4)

inst_88:
// rs2_val == -65537, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:-0x10001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, 0x5555555555555556, -0x10001, x3, 464, x4)

inst_89:
// rs2_val == -131073, rs1_val == -1073741825
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x40000001;  op2val:-0x20001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x40000001, -0x20001, x3, 472, x4)

inst_90:
// rs2_val == -262145, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x80000000000;  op2val:-0x40001
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffbffff, 0x80000000000, -0x40001, x3, 480, x4)

inst_91:
// rs2_val == -1048577, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x3;  op2val:-0x100001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x3, -0x100001, x3, 488, x4)

inst_92:
// rs2_val == -4194305, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:-0x400001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0xb504f332, -0x400001, x3, 496, x4)

inst_93:
// rs2_val == -8388609, rs1_val == 144115188075855872
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x200000000000000;  op2val:-0x800001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffff7fffff, 0x200000000000000, -0x800001, x3, 504, x4)

inst_94:
// rs2_val == -16777217, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2000000;  op2val:-0x1000001
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffeffffff, 0x2000000, -0x1000001, x3, 512, x4)

inst_95:
// rs2_val == -33554433, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:-0x2000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0xb504f333, -0x2000001, x3, 520, x4)

inst_96:
// rs2_val == -67108865, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:-0x4000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, 0x5555555555555555, -0x4000001, x3, 528, x4)

inst_97:
// rs2_val == -134217729, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:-0x8000001
TEST_RR_OP(or, x12, x10, x11, 0xfffffffff7ffffff, 0xb504f333, -0x8000001, x3, 536, x4)

inst_98:
// rs2_val == -268435457, rs1_val == -524289
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x80001;  op2val:-0x10000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x80001, -0x10000001, x3, 544, x4)

inst_99:
// rs2_val == -536870913, rs1_val == -9007199254740993
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x20000000000001;  op2val:-0x20000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x20000000000001, -0x20000001, x3, 552, x4)

inst_100:
// rs2_val == -1073741825, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x10001;  op2val:-0x40000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x10001, -0x40000001, x3, 560, x4)

inst_101:
// rs2_val == -2147483649, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2000;  op2val:-0x80000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffff7fffffff, 0x2000, -0x80000001, x3, 568, x4)

inst_102:
// rs2_val == -4294967297, rs1_val == -9
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x9;  op2val:-0x100000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x9, -0x100000001, x3, 576, x4)

inst_103:
// rs2_val == -8589934593, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x7;  op2val:-0x200000001
TEST_RR_OP(or, x12, x10, x11, 0xfffffffdffffffff, 0x7, -0x200000001, x3, 584, x4)

inst_104:
// rs2_val == -17179869185, rs1_val == 562949953421312
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2000000000000;  op2val:-0x400000001
TEST_RR_OP(or, x12, x10, x11, 0xfffffffbffffffff, 0x2000000000000, -0x400000001, x3, 592, x4)

inst_105:
// rs2_val == -34359738369, rs1_val == 4194304
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x400000;  op2val:-0x800000001
TEST_RR_OP(or, x12, x10, x11, 0xfffffff7ffffffff, 0x400000, -0x800000001, x3, 600, x4)

inst_106:
// rs2_val == -68719476737, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x40000000000000;  op2val:-0x1000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffefffffffff, 0x40000000000000, -0x1000000001, x3, 608, x4)

inst_107:
// rs2_val == -137438953473, rs1_val == 524288
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x80000;  op2val:-0x2000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffdfffffffff, 0x80000, -0x2000000001, x3, 616, x4)

inst_108:
// rs2_val == -274877906945, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:-0x4000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffbfffffffff, 0x3333333333333332, -0x4000000001, x3, 624, x4)

inst_109:
// rs2_val == -549755813889, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x2000000001;  op2val:-0x8000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x2000000001, -0x8000000001, x3, 632, x4)

inst_110:
// rs2_val == -1099511627777, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:-0x10000000001
TEST_RR_OP(or, x12, x10, x11, 0xfffffeffffffffff, 0x5, -0x10000000001, x3, 640, x4)

inst_111:
// rs2_val == -2199023255553, rs1_val == 274877906944
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4000000000;  op2val:-0x20000000001
TEST_RR_OP(or, x12, x10, x11, 0xfffffdffffffffff, 0x4000000000, -0x20000000001, x3, 648, x4)

inst_112:
// rs2_val == -8796093022209, rs1_val == -129
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x81;  op2val:-0x80000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x81, -0x80000000001, x3, 656, x4)

inst_113:
// rs2_val == -17592186044417, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x80000000000;  op2val:-0x100000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffefffffffffff, 0x80000000000, -0x100000000001, x3, 664, x4)

inst_114:
// rs2_val == -35184372088833, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:-0x200000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffdfffffffffff, 0x5, -0x200000000001, x3, 672, x4)

inst_115:
// rs2_val == -70368744177665, rs1_val == 1048576
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x100000;  op2val:-0x400000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffbfffffffffff, 0x100000, -0x400000000001, x3, 680, x4)

inst_116:
// rs2_val == -140737488355329, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x40001;  op2val:-0x800000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x40001, -0x800000000001, x3, 688, x4)

inst_117:
// rs2_val == -281474976710657, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:-0x1000000000001
TEST_RR_OP(or, x12, x10, x11, 0xfffeffffffffffff, 0x3, -0x1000000000001, x3, 696, x4)

inst_118:
// rs2_val == -562949953421313, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2000;  op2val:-0x2000000000001
TEST_RR_OP(or, x12, x10, x11, 0xfffdffffffffffff, 0x2000, -0x2000000000001, x3, 704, x4)

inst_119:
// rs2_val == -2251799813685249, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:-0x8000000000001
TEST_RR_OP(or, x12, x10, x11, 0xfff7ffffffffffff, 0x4, -0x8000000000001, x3, 712, x4)

inst_120:
// rs2_val == -4503599627370497, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x80000000000;  op2val:-0x10000000000001
TEST_RR_OP(or, x12, x10, x11, 0xffefffffffffffff, 0x80000000000, -0x10000000000001, x3, 720, x4)

inst_121:
// rs2_val == -9007199254740993, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x40000;  op2val:-0x20000000000001
TEST_RR_OP(or, x12, x10, x11, 0xffdfffffffffffff, 0x40000, -0x20000000000001, x3, 728, x4)

inst_122:
// rs2_val == -18014398509481985, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:-0x40000000000001
TEST_RR_OP(or, x12, x10, x11, 0xffbfffffffffffff, 0x4, -0x40000000000001, x3, 736, x4)

inst_123:
// rs2_val == -36028797018963969, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:-0x80000000000001
TEST_RR_OP(or, x12, x10, x11, 0xff7fffffffffffff, 0x5, -0x80000000000001, x3, 744, x4)

inst_124:
// rs2_val == -72057594037927937, rs1_val == -2147483649
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x80000001;  op2val:-0x100000000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x80000001, -0x100000000000001, x3, 752, x4)

inst_125:
// rs2_val == -144115188075855873, rs1_val == 128
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x80;  op2val:-0x200000000000001
TEST_RR_OP(or, x12, x10, x11, 0xfdffffffffffffff, 0x80, -0x200000000000001, x3, 760, x4)

inst_126:
// rs2_val == -288230376151711745, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:-0x400000000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0xb504f333, -0x400000000000001, x3, 768, x4)

inst_127:
// rs2_val == -576460752303423489, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x100000000;  op2val:-0x800000000000001
TEST_RR_OP(or, x12, x10, x11, 0xf7ffffffffffffff, 0x100000000, -0x800000000000001, x3, 776, x4)

inst_128:
// rs2_val == -1152921504606846977, rs1_val == 32
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x20;  op2val:-0x1000000000000001
TEST_RR_OP(or, x12, x10, x11, 0xefffffffffffffff, 0x20, -0x1000000000000001, x3, 784, x4)

inst_129:
// rs2_val == -2305843009213693953, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x80000001;  op2val:-0x2000000000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x80000001, -0x2000000000000001, x3, 792, x4)

inst_130:
// rs2_val == -4611686018427387905, rs1_val == -513
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x201;  op2val:-0x4000000000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x201, -0x4000000000000001, x3, 800, x4)

inst_131:
// rs2_val == -6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x400000000;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaeaaaaaaaa, 0x400000000, -0x5555555555555556, x3, 808, x4)

inst_132:
// rs1_val == 8, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x8;  op2val:0x8000000
TEST_RR_OP(or, x12, x10, x11, 0x8000008, 0x8, 0x8000000, x3, 816, x4)

inst_133:
// rs1_val == 16, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x10;  op2val:-0x800000000000001
TEST_RR_OP(or, x12, x10, x11, 0xf7ffffffffffffff, 0x10, -0x800000000000001, x3, 824, x4)

inst_134:
// rs1_val == 256, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x100;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x103, 0x100, 0x3, x3, 832, x4)

inst_135:
// rs1_val == 512, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x200;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x205, 0x200, 0x5, x3, 840, x4)

inst_136:
// rs1_val == 2048, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x800;  op2val:0x200000000
TEST_RR_OP(or, x12, x10, x11, 0x200000800, 0x800, 0x200000000, x3, 848, x4)

inst_137:
// rs1_val == 4096, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x1000;  op2val:0x80000
TEST_RR_OP(or, x12, x10, x11, 0x81000, 0x1000, 0x80000, x3, 856, x4)

inst_138:
// rs1_val == 16384, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4000;  op2val:0x100000000000
TEST_RR_OP(or, x12, x10, x11, 0x100000004000, 0x4000, 0x100000000000, x3, 864, x4)

inst_139:
// rs1_val == 65536, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x10000;  op2val:0x800000000000000
TEST_RR_OP(or, x12, x10, x11, 0x800000000010000, 0x10000, 0x800000000000000, x3, 872, x4)

inst_140:
// rs1_val == 131072, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x20000;  op2val:-0x8000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffff7fffffffff, 0x20000, -0x8000000001, x3, 880, x4)

inst_141:
// rs1_val == 2097152, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x200000;  op2val:-0x7
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffff9, 0x200000, -0x7, x3, 888, x4)

inst_142:
// rs1_val == 8388608, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x800000;  op2val:-0x3
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffffd, 0x800000, -0x3, x3, 896, x4)

inst_143:
// rs1_val == 67108864, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4000000;  op2val:-0x401
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffbff, 0x4000000, -0x401, x3, 904, x4)

inst_144:
// rs1_val == 268435456, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x10000000;  op2val:0x40000
TEST_RR_OP(or, x12, x10, x11, 0x10040000, 0x10000000, 0x40000, x3, 912, x4)

inst_145:
// rs1_val == 536870912, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x20000000;  op2val:0x2000000000000
TEST_RR_OP(or, x12, x10, x11, 0x2000020000000, 0x20000000, 0x2000000000000, x3, 920, x4)

inst_146:
// rs1_val == 1073741824, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x40000000;  op2val:0x800
TEST_RR_OP(or, x12, x10, x11, 0x40000800, 0x40000000, 0x800, x3, 928, x4)

inst_147:
// rs1_val == 2147483648, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x80000000;  op2val:0x1000000
TEST_RR_OP(or, x12, x10, x11, 0x81000000, 0x80000000, 0x1000000, x3, 936, x4)

inst_148:
// rs1_val == 8589934592, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x200000000;  op2val:0x8000000000
TEST_RR_OP(or, x12, x10, x11, 0x8200000000, 0x200000000, 0x8000000000, x3, 944, x4)

inst_149:
// rs1_val == 34359738368, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x800000000;  op2val:-0x80000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffff7fffffff, 0x800000000, -0x80000001, x3, 952, x4)

inst_150:
// rs1_val == 68719476736, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x1000000000;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x1000000003, 0x1000000000, 0x3, x3, 960, x4)

inst_151:
// rs1_val == 2199023255552, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x20000000000;  op2val:-0x40000000001
TEST_RR_OP(or, x12, x10, x11, 0xfffffbffffffffff, 0x20000000000, -0x40000000001, x3, 968, x4)

inst_152:
// rs1_val == 4398046511104, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x40000000000;  op2val:-0x9
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffff7, 0x40000000000, -0x9, x3, 976, x4)

inst_153:
// rs1_val == 281474976710656, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x1000000000000;  op2val:0x40000000000000
TEST_RR_OP(or, x12, x10, x11, 0x41000000000000, 0x1000000000000, 0x40000000000000, x3, 984, x4)

inst_154:
// rs1_val == 1125899906842624, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4000000000000;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x4000000000004, 0x4000000000000, 0x4, x3, 992, x4)

inst_155:
// rs1_val == 2251799813685248, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x8000000000000;  op2val:-0x40001
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffbffff, 0x8000000000000, -0x40001, x3, 1000, x4)

inst_156:
// rs1_val == 4503599627370496, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x10000000000000;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0x100000b504f334, 0x10000000000000, 0xb504f334, x3, 1008, x4)

inst_157:
// rs1_val == 9007199254740992, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x20000000000000;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x20000000000006, 0x20000000000000, 0x6, x3, 1016, x4)

inst_158:
// rs1_val == 36028797018963968, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x80000000000000;  op2val:-0xa
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffff6, 0x80000000000000, -0xa, x3, 1024, x4)

inst_159:
// rs1_val == 288230376151711744, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x400000000000000;  op2val:0x20000000000000
TEST_RR_OP(or, x12, x10, x11, 0x420000000000000, 0x400000000000000, 0x20000000000000, x3, 1032, x4)

inst_160:
// rs1_val == 1152921504606846976, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x1000000000000000;  op2val:-0x8
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffff8, 0x1000000000000000, -0x8, x3, 1040, x4)

inst_161:
// rs1_val == 4611686018427387904, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4000000000000000;  op2val:0x2000000000000
TEST_RR_OP(or, x12, x10, x11, 0x4002000000000000, 0x4000000000000000, 0x2000000000000, x3, 1048, x4)

inst_162:
// rs1_val == -2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x2;  op2val:0x400
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffffe, -0x2, 0x400, x3, 1056, x4)

inst_163:
// rs1_val == -5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5;  op2val:-0x2001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x5, -0x2001, x3, 1064, x4)

inst_164:
// rs1_val == -33, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x21;  op2val:0x40
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffdf, -0x21, 0x40, x3, 1072, x4)

inst_165:
// rs1_val == -257, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x101;  op2val:0x1000000000
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffeff, -0x101, 0x1000000000, x3, 1080, x4)

inst_166:
// rs1_val == -1025, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x401;  op2val:0x400000000
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffbff, -0x401, 0x400000000, x3, 1088, x4)

inst_167:
// rs1_val == -4097, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x1001;  op2val:0x1000000000
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffefff, -0x1001, 0x1000000000, x3, 1096, x4)

inst_168:
// rs1_val == -131073, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x20001;  op2val:0x200000000
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffdffff, -0x20001, 0x200000000, x3, 1104, x4)

inst_169:
// rs1_val == -1048577, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x100001;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x100001, -0xb504f332, x3, 1112, x4)

inst_170:
// rs1_val == -2097153, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x200001;  op2val:0x80000
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffdfffff, -0x200001, 0x80000, x3, 1120, x4)

inst_171:
// rs1_val == -16777217, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x1000001;  op2val:-0x4000000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x1000001, -0x4000000000001, x3, 1128, x4)

inst_172:
// rs1_val == -33554433, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x2000001;  op2val:0x800
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffdffffff, -0x2000001, 0x800, x3, 1136, x4)

inst_173:
// rs1_val == -67108865, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x4000001;  op2val:0x40000
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffbffffff, -0x4000001, 0x40000, x3, 1144, x4)

inst_174:
// rs1_val == -134217729, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x8000001;  op2val:0x80000000000
TEST_RR_OP(or, x12, x10, x11, 0xfffffffff7ffffff, -0x8000001, 0x80000000000, x3, 1152, x4)

inst_175:
// rs1_val == -536870913, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x20000001;  op2val:0x80000000
TEST_RR_OP(or, x12, x10, x11, 0xffffffffdfffffff, -0x20000001, 0x80000000, x3, 1160, x4)

inst_176:
// rs1_val == -4294967297, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x100000001;  op2val:-0x2000000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x100000001, -0x2000000000001, x3, 1168, x4)

inst_177:
// rs1_val == -17179869185, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x400000001;  op2val:0x1
TEST_RR_OP(or, x12, x10, x11, 0xfffffffbffffffff, -0x400000001, 0x1, x3, 1176, x4)

inst_178:
// rs1_val == -34359738369, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x800000001;  op2val:0x2000000
TEST_RR_OP(or, x12, x10, x11, 0xfffffff7ffffffff, -0x800000001, 0x2000000, x3, 1184, x4)

inst_179:
// rs1_val == -68719476737, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x1000000001;  op2val:0x2000
TEST_RR_OP(or, x12, x10, x11, 0xffffffefffffffff, -0x1000000001, 0x2000, x3, 1192, x4)

inst_180:
// rs1_val == -274877906945, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x4000000001;  op2val:0x200000
TEST_RR_OP(or, x12, x10, x11, 0xffffffbfffffffff, -0x4000000001, 0x200000, x3, 1200, x4)

inst_181:
// rs1_val == -1099511627777, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x10000000001;  op2val:0x4000000000
TEST_RR_OP(or, x12, x10, x11, 0xfffffeffffffffff, -0x10000000001, 0x4000000000, x3, 1208, x4)

inst_182:
// rs1_val == -2199023255553, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x20000000001;  op2val:-0x800000000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x20000000001, -0x800000000000001, x3, 1216, x4)

inst_183:
// rs1_val == -8796093022209, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x80000000001;  op2val:0x1000000
TEST_RR_OP(or, x12, x10, x11, 0xfffff7ffffffffff, -0x80000000001, 0x1000000, x3, 1224, x4)

inst_184:
// rs1_val == -17592186044417, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x100000000001;  op2val:-0xa
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x100000000001, -0xa, x3, 1232, x4)

inst_185:
// rs1_val == -35184372088833, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x200000000001;  op2val:-0x80000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x200000000001, -0x80000000001, x3, 1240, x4)

inst_186:
// rs1_val == -140737488355329, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x800000000001;  op2val:0x9
TEST_RR_OP(or, x12, x10, x11, 0xffff7fffffffffff, -0x800000000001, 0x9, x3, 1248, x4)

inst_187:
// rs1_val == -281474976710657, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x1000000000001;  op2val:0x1
TEST_RR_OP(or, x12, x10, x11, 0xfffeffffffffffff, -0x1000000000001, 0x1, x3, 1256, x4)

inst_188:
// rs1_val == -562949953421313, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x2000000000001;  op2val:0x10
TEST_RR_OP(or, x12, x10, x11, 0xfffdffffffffffff, -0x2000000000001, 0x10, x3, 1264, x4)

inst_189:
// rs1_val == -1125899906842625, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x4000000000001;  op2val:0x400000000000
TEST_RR_OP(or, x12, x10, x11, 0xfffbffffffffffff, -0x4000000000001, 0x400000000000, x3, 1272, x4)

inst_190:
// rs1_val == -4503599627370497, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x10000000000001;  op2val:-0x1000000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x10000000000001, -0x1000000000001, x3, 1280, x4)

inst_191:
// rs1_val == -36028797018963969, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x80000000000001;  op2val:-0x800000000000001
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x80000000000001, -0x800000000000001, x3, 1288, x4)

inst_192:
// rs1_val == -72057594037927937, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x100000000000001;  op2val:0x800
TEST_RR_OP(or, x12, x10, x11, 0xfeffffffffffffff, -0x100000000000001, 0x800, x3, 1296, x4)

inst_193:
// rs1_val == -576460752303423489, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x800000000000001;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0xf7ffffffffffffff, -0x800000000000001, 0x6666666666666665, x3, 1304, x4)

inst_194:
// rs1_val == -1152921504606846977, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x1000000000000001;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x1000000000000001, -0xb504f332, x3, 1312, x4)

inst_195:
// rs1_val == -2305843009213693953, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x2000000000000001;  op2val:0x2000000000
TEST_RR_OP(or, x12, x10, x11, 0xdfffffffffffffff, -0x2000000000000001, 0x2000000000, x3, 1320, x4)

inst_196:
// rs1_val == -6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:-0xa
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffffe, -0x5555555555555556, -0xa, x3, 1328, x4)

inst_197:
// rs1_val==3 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x3, 0x3, 0x3, x3, 1336, x4)

inst_198:
// rs1_val==3 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555557, 0x3, 0x5555555555555555, x3, 1344, x4)

inst_199:
// rs1_val==3 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaab, 0x3, -0x5555555555555556, x3, 1352, x4)

inst_200:
// rs1_val==3 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x7, 0x3, 0x5, x3, 1360, x4)

inst_201:
// rs1_val==3 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333333, 0x3, 0x3333333333333333, x3, 1368, x4)

inst_202:
// rs1_val==3 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x3, 0x6666666666666666, x3, 1376, x4)

inst_203:
// rs1_val==3 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccf, 0x3, -0xb504f333, x3, 1384, x4)

inst_204:
// rs1_val==3 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xb504f333, 0x3, 0xb504f333, x3, 1392, x4)

inst_205:
// rs1_val==3 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x3, 0x3, 0x2, x3, 1400, x4)

inst_206:
// rs1_val==3 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555557, 0x3, 0x5555555555555554, x3, 1408, x4)

inst_207:
// rs1_val==3 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0x3, 0x3, 0x0, x3, 1416, x4)

inst_208:
// rs1_val==3 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x7, 0x3, 0x4, x3, 1424, x4)

inst_209:
// rs1_val==3 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333333, 0x3, 0x3333333333333332, x3, 1432, x4)

inst_210:
// rs1_val==3 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x3, 0x6666666666666665, x3, 1440, x4)

inst_211:
// rs1_val==3 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xb504f333, 0x3, 0xb504f332, x3, 1448, x4)

inst_212:
// rs1_val==3 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555557, 0x3, 0x5555555555555556, x3, 1456, x4)

inst_213:
// rs1_val==3 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaab, 0x3, -0x5555555555555555, x3, 1464, x4)

inst_214:
// rs1_val==3 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x7, 0x3, 0x6, x3, 1472, x4)

inst_215:
// rs1_val==3 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333337, 0x3, 0x3333333333333334, x3, 1480, x4)

inst_216:
// rs1_val==3 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x3, 0x6666666666666667, x3, 1488, x4)

inst_217:
// rs1_val==3 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccf, 0x3, -0xb504f332, x3, 1496, x4)

inst_218:
// rs1_val==3 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0xb504f337, 0x3, 0xb504f334, x3, 1504, x4)

inst_219:
// rs1_val==6148914691236517205 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555557, 0x5555555555555555, 0x3, x3, 1512, x4)

inst_220:
// rs1_val==6148914691236517205 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555555, 0x5555555555555555, 0x5555555555555555, x3, 1520, x4)

inst_221:
// rs1_val==6148914691236517205 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, 0x5555555555555555, -0x5555555555555556, x3, 1528, x4)

inst_222:
// rs1_val==6148914691236517205 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555555, 0x5555555555555555, 0x5, x3, 1536, x4)

inst_223:
// rs1_val==6148914691236517205 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x5555555555555555, 0x3333333333333333, x3, 1544, x4)

inst_224:
// rs1_val==6148914691236517205 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x5555555555555555, 0x6666666666666666, x3, 1552, x4)

inst_225:
// rs1_val==6148914691236517205 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff5fff5ddd, 0x5555555555555555, -0xb504f333, x3, 1560, x4)

inst_226:
// rs1_val==6148914691236517205 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f777, 0x5555555555555555, 0xb504f333, x3, 1568, x4)

inst_227:
// rs1_val==6148914691236517205 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555557, 0x5555555555555555, 0x2, x3, 1576, x4)

inst_228:
// rs1_val==6148914691236517205 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555555, 0x5555555555555555, 0x5555555555555554, x3, 1584, x4)

inst_229:
// rs1_val==6148914691236517205 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555555, 0x5555555555555555, 0x0, x3, 1592, x4)

inst_230:
// rs1_val==6148914691236517205 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555555, 0x5555555555555555, 0x4, x3, 1600, x4)

inst_231:
// rs1_val==6148914691236517205 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x5555555555555555, 0x3333333333333332, x3, 1608, x4)

inst_232:
// rs1_val==6148914691236517205 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777775, 0x5555555555555555, 0x6666666666666665, x3, 1616, x4)

inst_233:
// rs1_val==6148914691236517205 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f777, 0x5555555555555555, 0xb504f332, x3, 1624, x4)

inst_234:
// rs1_val==6148914691236517205 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555557, 0x5555555555555555, 0x5555555555555556, x3, 1632, x4)

inst_235:
// rs1_val==6148914691236517205 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, 0x5555555555555555, -0x5555555555555555, x3, 1640, x4)

inst_236:
// rs1_val==6148914691236517205 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555557, 0x5555555555555555, 0x6, x3, 1648, x4)

inst_237:
// rs1_val==6148914691236517205 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777775, 0x5555555555555555, 0x3333333333333334, x3, 1656, x4)

inst_238:
// rs1_val==6148914691236517205 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x5555555555555555, 0x6666666666666667, x3, 1664, x4)

inst_239:
// rs1_val==6148914691236517205 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff5fff5ddf, 0x5555555555555555, -0xb504f332, x3, 1672, x4)

inst_240:
// rs1_val==6148914691236517205 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f775, 0x5555555555555555, 0xb504f334, x3, 1680, x4)

inst_241:
// rs1_val==-6148914691236517206 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaab, -0x5555555555555556, 0x3, x3, 1688, x4)

inst_242:
// rs1_val==-6148914691236517206 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x5555555555555556, 0x5555555555555555, x3, 1696, x4)

inst_243:
// rs1_val==-6148914691236517206 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaaa, -0x5555555555555556, -0x5555555555555556, x3, 1704, x4)

inst_244:
// rs1_val==-6148914691236517206 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaaf, -0x5555555555555556, 0x5, x3, 1712, x4)

inst_245:
// rs1_val==-6148914691236517206 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0xbbbbbbbbbbbbbbbb, -0x5555555555555556, 0x3333333333333333, x3, 1720, x4)

inst_246:
// rs1_val==-6148914691236517206 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0xeeeeeeeeeeeeeeee, -0x5555555555555556, 0x6666666666666666, x3, 1728, x4)

inst_247:
// rs1_val==-6148914691236517206 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffffeafbaeef, -0x5555555555555556, -0xb504f333, x3, 1736, x4)

inst_248:
// rs1_val==-6148914691236517206 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaabfaefbbb, -0x5555555555555556, 0xb504f333, x3, 1744, x4)

inst_249:
// rs1_val==-6148914691236517206 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaaa, -0x5555555555555556, 0x2, x3, 1752, x4)

inst_250:
// rs1_val==-6148914691236517206 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffffe, -0x5555555555555556, 0x5555555555555554, x3, 1760, x4)

inst_251:
// rs1_val==-6148914691236517206 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaaa, -0x5555555555555556, 0x0, x3, 1768, x4)

inst_252:
// rs1_val==-6148914691236517206 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaae, -0x5555555555555556, 0x4, x3, 1776, x4)

inst_253:
// rs1_val==-6148914691236517206 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0xbbbbbbbbbbbbbbba, -0x5555555555555556, 0x3333333333333332, x3, 1784, x4)

inst_254:
// rs1_val==-6148914691236517206 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0xeeeeeeeeeeeeeeef, -0x5555555555555556, 0x6666666666666665, x3, 1792, x4)

inst_255:
// rs1_val==-6148914691236517206 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaabfaefbba, -0x5555555555555556, 0xb504f332, x3, 1800, x4)

inst_256:
// rs1_val==-6148914691236517206 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffffe, -0x5555555555555556, 0x5555555555555556, x3, 1808, x4)

inst_257:
// rs1_val==-6148914691236517206 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaab, -0x5555555555555556, -0x5555555555555555, x3, 1816, x4)

inst_258:
// rs1_val==-6148914691236517206 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaae, -0x5555555555555556, 0x6, x3, 1824, x4)

inst_259:
// rs1_val==-6148914691236517206 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0xbbbbbbbbbbbbbbbe, -0x5555555555555556, 0x3333333333333334, x3, 1832, x4)

inst_260:
// rs1_val==-6148914691236517206 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0xeeeeeeeeeeeeeeef, -0x5555555555555556, 0x6666666666666667, x3, 1840, x4)

inst_261:
// rs1_val==-6148914691236517206 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffffeafbaeee, -0x5555555555555556, -0xb504f332, x3, 1848, x4)

inst_262:
// rs1_val==-6148914691236517206 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaabfaefbbe, -0x5555555555555556, 0xb504f334, x3, 1856, x4)

inst_263:
// rs1_val==5 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x7, 0x5, 0x3, x3, 1864, x4)

inst_264:
// rs1_val==5 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555555, 0x5, 0x5555555555555555, x3, 1872, x4)

inst_265:
// rs1_val==5 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaaf, 0x5, -0x5555555555555556, x3, 1880, x4)

inst_266:
// rs1_val==5 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x5, 0x5, 0x5, x3, 1888, x4)

inst_267:
// rs1_val==5 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333337, 0x5, 0x3333333333333333, x3, 1896, x4)

inst_268:
// rs1_val==5 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x5, 0x6666666666666666, x3, 1904, x4)

inst_269:
// rs1_val==5 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccd, 0x5, -0xb504f333, x3, 1912, x4)

inst_270:
// rs1_val==5 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xb504f337, 0x5, 0xb504f333, x3, 1920, x4)

inst_271:
// rs1_val==5 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x7, 0x5, 0x2, x3, 1928, x4)

inst_272:
// rs1_val==5 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555555, 0x5, 0x5555555555555554, x3, 1936, x4)

inst_273:
// rs1_val==5 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0x5, 0x5, 0x0, x3, 1944, x4)

inst_274:
// rs1_val==5 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x5, 0x5, 0x4, x3, 1952, x4)

inst_275:
// rs1_val==5 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333337, 0x5, 0x3333333333333332, x3, 1960, x4)

inst_276:
// rs1_val==5 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666665, 0x5, 0x6666666666666665, x3, 1968, x4)

inst_277:
// rs1_val==5 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xb504f337, 0x5, 0xb504f332, x3, 1976, x4)

inst_278:
// rs1_val==5 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555557, 0x5, 0x5555555555555556, x3, 1984, x4)

inst_279:
// rs1_val==5 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaaf, 0x5, -0x5555555555555555, x3, 1992, x4)

inst_280:
// rs1_val==5 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x7, 0x5, 0x6, x3, 2000, x4)

inst_281:
// rs1_val==5 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333335, 0x5, 0x3333333333333334, x3, 2008, x4)

inst_282:
// rs1_val==5 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x5, 0x6666666666666667, x3, 2016, x4)

inst_283:
// rs1_val==5 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccf, 0x5, -0xb504f332, x3, 2024, x4)

inst_284:
// rs1_val==5 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0xb504f335, 0x5, 0xb504f334, x3, 2032, x4)

inst_285:
// rs1_val==3689348814741910323 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333333, 0x3333333333333333, 0x3, x3, 2040, x4)
RVTEST_SIGBASE( x3,signature_x3_1)

inst_286:
// rs1_val==3689348814741910323 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x3333333333333333, 0x5555555555555555, x3, 0, x4)

inst_287:
// rs1_val==3689348814741910323 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xbbbbbbbbbbbbbbbb, 0x3333333333333333, -0x5555555555555556, x3, 8, x4)

inst_288:
// rs1_val==3689348814741910323 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333337, 0x3333333333333333, 0x5, x3, 16, x4)

inst_289:
// rs1_val==3689348814741910323 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x3333333333333333, 0x6666666666666666, x3, 24, x4)

inst_290:
// rs1_val==3689348814741910323 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff7bfb3fff, 0x3333333333333333, -0xb504f333, x3, 32, x4)

inst_291:
// rs1_val==3689348814741910323 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f333, 0x3333333333333333, 0xb504f333, x3, 40, x4)

inst_292:
// rs1_val==3689348814741910323 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333333, 0x3333333333333333, 0x2, x3, 48, x4)

inst_293:
// rs1_val==3689348814741910323 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x3333333333333333, 0x5555555555555554, x3, 56, x4)

inst_294:
// rs1_val==3689348814741910323 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333333, 0x3333333333333333, 0x0, x3, 64, x4)

inst_295:
// rs1_val==3689348814741910323 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333337, 0x3333333333333333, 0x4, x3, 72, x4)

inst_296:
// rs1_val==3689348814741910323 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333333, 0x3333333333333333, 0x3333333333333332, x3, 80, x4)

inst_297:
// rs1_val==3689348814741910323 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x3333333333333333, 0x6666666666666665, x3, 88, x4)

inst_298:
// rs1_val==3689348814741910323 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f333, 0x3333333333333333, 0xb504f332, x3, 96, x4)

inst_299:
// rs1_val==3689348814741910323 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x3333333333333333, 0x5555555555555556, x3, 104, x4)

inst_300:
// rs1_val==3689348814741910323 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xbbbbbbbbbbbbbbbb, 0x3333333333333333, -0x5555555555555555, x3, 112, x4)

inst_301:
// rs1_val==3689348814741910323 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333337, 0x3333333333333333, 0x6, x3, 120, x4)

inst_302:
// rs1_val==3689348814741910323 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333337, 0x3333333333333333, 0x3333333333333334, x3, 128, x4)

inst_303:
// rs1_val==3689348814741910323 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x3333333333333333, 0x6666666666666667, x3, 136, x4)

inst_304:
// rs1_val==3689348814741910323 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff7bfb3fff, 0x3333333333333333, -0xb504f332, x3, 144, x4)

inst_305:
// rs1_val==3689348814741910323 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f337, 0x3333333333333333, 0xb504f334, x3, 152, x4)

inst_306:
// rs1_val==7378697629483820646 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666666, 0x3, x3, 160, x4)

inst_307:
// rs1_val==7378697629483820646 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x6666666666666666, 0x5555555555555555, x3, 168, x4)

inst_308:
// rs1_val==7378697629483820646 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xeeeeeeeeeeeeeeee, 0x6666666666666666, -0x5555555555555556, x3, 176, x4)

inst_309:
// rs1_val==7378697629483820646 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666666, 0x5, x3, 184, x4)

inst_310:
// rs1_val==7378697629483820646 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x6666666666666666, 0x3333333333333333, x3, 192, x4)

inst_311:
// rs1_val==7378697629483820646 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666666, 0x6666666666666666, 0x6666666666666666, x3, 200, x4)

inst_312:
// rs1_val==7378697629483820646 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff6eff6eef, 0x6666666666666666, -0xb504f333, x3, 208, x4)

inst_313:
// rs1_val==7378697629483820646 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f777, 0x6666666666666666, 0xb504f333, x3, 216, x4)

inst_314:
// rs1_val==7378697629483820646 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666666, 0x6666666666666666, 0x2, x3, 224, x4)

inst_315:
// rs1_val==7378697629483820646 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777776, 0x6666666666666666, 0x5555555555555554, x3, 232, x4)

inst_316:
// rs1_val==7378697629483820646 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666666, 0x6666666666666666, 0x0, x3, 240, x4)

inst_317:
// rs1_val==7378697629483820646 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666666, 0x6666666666666666, 0x4, x3, 248, x4)

inst_318:
// rs1_val==7378697629483820646 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777776, 0x6666666666666666, 0x3333333333333332, x3, 256, x4)

inst_319:
// rs1_val==7378697629483820646 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666666, 0x6666666666666665, x3, 264, x4)

inst_320:
// rs1_val==7378697629483820646 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f776, 0x6666666666666666, 0xb504f332, x3, 272, x4)

inst_321:
// rs1_val==7378697629483820646 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777776, 0x6666666666666666, 0x5555555555555556, x3, 280, x4)

inst_322:
// rs1_val==7378697629483820646 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xeeeeeeeeeeeeeeef, 0x6666666666666666, -0x5555555555555555, x3, 288, x4)

inst_323:
// rs1_val==7378697629483820646 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666666, 0x6666666666666666, 0x6, x3, 296, x4)

inst_324:
// rs1_val==7378697629483820646 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777776, 0x6666666666666666, 0x3333333333333334, x3, 304, x4)

inst_325:
// rs1_val==7378697629483820646 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666666, 0x6666666666666667, x3, 312, x4)

inst_326:
// rs1_val==7378697629483820646 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff6eff6eee, 0x6666666666666666, -0xb504f332, x3, 320, x4)

inst_327:
// rs1_val==7378697629483820646 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f776, 0x6666666666666666, 0xb504f334, x3, 328, x4)

inst_328:
// rs1_val==-3037000499 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccf, -0xb504f333, 0x3, x3, 336, x4)

inst_329:
// rs1_val==-3037000499 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xffffffff5fff5ddd, -0xb504f333, 0x5555555555555555, x3, 344, x4)

inst_330:
// rs1_val==-3037000499 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xffffffffeafbaeef, -0xb504f333, -0x5555555555555556, x3, 352, x4)

inst_331:
// rs1_val==-3037000499 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccd, -0xb504f333, 0x5, x3, 360, x4)

inst_332:
// rs1_val==-3037000499 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff7bfb3fff, -0xb504f333, 0x3333333333333333, x3, 368, x4)

inst_333:
// rs1_val==-3037000499 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0xffffffff6eff6eef, -0xb504f333, 0x6666666666666666, x3, 376, x4)

inst_334:
// rs1_val==-3037000499 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccd, -0xb504f333, -0xb504f333, x3, 384, x4)

inst_335:
// rs1_val==-3037000499 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0xb504f333, 0xb504f333, x3, 392, x4)

inst_336:
// rs1_val==-3037000499 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0xffffffff5fff5ddd, -0xb504f333, 0x5555555555555554, x3, 400, x4)

inst_337:
// rs1_val==-3037000499 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccd, -0xb504f333, 0x0, x3, 408, x4)

inst_338:
// rs1_val==-3037000499 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccd, -0xb504f333, 0x4, x3, 416, x4)

inst_339:
// rs1_val==-3037000499 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff7bfb3fff, -0xb504f333, 0x3333333333333332, x3, 424, x4)

inst_340:
// rs1_val==-3037000499 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0xffffffff6eff6eed, -0xb504f333, 0x6666666666666665, x3, 432, x4)

inst_341:
// rs1_val==-3037000499 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0xb504f333, 0xb504f332, x3, 440, x4)

inst_342:
// rs1_val==-3037000499 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xffffffff5fff5ddf, -0xb504f333, 0x5555555555555556, x3, 448, x4)

inst_343:
// rs1_val==-3037000499 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xffffffffeafbaeef, -0xb504f333, -0x5555555555555555, x3, 456, x4)

inst_344:
// rs1_val==-3037000499 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccf, -0xb504f333, 0x6, x3, 464, x4)

inst_345:
// rs1_val==-3037000499 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0xffffffff7bfb3ffd, -0xb504f333, 0x3333333333333334, x3, 472, x4)

inst_346:
// rs1_val==-3037000499 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0xffffffff6eff6eef, -0xb504f333, 0x6666666666666667, x3, 480, x4)

inst_347:
// rs1_val==-3037000499 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccf, -0xb504f333, -0xb504f332, x3, 488, x4)

inst_348:
// rs1_val==-3037000499 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffffd, -0xb504f333, 0xb504f334, x3, 496, x4)

inst_349:
// rs1_val==3037000499 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0xb504f333, 0xb504f333, 0x3, x3, 504, x4)

inst_350:
// rs1_val==3037000499 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f777, 0xb504f333, 0x5555555555555555, x3, 512, x4)

inst_351:
// rs1_val==3037000499 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaabfaefbbb, 0xb504f333, -0x5555555555555556, x3, 520, x4)

inst_352:
// rs1_val==3037000499 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0xb504f337, 0xb504f333, 0x5, x3, 528, x4)

inst_353:
// rs1_val==3037000499 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f333, 0xb504f333, 0x3333333333333333, x3, 536, x4)

inst_354:
// rs1_val==3037000499 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f777, 0xb504f333, 0x6666666666666666, x3, 544, x4)

inst_355:
// rs1_val==3037000499 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, 0xb504f333, -0xb504f333, x3, 552, x4)

inst_356:
// rs1_val==3037000499 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xb504f333, 0xb504f333, 0xb504f333, x3, 560, x4)

inst_357:
// rs1_val==3037000499 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0xb504f333, 0xb504f333, 0x2, x3, 568, x4)

inst_358:
// rs1_val==3037000499 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f777, 0xb504f333, 0x5555555555555554, x3, 576, x4)

inst_359:
// rs1_val==3037000499 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0xb504f333, 0xb504f333, 0x0, x3, 584, x4)

inst_360:
// rs1_val==3037000499 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0xb504f337, 0xb504f333, 0x4, x3, 592, x4)

inst_361:
// rs1_val==3037000499 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f333, 0xb504f333, 0x3333333333333332, x3, 600, x4)

inst_362:
// rs1_val==3037000499 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f777, 0xb504f333, 0x6666666666666665, x3, 608, x4)

inst_363:
// rs1_val==3037000499 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xb504f333, 0xb504f333, 0xb504f332, x3, 616, x4)

inst_364:
// rs1_val==3037000499 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f777, 0xb504f333, 0x5555555555555556, x3, 624, x4)

inst_365:
// rs1_val==3037000499 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaabfaefbbb, 0xb504f333, -0x5555555555555555, x3, 632, x4)

inst_366:
// rs1_val==3037000499 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0xb504f337, 0xb504f333, 0x6, x3, 640, x4)

inst_367:
// rs1_val==3037000499 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f337, 0xb504f333, 0x3333333333333334, x3, 648, x4)

inst_368:
// rs1_val==3037000499 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f777, 0xb504f333, 0x6666666666666667, x3, 656, x4)

inst_369:
// rs1_val==3037000499 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, 0xb504f333, -0xb504f332, x3, 664, x4)

inst_370:
// rs1_val==3037000499 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0xb504f337, 0xb504f333, 0xb504f334, x3, 672, x4)

inst_371:
// rs1_val==2 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x3, 0x2, 0x3, x3, 680, x4)

inst_372:
// rs1_val==2 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555557, 0x2, 0x5555555555555555, x3, 688, x4)

inst_373:
// rs1_val==2 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaaa, 0x2, -0x5555555555555556, x3, 696, x4)

inst_374:
// rs1_val==2 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x7, 0x2, 0x5, x3, 704, x4)

inst_375:
// rs1_val==2 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333333, 0x2, 0x3333333333333333, x3, 712, x4)

inst_376:
// rs1_val==2 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666666, 0x2, 0x6666666666666666, x3, 720, x4)

inst_377:
// rs1_val==2 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccf, 0x2, -0xb504f333, x3, 728, x4)

inst_378:
// rs1_val==2 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xb504f333, 0x2, 0xb504f333, x3, 736, x4)

inst_379:
// rs1_val==2 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x2, 0x2, 0x2, x3, 744, x4)

inst_380:
// rs1_val==2 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x2, 0x5555555555555554, x3, 752, x4)

inst_381:
// rs1_val==2 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0x2, 0x2, 0x0, x3, 760, x4)

inst_382:
// rs1_val==2 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x6, 0x2, 0x4, x3, 768, x4)

inst_383:
// rs1_val==2 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333332, 0x2, 0x3333333333333332, x3, 776, x4)

inst_384:
// rs1_val==2 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x2, 0x6666666666666665, x3, 784, x4)

inst_385:
// rs1_val==2 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xb504f332, 0x2, 0xb504f332, x3, 792, x4)

inst_386:
// rs1_val==2 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x2, 0x5555555555555556, x3, 800, x4)

inst_387:
// rs1_val==2 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaab, 0x2, -0x5555555555555555, x3, 808, x4)

inst_388:
// rs1_val==2 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x6, 0x2, 0x6, x3, 816, x4)

inst_389:
// rs1_val==2 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333336, 0x2, 0x3333333333333334, x3, 824, x4)

inst_390:
// rs1_val==2 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x2, 0x6666666666666667, x3, 832, x4)

inst_391:
// rs1_val==2 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0cce, 0x2, -0xb504f332, x3, 840, x4)

inst_392:
// rs1_val==2 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0xb504f336, 0x2, 0xb504f334, x3, 848, x4)

inst_393:
// rs1_val==6148914691236517204 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555557, 0x5555555555555554, 0x3, x3, 856, x4)

inst_394:
// rs1_val==6148914691236517204 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555555, 0x5555555555555554, 0x5555555555555555, x3, 864, x4)

inst_395:
// rs1_val==6148914691236517204 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffffe, 0x5555555555555554, -0x5555555555555556, x3, 872, x4)

inst_396:
// rs1_val==6148914691236517204 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555555, 0x5555555555555554, 0x5, x3, 880, x4)

inst_397:
// rs1_val==6148914691236517204 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x5555555555555554, 0x3333333333333333, x3, 888, x4)

inst_398:
// rs1_val==6148914691236517204 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777776, 0x5555555555555554, 0x6666666666666666, x3, 896, x4)

inst_399:
// rs1_val==6148914691236517204 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff5fff5ddd, 0x5555555555555554, -0xb504f333, x3, 904, x4)

inst_400:
// rs1_val==6148914691236517204 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f777, 0x5555555555555554, 0xb504f333, x3, 912, x4)

inst_401:
// rs1_val==6148914691236517204 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x5555555555555554, 0x2, x3, 920, x4)

inst_402:
// rs1_val==6148914691236517204 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555554, 0x5555555555555554, 0x5555555555555554, x3, 928, x4)

inst_403:
// rs1_val==6148914691236517204 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555554, 0x5555555555555554, 0x0, x3, 936, x4)

inst_404:
// rs1_val==6148914691236517204 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555554, 0x5555555555555554, 0x4, x3, 944, x4)

inst_405:
// rs1_val==6148914691236517204 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777776, 0x5555555555555554, 0x3333333333333332, x3, 952, x4)

inst_406:
// rs1_val==6148914691236517204 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777775, 0x5555555555555554, 0x6666666666666665, x3, 960, x4)

inst_407:
// rs1_val==6148914691236517204 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f776, 0x5555555555555554, 0xb504f332, x3, 968, x4)

inst_408:
// rs1_val==6148914691236517204 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x5555555555555554, 0x5555555555555556, x3, 976, x4)

inst_409:
// rs1_val==6148914691236517204 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, 0x5555555555555554, -0x5555555555555555, x3, 984, x4)

inst_410:
// rs1_val==6148914691236517204 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x5555555555555554, 0x6, x3, 992, x4)

inst_411:
// rs1_val==6148914691236517204 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777774, 0x5555555555555554, 0x3333333333333334, x3, 1000, x4)

inst_412:
// rs1_val==6148914691236517204 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x5555555555555554, 0x6666666666666667, x3, 1008, x4)

inst_413:
// rs1_val==6148914691236517204 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff5fff5dde, 0x5555555555555554, -0xb504f332, x3, 1016, x4)

inst_414:
// rs1_val==6148914691236517204 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f774, 0x5555555555555554, 0xb504f334, x3, 1024, x4)

inst_415:
// rs1_val==0 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x3, 0x0, 0x3, x3, 1032, x4)

inst_416:
// rs1_val==0 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555555, 0x0, 0x5555555555555555, x3, 1040, x4)

inst_417:
// rs1_val==0 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaaa, 0x0, -0x5555555555555556, x3, 1048, x4)

inst_418:
// rs1_val==0 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x5, 0x0, 0x5, x3, 1056, x4)

inst_419:
// rs1_val==0 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333333, 0x0, 0x3333333333333333, x3, 1064, x4)

inst_420:
// rs1_val==0 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666666, 0x0, 0x6666666666666666, x3, 1072, x4)

inst_421:
// rs1_val==0 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccd, 0x0, -0xb504f333, x3, 1080, x4)

inst_422:
// rs1_val==0 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xb504f333, 0x0, 0xb504f333, x3, 1088, x4)

inst_423:
// rs1_val==0 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0cce, 0x0, -0xb504f332, x3, 1096, x4)

inst_424:
// rs1_val==0 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0xb504f334, 0x0, 0xb504f334, x3, 1104, x4)

inst_425:
// rs1_val==4 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x7, 0x4, 0x3, x3, 1112, x4)

inst_426:
// rs1_val==4 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555555, 0x4, 0x5555555555555555, x3, 1120, x4)

inst_427:
// rs1_val==4 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaae, 0x4, -0x5555555555555556, x3, 1128, x4)

inst_428:
// rs1_val==4 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x5, 0x4, 0x5, x3, 1136, x4)

inst_429:
// rs1_val==4 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333337, 0x4, 0x3333333333333333, x3, 1144, x4)

inst_430:
// rs1_val==4 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666666, 0x4, 0x6666666666666666, x3, 1152, x4)

inst_431:
// rs1_val==4 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccd, 0x4, -0xb504f333, x3, 1160, x4)

inst_432:
// rs1_val==4 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xb504f337, 0x4, 0xb504f333, x3, 1168, x4)

inst_433:
// rs1_val==4 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x6, 0x4, 0x2, x3, 1176, x4)

inst_434:
// rs1_val==4 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555554, 0x4, 0x5555555555555554, x3, 1184, x4)

inst_435:
// rs1_val==4 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x4, 0x4, 0x4, x3, 1192, x4)

inst_436:
// rs1_val==4 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333336, 0x4, 0x3333333333333332, x3, 1200, x4)

inst_437:
// rs1_val==4 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666665, 0x4, 0x6666666666666665, x3, 1208, x4)

inst_438:
// rs1_val==4 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xb504f336, 0x4, 0xb504f332, x3, 1216, x4)

inst_439:
// rs1_val==4 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x4, 0x5555555555555556, x3, 1224, x4)

inst_440:
// rs1_val==4 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaaf, 0x4, -0x5555555555555555, x3, 1232, x4)

inst_441:
// rs1_val==4 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x6, 0x4, 0x6, x3, 1240, x4)

inst_442:
// rs1_val==4 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333334, 0x4, 0x3333333333333334, x3, 1248, x4)

inst_443:
// rs1_val==4 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x4, 0x6666666666666667, x3, 1256, x4)

inst_444:
// rs1_val==4 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0cce, 0x4, -0xb504f332, x3, 1264, x4)

inst_445:
// rs1_val==4 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0xb504f334, 0x4, 0xb504f334, x3, 1272, x4)

inst_446:
// rs1_val==3689348814741910322 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333333, 0x3333333333333332, 0x3, x3, 1280, x4)

inst_447:
// rs1_val==3689348814741910322 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x3333333333333332, 0x5555555555555555, x3, 1288, x4)

inst_448:
// rs1_val==3689348814741910322 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xbbbbbbbbbbbbbbba, 0x3333333333333332, -0x5555555555555556, x3, 1296, x4)

inst_449:
// rs1_val==3689348814741910322 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333337, 0x3333333333333332, 0x5, x3, 1304, x4)

inst_450:
// rs1_val==3689348814741910322 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333333, 0x3333333333333332, 0x3333333333333333, x3, 1312, x4)

inst_451:
// rs1_val==3689348814741910322 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777776, 0x3333333333333332, 0x6666666666666666, x3, 1320, x4)

inst_452:
// rs1_val==3689348814741910322 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff7bfb3fff, 0x3333333333333332, -0xb504f333, x3, 1328, x4)

inst_453:
// rs1_val==3689348814741910322 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f333, 0x3333333333333332, 0xb504f333, x3, 1336, x4)

inst_454:
// rs1_val==3689348814741910322 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333332, 0x3333333333333332, 0x2, x3, 1344, x4)

inst_455:
// rs1_val==3689348814741910322 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777776, 0x3333333333333332, 0x5555555555555554, x3, 1352, x4)

inst_456:
// rs1_val==3689348814741910322 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333332, 0x3333333333333332, 0x0, x3, 1360, x4)

inst_457:
// rs1_val==3689348814741910322 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333336, 0x3333333333333332, 0x4, x3, 1368, x4)

inst_458:
// rs1_val==3689348814741910322 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333332, 0x3333333333333332, 0x3333333333333332, x3, 1376, x4)

inst_459:
// rs1_val==3689348814741910322 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x3333333333333332, 0x6666666666666665, x3, 1384, x4)

inst_460:
// rs1_val==3689348814741910322 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f332, 0x3333333333333332, 0xb504f332, x3, 1392, x4)

inst_461:
// rs1_val==3689348814741910322 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777776, 0x3333333333333332, 0x5555555555555556, x3, 1400, x4)

inst_462:
// rs1_val==3689348814741910322 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xbbbbbbbbbbbbbbbb, 0x3333333333333332, -0x5555555555555555, x3, 1408, x4)

inst_463:
// rs1_val==3689348814741910322 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333336, 0x3333333333333332, 0x6, x3, 1416, x4)

inst_464:
// rs1_val==3689348814741910322 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333336, 0x3333333333333332, 0x3333333333333334, x3, 1424, x4)

inst_465:
// rs1_val==3689348814741910322 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x3333333333333332, 0x6666666666666667, x3, 1432, x4)

inst_466:
// rs1_val==3689348814741910322 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff7bfb3ffe, 0x3333333333333332, -0xb504f332, x3, 1440, x4)

inst_467:
// rs1_val==3689348814741910322 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f336, 0x3333333333333332, 0xb504f334, x3, 1448, x4)

inst_468:
// rs1_val==7378697629483820645 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666665, 0x3, x3, 1456, x4)

inst_469:
// rs1_val==7378697629483820645 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777775, 0x6666666666666665, 0x5555555555555555, x3, 1464, x4)

inst_470:
// rs1_val==7378697629483820645 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xeeeeeeeeeeeeeeef, 0x6666666666666665, -0x5555555555555556, x3, 1472, x4)

inst_471:
// rs1_val==7378697629483820645 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666665, 0x6666666666666665, 0x5, x3, 1480, x4)

inst_472:
// rs1_val==7378697629483820645 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x6666666666666665, 0x3333333333333333, x3, 1488, x4)

inst_473:
// rs1_val==7378697629483820645 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666665, 0x6666666666666666, x3, 1496, x4)

inst_474:
// rs1_val==7378697629483820645 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff6eff6eed, 0x6666666666666665, -0xb504f333, x3, 1504, x4)

inst_475:
// rs1_val==7378697629483820645 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f777, 0x6666666666666665, 0xb504f333, x3, 1512, x4)

inst_476:
// rs1_val==7378697629483820645 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666665, 0x2, x3, 1520, x4)

inst_477:
// rs1_val==7378697629483820645 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777775, 0x6666666666666665, 0x5555555555555554, x3, 1528, x4)

inst_478:
// rs1_val==7378697629483820645 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666665, 0x6666666666666665, 0x0, x3, 1536, x4)

inst_479:
// rs1_val==7378697629483820645 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666665, 0x6666666666666665, 0x4, x3, 1544, x4)

inst_480:
// rs1_val==7378697629483820645 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x6666666666666665, 0x3333333333333332, x3, 1552, x4)

inst_481:
// rs1_val==7378697629483820645 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666665, 0x6666666666666665, 0x6666666666666665, x3, 1560, x4)

inst_482:
// rs1_val==7378697629483820645 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f777, 0x6666666666666665, 0xb504f332, x3, 1568, x4)

inst_483:
// rs1_val==7378697629483820645 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x6666666666666665, 0x5555555555555556, x3, 1576, x4)

inst_484:
// rs1_val==7378697629483820645 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xeeeeeeeeeeeeeeef, 0x6666666666666665, -0x5555555555555555, x3, 1584, x4)

inst_485:
// rs1_val==7378697629483820645 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666665, 0x6, x3, 1592, x4)

inst_486:
// rs1_val==7378697629483820645 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777775, 0x6666666666666665, 0x3333333333333334, x3, 1600, x4)

inst_487:
// rs1_val==7378697629483820645 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666665, 0x6666666666666667, x3, 1608, x4)

inst_488:
// rs1_val==7378697629483820645 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff6eff6eef, 0x6666666666666665, -0xb504f332, x3, 1616, x4)

inst_489:
// rs1_val==7378697629483820645 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f775, 0x6666666666666665, 0xb504f334, x3, 1624, x4)

inst_490:
// rs1_val==3037000498 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0xb504f333, 0xb504f332, 0x3, x3, 1632, x4)

inst_491:
// rs1_val==3037000498 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f777, 0xb504f332, 0x5555555555555555, x3, 1640, x4)

inst_492:
// rs1_val==3037000498 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaabfaefbba, 0xb504f332, -0x5555555555555556, x3, 1648, x4)

inst_493:
// rs1_val==3037000498 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0xb504f337, 0xb504f332, 0x5, x3, 1656, x4)

inst_494:
// rs1_val==3037000498 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f333, 0xb504f332, 0x3333333333333333, x3, 1664, x4)

inst_495:
// rs1_val==3037000498 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f776, 0xb504f332, 0x6666666666666666, x3, 1672, x4)

inst_496:
// rs1_val==3037000498 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, 0xb504f332, -0xb504f333, x3, 1680, x4)

inst_497:
// rs1_val==3037000498 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xb504f333, 0xb504f332, 0xb504f333, x3, 1688, x4)

inst_498:
// rs1_val==3037000498 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0xb504f332, 0xb504f332, 0x2, x3, 1696, x4)

inst_499:
// rs1_val==3037000498 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f776, 0xb504f332, 0x5555555555555554, x3, 1704, x4)

inst_500:
// rs1_val==3037000498 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0xb504f332, 0xb504f332, 0x0, x3, 1712, x4)

inst_501:
// rs1_val==3037000498 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0xb504f336, 0xb504f332, 0x4, x3, 1720, x4)

inst_502:
// rs1_val==3037000498 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f332, 0xb504f332, 0x3333333333333332, x3, 1728, x4)

inst_503:
// rs1_val==3037000498 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f777, 0xb504f332, 0x6666666666666665, x3, 1736, x4)

inst_504:
// rs1_val==3037000498 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xb504f332, 0xb504f332, 0xb504f332, x3, 1744, x4)

inst_505:
// rs1_val==3037000498 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f776, 0xb504f332, 0x5555555555555556, x3, 1752, x4)

inst_506:
// rs1_val==3037000498 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaabfaefbbb, 0xb504f332, -0x5555555555555555, x3, 1760, x4)

inst_507:
// rs1_val==3037000498 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0xb504f336, 0xb504f332, 0x6, x3, 1768, x4)

inst_508:
// rs1_val==3037000498 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f336, 0xb504f332, 0x3333333333333334, x3, 1776, x4)

inst_509:
// rs1_val==3037000498 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f777, 0xb504f332, 0x6666666666666667, x3, 1784, x4)

inst_510:
// rs1_val==3037000498 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffffe, 0xb504f332, -0xb504f332, x3, 1792, x4)

inst_511:
// rs1_val==3037000498 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0xb504f336, 0xb504f332, 0xb504f334, x3, 1800, x4)

inst_512:
// rs1_val==6148914691236517206 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555557, 0x5555555555555556, 0x3, x3, 1808, x4)

inst_513:
// rs1_val==6148914691236517206 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555557, 0x5555555555555556, 0x5555555555555555, x3, 1816, x4)

inst_514:
// rs1_val==6148914691236517206 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffffe, 0x5555555555555556, -0x5555555555555556, x3, 1824, x4)

inst_515:
// rs1_val==6148914691236517206 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555557, 0x5555555555555556, 0x5, x3, 1832, x4)

inst_516:
// rs1_val==6148914691236517206 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x5555555555555556, 0x3333333333333333, x3, 1840, x4)

inst_517:
// rs1_val==6148914691236517206 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777776, 0x5555555555555556, 0x6666666666666666, x3, 1848, x4)

inst_518:
// rs1_val==6148914691236517206 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff5fff5ddf, 0x5555555555555556, -0xb504f333, x3, 1856, x4)

inst_519:
// rs1_val==6148914691236517206 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f777, 0x5555555555555556, 0xb504f333, x3, 1864, x4)

inst_520:
// rs1_val==6148914691236517206 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x5555555555555556, 0x2, x3, 1872, x4)

inst_521:
// rs1_val==6148914691236517206 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x5555555555555556, 0x5555555555555554, x3, 1880, x4)

inst_522:
// rs1_val==6148914691236517206 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x5555555555555556, 0x0, x3, 1888, x4)

inst_523:
// rs1_val==6148914691236517206 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x5555555555555556, 0x4, x3, 1896, x4)

inst_524:
// rs1_val==6148914691236517206 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777776, 0x5555555555555556, 0x3333333333333332, x3, 1904, x4)

inst_525:
// rs1_val==6148914691236517206 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x5555555555555556, 0x6666666666666665, x3, 1912, x4)

inst_526:
// rs1_val==6148914691236517206 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f776, 0x5555555555555556, 0xb504f332, x3, 1920, x4)

inst_527:
// rs1_val==6148914691236517206 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x5555555555555556, 0x5555555555555556, x3, 1928, x4)

inst_528:
// rs1_val==6148914691236517206 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, 0x5555555555555556, -0x5555555555555555, x3, 1936, x4)

inst_529:
// rs1_val==6148914691236517206 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x5555555555555556, 0x6, x3, 1944, x4)

inst_530:
// rs1_val==6148914691236517206 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777776, 0x5555555555555556, 0x3333333333333334, x3, 1952, x4)

inst_531:
// rs1_val==6148914691236517206 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x5555555555555556, 0x6666666666666667, x3, 1960, x4)

inst_532:
// rs1_val==6148914691236517206 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff5fff5dde, 0x5555555555555556, -0xb504f332, x3, 1968, x4)

inst_533:
// rs1_val==6148914691236517206 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f776, 0x5555555555555556, 0xb504f334, x3, 1976, x4)

inst_534:
// rs1_val==-6148914691236517205 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaab, -0x5555555555555555, 0x3, x3, 1984, x4)

inst_535:
// rs1_val==-6148914691236517205 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x5555555555555555, 0x5555555555555555, x3, 1992, x4)

inst_536:
// rs1_val==-6148914691236517205 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaab, -0x5555555555555555, -0x5555555555555556, x3, 2000, x4)

inst_537:
// rs1_val==-6148914691236517205 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaaf, -0x5555555555555555, 0x5, x3, 2008, x4)

inst_538:
// rs1_val==-6148914691236517205 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0xbbbbbbbbbbbbbbbb, -0x5555555555555555, 0x3333333333333333, x3, 2016, x4)

inst_539:
// rs1_val==-6148914691236517205 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0xeeeeeeeeeeeeeeef, -0x5555555555555555, 0x6666666666666666, x3, 2024, x4)

inst_540:
// rs1_val==-6148914691236517205 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffffeafbaeef, -0x5555555555555555, -0xb504f333, x3, 2032, x4)

inst_541:
// rs1_val==-6148914691236517205 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaabfaefbbb, -0x5555555555555555, 0xb504f333, x3, 2040, x4)
RVTEST_SIGBASE( x3,signature_x3_2)

inst_542:
// rs1_val==-6148914691236517205 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaab, -0x5555555555555555, 0x2, x3, 0, x4)

inst_543:
// rs1_val==-6148914691236517205 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x5555555555555555, 0x5555555555555554, x3, 8, x4)

inst_544:
// rs1_val==-6148914691236517205 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaab, -0x5555555555555555, 0x0, x3, 16, x4)

inst_545:
// rs1_val==-6148914691236517205 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaaf, -0x5555555555555555, 0x4, x3, 24, x4)

inst_546:
// rs1_val==-6148914691236517205 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0xbbbbbbbbbbbbbbbb, -0x5555555555555555, 0x3333333333333332, x3, 32, x4)

inst_547:
// rs1_val==-6148914691236517205 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0xeeeeeeeeeeeeeeef, -0x5555555555555555, 0x6666666666666665, x3, 40, x4)

inst_548:
// rs1_val==-6148914691236517205 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaabfaefbbb, -0x5555555555555555, 0xb504f332, x3, 48, x4)

inst_549:
// rs1_val==-6148914691236517205 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0x5555555555555555, 0x5555555555555556, x3, 56, x4)

inst_550:
// rs1_val==-6148914691236517205 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaab, -0x5555555555555555, -0x5555555555555555, x3, 64, x4)

inst_551:
// rs1_val==-6148914691236517205 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaaf, -0x5555555555555555, 0x6, x3, 72, x4)

inst_552:
// rs1_val==-6148914691236517205 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0xbbbbbbbbbbbbbbbf, -0x5555555555555555, 0x3333333333333334, x3, 80, x4)

inst_553:
// rs1_val==-6148914691236517205 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0xeeeeeeeeeeeeeeef, -0x5555555555555555, 0x6666666666666667, x3, 88, x4)

inst_554:
// rs1_val==-6148914691236517205 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffffeafbaeef, -0x5555555555555555, -0xb504f332, x3, 96, x4)

inst_555:
// rs1_val==-6148914691236517205 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaabfaefbbf, -0x5555555555555555, 0xb504f334, x3, 104, x4)

inst_556:
// rs1_val==6 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x7, 0x6, 0x3, x3, 112, x4)

inst_557:
// rs1_val==6 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555557, 0x6, 0x5555555555555555, x3, 120, x4)

inst_558:
// rs1_val==6 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaae, 0x6, -0x5555555555555556, x3, 128, x4)

inst_559:
// rs1_val==6 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x7, 0x6, 0x5, x3, 136, x4)

inst_560:
// rs1_val==6 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333337, 0x6, 0x3333333333333333, x3, 144, x4)

inst_561:
// rs1_val==6 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666666, 0x6, 0x6666666666666666, x3, 152, x4)

inst_562:
// rs1_val==6 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccf, 0x6, -0xb504f333, x3, 160, x4)

inst_563:
// rs1_val==6 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xb504f337, 0x6, 0xb504f333, x3, 168, x4)

inst_564:
// rs1_val==6 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x6, 0x6, 0x2, x3, 176, x4)

inst_565:
// rs1_val==6 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x6, 0x5555555555555554, x3, 184, x4)

inst_566:
// rs1_val==6 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0x6, 0x6, 0x0, x3, 192, x4)

inst_567:
// rs1_val==6 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x6, 0x6, 0x4, x3, 200, x4)

inst_568:
// rs1_val==6 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333336, 0x6, 0x3333333333333332, x3, 208, x4)

inst_569:
// rs1_val==6 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6, 0x6666666666666665, x3, 216, x4)

inst_570:
// rs1_val==6 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xb504f336, 0x6, 0xb504f332, x3, 224, x4)

inst_571:
// rs1_val==6 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x6, 0x5555555555555556, x3, 232, x4)

inst_572:
// rs1_val==6 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaaf, 0x6, -0x5555555555555555, x3, 240, x4)

inst_573:
// rs1_val==6 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x6, 0x6, 0x6, x3, 248, x4)

inst_574:
// rs1_val==6 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333336, 0x6, 0x3333333333333334, x3, 256, x4)

inst_575:
// rs1_val==6 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6, 0x6666666666666667, x3, 264, x4)

inst_576:
// rs1_val==6 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0cce, 0x6, -0xb504f332, x3, 272, x4)

inst_577:
// rs1_val==6 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0xb504f336, 0x6, 0xb504f334, x3, 280, x4)

inst_578:
// rs1_val==3689348814741910324 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333337, 0x3333333333333334, 0x3, x3, 288, x4)

inst_579:
// rs1_val==3689348814741910324 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777775, 0x3333333333333334, 0x5555555555555555, x3, 296, x4)

inst_580:
// rs1_val==3689348814741910324 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xbbbbbbbbbbbbbbbe, 0x3333333333333334, -0x5555555555555556, x3, 304, x4)

inst_581:
// rs1_val==3689348814741910324 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333335, 0x3333333333333334, 0x5, x3, 312, x4)

inst_582:
// rs1_val==3689348814741910324 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333337, 0x3333333333333334, 0x3333333333333333, x3, 320, x4)

inst_583:
// rs1_val==3689348814741910324 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777776, 0x3333333333333334, 0x6666666666666666, x3, 328, x4)

inst_584:
// rs1_val==3689348814741910324 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff7bfb3ffd, 0x3333333333333334, -0xb504f333, x3, 336, x4)

inst_585:
// rs1_val==3689348814741910324 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f337, 0x3333333333333334, 0xb504f333, x3, 344, x4)

inst_586:
// rs1_val==3689348814741910324 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333336, 0x3333333333333334, 0x2, x3, 352, x4)

inst_587:
// rs1_val==3689348814741910324 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777774, 0x3333333333333334, 0x5555555555555554, x3, 360, x4)

inst_588:
// rs1_val==3689348814741910324 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333334, 0x3333333333333334, 0x0, x3, 368, x4)

inst_589:
// rs1_val==3689348814741910324 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333334, 0x3333333333333334, 0x4, x3, 376, x4)

inst_590:
// rs1_val==3689348814741910324 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333336, 0x3333333333333334, 0x3333333333333332, x3, 384, x4)

inst_591:
// rs1_val==3689348814741910324 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777775, 0x3333333333333334, 0x6666666666666665, x3, 392, x4)

inst_592:
// rs1_val==3689348814741910324 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f336, 0x3333333333333334, 0xb504f332, x3, 400, x4)

inst_593:
// rs1_val==3689348814741910324 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777776, 0x3333333333333334, 0x5555555555555556, x3, 408, x4)

inst_594:
// rs1_val==3689348814741910324 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xbbbbbbbbbbbbbbbf, 0x3333333333333334, -0x5555555555555555, x3, 416, x4)

inst_595:
// rs1_val==3689348814741910324 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333336, 0x3333333333333334, 0x6, x3, 424, x4)

inst_596:
// rs1_val==3689348814741910324 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333334, 0x3333333333333334, 0x3333333333333334, x3, 432, x4)

inst_597:
// rs1_val==3689348814741910324 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x3333333333333334, 0x6666666666666667, x3, 440, x4)

inst_598:
// rs1_val==3689348814741910324 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff7bfb3ffe, 0x3333333333333334, -0xb504f332, x3, 448, x4)

inst_599:
// rs1_val==3689348814741910324 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f334, 0x3333333333333334, 0xb504f334, x3, 456, x4)

inst_600:
// rs1_val==7378697629483820647 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666667, 0x3, x3, 464, x4)

inst_601:
// rs1_val==7378697629483820647 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x6666666666666667, 0x5555555555555555, x3, 472, x4)

inst_602:
// rs1_val==7378697629483820647 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xeeeeeeeeeeeeeeef, 0x6666666666666667, -0x5555555555555556, x3, 480, x4)

inst_603:
// rs1_val==7378697629483820647 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666667, 0x5, x3, 488, x4)

inst_604:
// rs1_val==7378697629483820647 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x6666666666666667, 0x3333333333333333, x3, 496, x4)

inst_605:
// rs1_val==7378697629483820647 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666667, 0x6666666666666666, x3, 504, x4)

inst_606:
// rs1_val==7378697629483820647 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff6eff6eef, 0x6666666666666667, -0xb504f333, x3, 512, x4)

inst_607:
// rs1_val==7378697629483820647 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f777, 0x6666666666666667, 0xb504f333, x3, 520, x4)

inst_608:
// rs1_val==7378697629483820647 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666667, 0x2, x3, 528, x4)

inst_609:
// rs1_val==7378697629483820647 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x6666666666666667, 0x5555555555555554, x3, 536, x4)

inst_610:
// rs1_val==7378697629483820647 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666667, 0x0, x3, 544, x4)

inst_611:
// rs1_val==7378697629483820647 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666667, 0x4, x3, 552, x4)

inst_612:
// rs1_val==7378697629483820647 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x6666666666666667, 0x3333333333333332, x3, 560, x4)

inst_613:
// rs1_val==7378697629483820647 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666667, 0x6666666666666665, x3, 568, x4)

inst_614:
// rs1_val==7378697629483820647 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f777, 0x6666666666666667, 0xb504f332, x3, 576, x4)

inst_615:
// rs1_val==7378697629483820647 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x6666666666666667, 0x5555555555555556, x3, 584, x4)

inst_616:
// rs1_val==7378697629483820647 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xeeeeeeeeeeeeeeef, 0x6666666666666667, -0x5555555555555555, x3, 592, x4)

inst_617:
// rs1_val==7378697629483820647 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666667, 0x6, x3, 600, x4)

inst_618:
// rs1_val==7378697629483820647 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x7777777777777777, 0x6666666666666667, 0x3333333333333334, x3, 608, x4)

inst_619:
// rs1_val==7378697629483820647 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x6666666666666667, 0x6666666666666667, x3, 616, x4)

inst_620:
// rs1_val==7378697629483820647 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff6eff6eef, 0x6666666666666667, -0xb504f332, x3, 624, x4)

inst_621:
// rs1_val==7378697629483820647 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f777, 0x6666666666666667, 0xb504f334, x3, 632, x4)

inst_622:
// rs1_val==-3037000498 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccf, -0xb504f332, 0x3, x3, 640, x4)

inst_623:
// rs1_val==-3037000498 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xffffffff5fff5ddf, -0xb504f332, 0x5555555555555555, x3, 648, x4)

inst_624:
// rs1_val==-3037000498 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xffffffffeafbaeee, -0xb504f332, -0x5555555555555556, x3, 656, x4)

inst_625:
// rs1_val==-3037000498 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccf, -0xb504f332, 0x5, x3, 664, x4)

inst_626:
// rs1_val==-3037000498 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff7bfb3fff, -0xb504f332, 0x3333333333333333, x3, 672, x4)

inst_627:
// rs1_val==-3037000498 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0xffffffff6eff6eee, -0xb504f332, 0x6666666666666666, x3, 680, x4)

inst_628:
// rs1_val==-3037000498 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0ccf, -0xb504f332, -0xb504f333, x3, 688, x4)

inst_629:
// rs1_val==-3037000498 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xffffffffffffffff, -0xb504f332, 0xb504f333, x3, 696, x4)

inst_630:
// rs1_val==-3037000498 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0cce, -0xb504f332, 0x2, x3, 704, x4)

inst_631:
// rs1_val==-3037000498 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0xffffffff5fff5dde, -0xb504f332, 0x5555555555555554, x3, 712, x4)

inst_632:
// rs1_val==-3037000498 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0cce, -0xb504f332, 0x0, x3, 720, x4)

inst_633:
// rs1_val==-3037000498 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0cce, -0xb504f332, 0x4, x3, 728, x4)

inst_634:
// rs1_val==-3037000498 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff7bfb3ffe, -0xb504f332, 0x3333333333333332, x3, 736, x4)

inst_635:
// rs1_val==-3037000498 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0xffffffff6eff6eef, -0xb504f332, 0x6666666666666665, x3, 744, x4)

inst_636:
// rs1_val==-3037000498 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffffe, -0xb504f332, 0xb504f332, x3, 752, x4)

inst_637:
// rs1_val==-3037000498 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xffffffff5fff5dde, -0xb504f332, 0x5555555555555556, x3, 760, x4)

inst_638:
// rs1_val==-3037000498 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xffffffffeafbaeef, -0xb504f332, -0x5555555555555555, x3, 768, x4)

inst_639:
// rs1_val==-3037000498 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0cce, -0xb504f332, 0x6, x3, 776, x4)

inst_640:
// rs1_val==-3037000498 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0xffffffff7bfb3ffe, -0xb504f332, 0x3333333333333334, x3, 784, x4)

inst_641:
// rs1_val==-3037000498 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0xffffffff6eff6eef, -0xb504f332, 0x6666666666666667, x3, 792, x4)

inst_642:
// rs1_val==-3037000498 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xffffffff4afb0cce, -0xb504f332, -0xb504f332, x3, 800, x4)

inst_643:
// rs1_val==-3037000498 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffffe, -0xb504f332, 0xb504f334, x3, 808, x4)

inst_644:
// rs1_val==3037000500 and rs2_val==3, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x3
TEST_RR_OP(or, x12, x10, x11, 0xb504f337, 0xb504f334, 0x3, x3, 816, x4)

inst_645:
// rs1_val==3037000500 and rs2_val==6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f775, 0xb504f334, 0x5555555555555555, x3, 824, x4)

inst_646:
// rs1_val==3037000500 and rs2_val==-6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:-0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaabfaefbbe, 0xb504f334, -0x5555555555555556, x3, 832, x4)

inst_647:
// rs1_val==3037000500 and rs2_val==5, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x5
TEST_RR_OP(or, x12, x10, x11, 0xb504f335, 0xb504f334, 0x5, x3, 840, x4)

inst_648:
// rs1_val==3037000500 and rs2_val==3689348814741910323, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x3333333333333333
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f337, 0xb504f334, 0x3333333333333333, x3, 848, x4)

inst_649:
// rs1_val==3037000500 and rs2_val==7378697629483820646, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x6666666666666666
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f776, 0xb504f334, 0x6666666666666666, x3, 856, x4)

inst_650:
// rs1_val==3037000500 and rs2_val==-3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:-0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffffd, 0xb504f334, -0xb504f333, x3, 864, x4)

inst_651:
// rs1_val==3037000500 and rs2_val==3037000499, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0xb504f333
TEST_RR_OP(or, x12, x10, x11, 0xb504f337, 0xb504f334, 0xb504f333, x3, 872, x4)

inst_652:
// rs1_val==3037000500 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0xb504f336, 0xb504f334, 0x2, x3, 880, x4)

inst_653:
// rs1_val==3037000500 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f774, 0xb504f334, 0x5555555555555554, x3, 888, x4)

inst_654:
// rs1_val==3037000500 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0xb504f334, 0xb504f334, 0x0, x3, 896, x4)

inst_655:
// rs1_val==3037000500 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0xb504f334, 0xb504f334, 0x4, x3, 904, x4)

inst_656:
// rs1_val==3037000500 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f336, 0xb504f334, 0x3333333333333332, x3, 912, x4)

inst_657:
// rs1_val==3037000500 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f775, 0xb504f334, 0x6666666666666665, x3, 920, x4)

inst_658:
// rs1_val==3037000500 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xb504f336, 0xb504f334, 0xb504f332, x3, 928, x4)

inst_659:
// rs1_val==3037000500 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x55555555f555f776, 0xb504f334, 0x5555555555555556, x3, 936, x4)

inst_660:
// rs1_val==3037000500 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaabfaefbbf, 0xb504f334, -0x5555555555555555, x3, 944, x4)

inst_661:
// rs1_val==3037000500 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0xb504f336, 0xb504f334, 0x6, x3, 952, x4)

inst_662:
// rs1_val==3037000500 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x33333333b737f334, 0xb504f334, 0x3333333333333334, x3, 960, x4)

inst_663:
// rs1_val==3037000500 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x66666666f766f777, 0xb504f334, 0x6666666666666667, x3, 968, x4)

inst_664:
// rs1_val==3037000500 and rs2_val==-3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:-0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xfffffffffffffffe, 0xb504f334, -0xb504f332, x3, 976, x4)

inst_665:
// rs1_val==3037000500 and rs2_val==3037000500, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0xb504f334
TEST_RR_OP(or, x12, x10, x11, 0xb504f334, 0xb504f334, 0xb504f334, x3, 984, x4)

inst_666:
// rs1_val==0 and rs2_val==2, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x2
TEST_RR_OP(or, x12, x10, x11, 0x2, 0x0, 0x2, x3, 992, x4)

inst_667:
// rs1_val==0 and rs2_val==6148914691236517204, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x5555555555555554
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555554, 0x0, 0x5555555555555554, x3, 1000, x4)

inst_668:
// rs1_val==0 and rs2_val==0, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x0
TEST_RR_OP(or, x12, x10, x11, 0x0, 0x0, 0x0, x3, 1008, x4)

inst_669:
// rs1_val==0 and rs2_val==4, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x4
TEST_RR_OP(or, x12, x10, x11, 0x4, 0x0, 0x4, x3, 1016, x4)

inst_670:
// rs1_val==0 and rs2_val==3689348814741910322, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x3333333333333332
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333332, 0x0, 0x3333333333333332, x3, 1024, x4)

inst_671:
// rs1_val==0 and rs2_val==7378697629483820645, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x6666666666666665
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666665, 0x0, 0x6666666666666665, x3, 1032, x4)

inst_672:
// rs1_val==0 and rs2_val==3037000498, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0xb504f332
TEST_RR_OP(or, x12, x10, x11, 0xb504f332, 0x0, 0xb504f332, x3, 1040, x4)

inst_673:
// rs1_val==0 and rs2_val==6148914691236517206, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x5555555555555556
TEST_RR_OP(or, x12, x10, x11, 0x5555555555555556, 0x0, 0x5555555555555556, x3, 1048, x4)

inst_674:
// rs1_val==0 and rs2_val==-6148914691236517205, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:-0x5555555555555555
TEST_RR_OP(or, x12, x10, x11, 0xaaaaaaaaaaaaaaab, 0x0, -0x5555555555555555, x3, 1056, x4)

inst_675:
// rs1_val==0 and rs2_val==6, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x6
TEST_RR_OP(or, x12, x10, x11, 0x6, 0x0, 0x6, x3, 1064, x4)

inst_676:
// rs1_val==0 and rs2_val==3689348814741910324, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x3333333333333334
TEST_RR_OP(or, x12, x10, x11, 0x3333333333333334, 0x0, 0x3333333333333334, x3, 1072, x4)

inst_677:
// rs1_val==0 and rs2_val==7378697629483820647, 
// opcode: or ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x6666666666666667
TEST_RR_OP(or, x12, x10, x11, 0x6666666666666667, 0x0, 0x6666666666666667, x3, 1080, x4)
#endif


RVTEST_CODE_END
RVMODEL_HALT

RVTEST_DATA_BEGIN
.align 4
rvtest_data:
.word 0xbabecafe
RVTEST_DATA_END

RVMODEL_DATA_BEGIN


signature_x1_0:
    .fill 0*(XLEN/32),4,0xdeadbeef


signature_x1_1:
    .fill 15*(XLEN/32),4,0xdeadbeef


signature_x11_0:
    .fill 15*(XLEN/32),4,0xdeadbeef


signature_x3_0:
    .fill 256*(XLEN/32),4,0xdeadbeef


signature_x3_1:
    .fill 256*(XLEN/32),4,0xdeadbeef


signature_x3_2:
    .fill 136*(XLEN/32),4,0xdeadbeef

#ifdef rvtest_mtrap_routine

mtrap_sigptr:
    .fill 64*(XLEN/32),4,0xdeadbeef

#endif

#ifdef rvtest_gpr_save

gpr_save:
    .fill 32*(XLEN/32),4,0xdeadbeef

#endif

RVMODEL_DATA_END
